<?php

include "freemed_yirc-vars.inc";
include "freemed_yirc-funcs.inc";

fy_cookiecheck($cookie_user);
fy_resetcookie($cookie_user, $cookie_id, $fy_cookietime);

# Connect to the database & do query
$conn=fy_makeconn($fydb_type, $fydb_host, $fydb_user, $fydb_name);
$sql="SELECT * FROM fy_secdb WHERE loginid='$cookie_id' AND clinical_ccn='X'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows < 1)
{
	$meta="<META HTTP-EQUIV=REFRESH CONTENT=10;URL=logout.php>";
	fy_starthtml("Freemed-YiRC: No Permissions",$meta);
	fy_startwindow();
	fy_winprn("CENTER","","I'm sorry, but you have no permission to view this menu.");
	fy_winback("","main.php");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

fy_starthtml("Freemed-YiRC: Clinical Casenote Design Menu: Add Element","");
fy_startwindow();

echo "<TR><TD ALIGN=CENTER><B>";
echo STRTOUPPER("Clinical Casenote<BR>Design Menu<BR>Add Element");
echo "</B></TD></TR>";

# ------------------------------- FORM VIEW -------------------------------

fy_winprn("CENTER","","<HR SIZE=5>");

$sql="SELECT * FROM fy_clinical_formdata WHERE nid='$gr_nid' ORDER BY ordernumber";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

for ($jr3=0;$jr3 < 2;$jr3++)
{
	echo "<TR><TD>";

	if ($jr3==0)
	{
		echo "<P ALIGN=CENTER>--- <B><U>PREVIEW</U></B> ---</P>";
	} else {
		echo "<P ALIGN=CENTER>--- <B><U>PREVIEW W/HTML</U></B> ---</P>";
	}

	echo "<TABLE NOBORDER>";
	echo "<TR><TD>";

	for ($jr=0;$jr < $rows;$jr++)
	{
		if (fy_getfield($fydb_type, $result_set, $jr, "object_type") == "image")
		{
			$tempimg=fy_getfield($fydb_type, $result_set, $jr, "imagename");
			echo "<IMG SRC=$tempimg>";

		}
		if (fy_getfield($fydb_type, $result_set, $jr, "object_type") == "text")
		{
			$temptxt=fy_getfield($fydb_type, $result_set, $jr, "object_text");
			if ($temptxt == "")
			{
				echo " ";
			} else {
				echo stripslashes($temptxt);
			}
		}
		if (fy_getfield($fydb_type, $result_set, $jr, "object_type") == "html")
		{
			$tempd=fy_getfield($fydb_type, $result_set, $jr, "object_html");
			if ($jr3==1)
			{
				$tempd1=ereg_replace("<","&lt;",$tempd);
				$tempd2=ereg_replace(">","&gt;",$tempd1);
				echo "<I><B>".$tempd2."</B></I>";
			}
			echo $tempd;
		}
		if (fy_getfield($fydb_type, $result_set, $jr, "object_type") == "field")
		{
			$tempfn=fy_getfield($fydb_type, $result_set, $jr, "formname");
			if ($tempfn <> "")
			{
				echo $tempfn;
				echo ": ";
				$tempt=fy_getfield($fydb_type, $result_set, $jr, "type");
				if ($tempt == "character")
				{
					$templ=fy_getfield($fydb_type, $result_set, $jr, "length");
					for ($jr2=0;$jr2<$templ;$jr2++)
					{
						echo "X";
					}
				}
				if ($tempt == "date")
				{
					echo "MM/DD/YYYY";
				}
				if ($tempt == "time")
				{
					echo "HH:MM xM";
				}
				if ($tempt == "integer")
				{
					echo "NNNNNNNN";
				}
				if ($tempt == "decimal")
				{
					$templ=fy_getfield($fydb_type, $result_set, $jr, "length");
					$templ1=explode(",",$templ);
					$templ_dec=$templ1[0]-$templ1[1]-1;
					$templ_pre=$templ1[1];
					for ($jr2=0;$jr2<$templ_dec;$jr2++)
					{
						echo "N";
					}
					echo ".";
					for ($jr2=0;$jr2<$templ_pre;$jr2++)
					{
						echo "N";
					}
				}
				if ($tempt == "varchar")
				{
					echo "-variable-";
				}
			} else {
				if ($jr3==1)
				{
					echo "<I>[";
					echo fy_getfield($fydb_type, $result_set, $jr, "fieldname");
					echo "]</I>";
				}
			}
		}
	}
	if ($rows == 0)
	{
		fy_winprn("CENTER","","<B><I>No form elements yet.</I></B>");
	}

	echo "</TD></TR>";
	echo "</TABLE>";
	echo "</TD></TR>";

	fy_winprn("CENTER","","<HR SIZE=5>");
}

# ------------------------------- OPTION SECTION -------------------------

fy_winprn("CENTER","","<B>NEXT FORM ELEMENT</B>");

echo "<TR><TD>";
echo "<TABLE NOBORDER>";

echo "<FORM ACTION=clinicalccn_add_2.php?gr_type=$gr_type&gr_nid=$gr_nid&gr_form_name=$gr_form_name&gr_billable=$gr_billable&gr_ordernumber=$gr_ordernumber METHOD=post>";

# ---------- STD. FIELD ----------
$fy_st=STRTOLOWER(fy_sessiontypelookup($conn,$gr_type, $fydb_type, $fydb_name));
echo "<TR>";
echo "<TD>";
echo "<INPUT TYPE=radio NAME=gr_object_type VALUE=stdfield>Std. Field:  ";
echo "</TD>";
echo "<TD COLSPAN=2>";
if ($fy_st == "individual")
{
	$sql="SELECT * FROM fy_clinical_stdform WHERE grouponly = NULL ORDER BY id";
} elseif ($fy_st == "group") {
	$sql="SELECT * FROM fy_clinical_stdform ORDER BY id";
}
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

echo "<SELECT NAME=gr_stdfieldid>";
for ($jr=0;$jr < $rows;$jr++)
{
	echo "<OPTION VALUE=";
	echo fy_getfield($fydb_type, $result_set, $jr, "id");
	echo ">";
	echo fy_getfield($fydb_type, $result_set, $jr, "fieldname");
	echo " (";
	echo fy_getfield($fydb_type, $result_set, $jr, "formname");
	echo ")";
	$t_std1=fy_getfield($fydb_type, $result_set, $jr, "std");
	$t_std2=fy_getfield($fydb_type, $result_set, $jr, "grouponly");
	if ($t_std1 == "X" OR $t_std2 == "X")
	{
		echo " --REQUIRED-- ";
	}
	if ($fy_st == "group")
	{
		if (fy_getfield($fydb_type, $result_set, $jr, "groupsame") == "X")
		{
			echo " --GROUP-- ";
		}
	}
}
echo "</SELECT>";
echo "</TD>";
echo "</TR>";

fy_winprn("CENTER","","<P>");

# ---------- CUSTOM FIELD ----------
echo "<TR>";
echo "<TD>";
echo "<INPUT TYPE=radio NAME=gr_object_type VALUE=field>Cust. Field:  ";
echo "</TD>";

# --- FIELD NAME ---
echo "<TD>";
echo "Field Name: ";
echo "</TD><TD>";
echo "<INPUT TYPE=TEXT NAME=gr_fieldname SIZE=20 MAXLENGTH=20>";
echo "</TD>";
echo "</TR>";

# --- FORM NAME ---
echo "<TD></TD>";
echo "<TD>";
echo "Form Name: ";
echo "</TD><TD>";
echo "<INPUT TYPE=TEXT NAME=gr_formname SIZE=40 MAXLENGTH=40>";
echo "</TD>";
echo "</TR>";

# --- TYPE ---
echo "<TD></TD>";
echo "<TD>";
echo "Field Type: ";
echo "</TD><TD>";
echo "<SELECT NAME=gr_fieldtype>";
echo "<OPTION VALUE=character>character (Static Length Text Field)";
echo "<OPTION VALUE=varchar>varchar (Variable Length Text Field)";
echo "<OPTION VALUE=integer>integer (No-Decimal Numeric Field)";
echo "<OPTION VALUE=decimal>decimal (Numeric Field WITH decimal)";
echo "<OPTION VALUE=date>date (Date Formatted Field)";
echo "<OPTION VALUE=time>time (Time Formatted Field)";
echo "</SELECT>";
echo "</TD>";
echo "</TR>";

# --- LENGTH ---
echo "<TD></TD>";
echo "<TD>";
echo "Field Length:<BR>(<I>For Character</I>): ";
echo "</TD><TD>";
echo "<INPUT NAME=gr_length TYPE=TEXT SIZE=5 MAXLENGTH=5>";
echo "</TD>";
echo "</TR>";

# --- DEC LENGTH ---
echo "<TD></TD>";
echo "<TD>";
echo "Field Length:<BR>(<I>For Decimal</I>): ";
echo "</TD><TD>";
echo "<INPUT NAME=gr_declength TYPE=TEXT SIZE=1 MAXLENGTH=1>";
echo " <B>.</B> ";
echo "<INPUT NAME=gr_decprelength TYPE=TEXT SIZE=1 MAXLENGTH=1>";
echo "</TD>";
echo "</TR>";

# --- SPELL CHECK ---
echo "<TD></TD>";
echo "<TD>";
echo "Spell Checkable: ";
echo "</TD><TD>";
echo "<INPUT NAME=gr_spell TYPE=RADIO VALUE=\"\" CHECKED>No";
echo "<INPUT NAME=gr_spell TYPE=RADIO VALUE=\"X\">Yes";
echo "</TD>";
echo "</TR>";

if (fy_sessiontypelookup($conn, $gr_type, $fydb_type, $fydb_name) == "Group")
{
	# --- GROUP FIELD ---
	echo "<TD></TD>";
	echo "<TD>";
	echo "Same Across All Groups? ";
	echo "</TD><TD>";
	echo "<INPUT NAME=gr_group TYPE=RADIO VALUE=\"\" CHECKED>No";
	echo "<INPUT NAME=gr_group TYPE=RADIO VALUE=\"X\">Yes";
	echo "</TD>";
	echo "</TR>";
} else {
	$gr_group="";
}

fy_winprn("CENTER","","<P>");

# ---------- IMAGE ----------
echo "<TR>";
echo "<TD COLSPAN=2>";
echo "<INPUT TYPE=radio NAME=gr_object_type VALUE=image>Add An Image";
echo "</TD>";
echo "</TR>";

fy_winprn("CENTER","","<P>");

# ---------- TEXT ----------
echo "<TR>";
echo "<TD>";
echo "<INPUT TYPE=radio NAME=gr_object_type VALUE=text>Text:  ";
echo "</TD>";

# --- TEXT ---
echo "<TD COLSPAN=2>";
echo "<INPUT NAME=gr_text TYPE=TEXT SIZE=30 MAXLENGTH=100>";
echo "</TD>";
echo "</TR>";

fy_winprn("CENTER","","<P>");

# ---------- HTML ----------
echo "<TR>";
echo "<TD>";
echo "<INPUT TYPE=radio NAME=gr_object_type VALUE=html>HTML:  ";
echo "</TD>";

# --- HTML ---
echo "<TD COLSPAN=2>";
echo "<SELECT NAME=gr_html>";
echo "<OPTION VALUE=\"custom\" DEFAULT>Other... (PLEASE SPECIFY IN 'HTML OTHER' FIELD)";
echo "<OPTION VALUE=\"<BR>\">Newline (&lt;BR&gt;)";
echo "<OPTION VALUE=\"<P>\">Paragraph (&lt;P&gt;)";
echo "<OPTION VALUE=\"<B>\">Start Bold (&lt;B&gt;)";
echo "<OPTION VALUE=\"</B>\">End Bold (&lt;/B&gt;)";
echo "<OPTION VALUE=\"<I>\">Start Italics (&lt;I&gt;)";
echo "<OPTION VALUE=\"</I>\">End Italics (&lt;/I&gt;)";
echo "<OPTION VALUE=\"<I>\">Start Centering (&lt;CENTER&gt;)";
echo "<OPTION VALUE=\"</I>\">End Centering (&lt;/CENTER&gt;)";
echo "<OPTION VALUE=\"<U>\">Start Underline (&lt;U&gt;)";
echo "<OPTION VALUE=\"</U>\">End Underline (&lt;/U&gt;)";
echo "<OPTION VALUE=\"<H1>\">Start Heading 1 -Largest- (&lt;H1&gt;)";
echo "<OPTION VALUE=\"</H1>\">End Heading 1 (&lt;/H1&gt;)";
echo "<OPTION VALUE=\"<H2>\">Start Heading 2 -Large- (&lt;H2&gt;)";
echo "<OPTION VALUE=\"</H2>\">End Heading 2 (&lt;/H2&gt;)";
echo "<OPTION VALUE=\"<H3>\">Start Heading 3 -Medium Large- (&lt;H3&gt;)";
echo "<OPTION VALUE=\"</H3>\">End Heading 3 (&lt;/H3&gt;)";
echo "<OPTION VALUE=\"<H4>\">Start Heading 4 -Medium- (&lt;H4&gt;)";
echo "<OPTION VALUE=\"</H4>\">End Heading 4 (&lt;/H4&gt;)";
echo "<OPTION VALUE=\"<H5>\">Start Heading 5 -Medium Small- (&lt;H5&gt;)";
echo "<OPTION VALUE=\"</H5>\">End Heading 5 (&lt;/H5&gt;)";
echo "<OPTION VALUE=\"<H6>\">Start Heading 6 -Smallest- (&lt;H6&gt;)";
echo "<OPTION VALUE=\"</H6>\">End Heading 6 (&lt;/H6&gt;)";
echo "</SELECT>";
echo "</TD>";
echo "</TR>";


# --- HTML OTHER ---
echo "<TD></TD>";
echo "<TD COLSPAN=2>";
echo "Other: ";
echo "<INPUT TYPE=TEXT NAME=gr_htmlother SIZE=30 MAXLENGTH=100>";
echo "</TD>";
echo "</TR>";

echo "</TABLE>";
echo "</TD></TR>";

# ---Submit & Reset---
echo "<TR><TD COLSPAN=2 ALIGN=CENTER>";
echo "<INPUT TYPE=SUBMIT VALUE=Next>";
echo " ";
echo "<INPUT TYPE=RESET VALUE=Clear>";
echo "</TD></TR>";

# ---End Form---
echo "</FORM>";

fy_winprn("CENTER","","<A HREF=clinicalccn_check.php?fy_id=$gr_nid>DONE</A>");

fy_wincancel("","clinicalccn_del.php?fy_id=$gr_nid&fy_di=1");

fy_endwindow("User: $cookie_user");
fy_endhtml();

?>
