<?php

# I'm turning the error reporting OFF because when I test for the SQL table,
# I will always get an error if it doesn't exist, but I don't want a USER 
# seeing this error!  Sooo...
# I'm JUST turning off the 'WARNING' errors, all the other errors
# (i.e. Parser errors, general errors, and notices) will still be displyed.
error_reporting(1|4|8|16|32);

include "freemed_yirc-vars.inc";
include "freemed_yirc-funcs.inc";

fy_cookiecheck($cookie_user);
fy_resetcookie($cookie_user, $cookie_id, $fy_cookietime);

# Check out $cookie_id with the secdb.  Make sure clinical_ccn = 'X'.
$conn=fy_makeconn($fydb_type, $fydb_host, $fydb_user, $fydb_name);
$sql = "SELECT * FROM fy_secdb WHERE loginid = '$cookie_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows > 0)
{
	$perm=fy_getfield($fydb_type, $result_set, 0, "clinical_ccn");
} else {
	$perm = " ";
}

if ($perm != "X")
{
	fy_starthtml("Freemed-Yirc: Error","");
	fy_startwindow();
	fy_winprn("CENTER","","I'm sorry, but you don't have permission to delete this record!!!");
	fy_winback("","main.php");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

$meta="<META HTTP-EQUIV=REFRESH CONTENT=0;URL=clinicalccn.php>";
fy_starthtml("Freemed-YiRC: Delete Casenote Type","$meta");
fy_startwindow();

fy_winprn("CENTER","","<B>Deleting Casenote Type...</B>");

$sql = "DELETE FROM fy_clinical_forms WHERE nid = '$fy_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);

fy_winprn("CENTER","","<B>Deleting Casenote Form...</B>");

$sql = "DELETE FROM fy_clinical_formdata WHERE nid = '$fy_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);

# I can't figure out how to stop this from generating an error message
# (i.e. how to test if a table exists or not without generating an error!)
# So, my only idea is to make the error text "blend in" to the background so
# it doesn't show up.  This only works half-assed because the box is still as
# wide as the screen due to the error message....
echo "<FONT COLOR=DDDDDD>";

# Test to see if the table even exists...
$sql = "SELECT * FROM fy_clinicalnote_".$fy_id;
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);

if ($result_set == "")
{
	$fy_ok=0;
} else {
	$fy_ok=1;
}

echo "</FONT>";
echo "</TD></TR>";

if ($fy_ok == 1)
{
	fy_winprn("CENTER","","<B>Deleting SQL Table for NID...</B>");

	$sql = "DROP TABLE fy_clinicalnote_".$fy_id;
	$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);

	# Since PostgreSQL also creates SEQUENCES for the ID we need to delete
	# that too!
	if ($fydb_type == "psql")
	{
		fy_winprn("CENTER","","<B>Deleting PostgreSQL ID Sequence for NID...</B>");
		$sql = "DROP SEQUENCE fy_clinicalnote_".$fy_id."_id_seq";
		$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
	}
}

fy_endwindow("User: $cookie_user");
fy_endhtml()

?>
