<?php

include "freemed_yirc-vars.inc";
include "freemed_yirc-funcs.inc";

fy_cookiecheck($cookie_user);
fy_resetcookie($cookie_user, $cookie_id, $fy_cookietime);

# Connect to the database & do query
$conn=fy_makeconn($fydb_type, $fydb_host, $fydb_user, $fydb_name);
$sql="SELECT * FROM fy_secdb WHERE loginid='$cookie_id' AND clinical_therapist='X'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows < 1)
{
	$meta="<META HTTP-EQUIV=REFRESH CONTENT=10;URL=logout.php>";
	fy_starthtml("Freemed-YiRC: No Permissions",$meta);
	fy_startwindow();
	fy_winprn("CENTER","","I'm sorry, but you have no permission to view this menu.");
	fy_winback("","main.php");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

$sql="SELECT * FROM fy_clinicalnote_".$fy_nid." WHERE id='$fy_di'";
$result_set_nid=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows_nid=fy_resultrows($fydb_type, $result_set_nid);

if ($rows_nid < 1)
{
	fy_starthtml("Freemed-YiRC: No Permissions","");
	fy_startwindow();
	fy_winprn("CENTER","","No record exists with a nid of '".$fy_nid."' and a record ID of '".$fy_di."'.");
	fy_winback("","clinicalccn_list.php?fy_id=$fy_id&fy_nid=$fy_nid");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

$jr_st=STRTOLOWER(fy_sessiontypelookup2($conn, $fy_nid, $fydb_type,$fydb_name));

if ($jr_st=="group" AND $fy_go <> 1)
{
	fy_starthtml("Freemed-YiRC: Edit as group or individual?","");
	fy_startwindow();
	fy_winprn("CENTER","","Do you want to edit this note<BR>as an individual note, or do you<BR>want to modify the data for all<BR>notes in this group?");
	fy_winprn("CENTER","","<BR>");
	fy_winprn("CENTER","","<B><A HREF=clinicalccn_editnote.php?fy_id=$fy_id&fy_nid=$fy_nid&fy_di=$fy_di&fy_go=1>Edit this note only</B>");
	fy_winprn("CENTER","","<BR>");
	fy_winprn("CENTER","","<B><A HREF=clinicalccn_editgrp.php?fy_id=$fy_id&fy_nid=$fy_nid&fy_di=$fy_di>Modify data for entire group</B>");
	fy_winprn("CENTER","","<BR>");
	fy_winprn("CENTER","","<B><A HREF=clinicalccn_list.php?fy_id=$fy_id&fy_nid=$fy_nid>CANCEL</A></B>");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

fy_starthtml("Freemed-YiRC: Edit Clinical Casenote","");
fy_startwindow();

$sql="SELECT * FROM fy_clinical_formdata WHERE nid='$fy_nid' ORDER BY ordernumber";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows > 0)
{

# ---Start Form---
echo "<FORM ACTION=clinicalccn_editnote2.php?fy_id=$fy_id&fy_nid=$fy_nid&fy_di=$fy_di METHOD=post>";

for ($jr=0;$jr < $rows;$jr++)
{
	$t=fy_getfield($fydb_type, $result_set, $jr, "fieldname");

	if ($t=="res" OR $t=="resid" OR $t=="staff" OR $t=="staffid" OR $t=="note_date" OR $t=="start_time" OR $t=="end_time" OR $t=="pos" OR $t=="modifier" OR $t=="diagcode1" OR $t=="diagcode2" OR $t=="diagcode3" OR $t=="location" OR $t=="billable" OR $t=="present" OR $t=="last_app" OR $t=="next_app" OR $t=="sessionnumber")
	{
		$t2=fy_getfield($fydb_type, $result_set, $jr, "formname");

		if ($t=="sessionnumber")
		{
			$fy_sessionnumber=fy_getfield($fydb_type, $result_set_nid, 0, "sessionnumber");
			echo "<INPUT TYPE=HIDDEN NAME=fy_sessionnumber VALUE=\"$fy_sessionnumber\">";
		}

		if ($t=="res")
		{
			$fy_resid=fy_getfield($fydb_type, $result_set_nid, 0, "resid");
			$fy_res=fy_getfield($fydb_type, $result_set_nid, 0, "res");
			echo "Resident: <B>".$fy_res."</B>";
			echo "<INPUT TYPE=HIDDEN NAME=fy_resid VALUE=$fy_resid>";
			echo "<INPUT TYPE=HIDDEN NAME=fy_res VALUE=\"$fy_res\">";
		}

		if ($t=="staff")
		{
			$fy_staffid=fy_getfield($fydb_type, $result_set_nid, 0, "staffid");
			$fy_staff=fy_getfield($fydb_type, $result_set_nid, 0, "staff");
			echo "Staff: <B>".$fy_staff."</B>";
			echo "<INPUT TYPE=HIDDEN NAME=fy_staffid VALUE=$fy_staffid>";
			echo "<INPUT TYPE=HIDDEN NAME=fy_staff VALUE=\"$fy_staff\">";
		}

		if ($t=="note_date")
		{
			echo "Date: ";

			$tempj=fy_getdate($fydb_type, fy_getfield($fydb_type, $result_set_nid, 0, "note_date"));

			$tempj_1=intval(substr($tempj, 0, 2));
			$tempj_2=intval(substr($tempj, 3, 2));
			$tempj_3=substr($tempj, 6, 4);

			echo "<SELECT NAME=fy_note_date_1>";
			echo "<OPTION SELECTED>$tempj_1";
			fy_option_date_month();
			echo "</SELECT>";

			echo " / ";

			echo "<SELECT NAME=fy_note_date_2>";
			echo "<OPTION SELECTED>$tempj_2";
			fy_option_date_day();
			echo "</SELECT>";

			echo " / ";

			echo "<SELECT NAME=fy_note_date_3>";
			echo "<OPTION SELECTED>$tempj_3";
			fy_option_date_year(1,1);
			echo "</SELECT>";
		}
		if ($t=="last_app")
		{
			$tempj=fy_getdate($fydb_type, fy_getfield($fydb_type, $result_set_nid, 0, "last_app"));

			$tempj_1=intval(substr($tempj, 0, 2));
			$tempj_2=intval(substr($tempj, 3, 2));
			$tempj_3=substr($tempj, 6, 4);

			echo "Last Appointment: ";

			echo "<SELECT NAME=fy_last_app_1>";
			echo "<OPTION SELECTED>$tempj_1";
			fy_option_date_month();
			echo "</SELECT>";

			echo " / ";

			echo "<SELECT NAME=fy_last_app_2>";
			echo "<OPTION SELECTED>$tempj_2";
			fy_option_date_day();
			echo "</SELECT>";

			echo " / ";

			echo "<SELECT NAME=fy_last_app_3>";
			echo "<OPTION SELECTED>$tempj_3";
			fy_option_date_year(1,1);
			echo "</SELECT>";

			echo " ";

			echo "(Initial ";
			echo "<INPUT TYPE=CHECKBOX NAME=fy_last_app_4>";
			echo ")";
		}
		if ($t=="next_app")
		{
			$tempj=fy_getdate($fydb_type, fy_getfield($fydb_type, $result_set_nid, 0, "next_app"));

			$tempj_1=intval(substr($tempj, 0, 2));
			$tempj_2=intval(substr($tempj, 3, 2));
			$tempj_3=substr($tempj, 6, 4);

			echo "Next Appointment: ";

			echo "<SELECT NAME=fy_next_app_1>";
			echo "<OPTION SELECTED>$tempj_1";
			fy_option_date_month();
			echo "</SELECT>";

			echo " / ";

			echo "<SELECT NAME=fy_next_app_2>";
			echo "<OPTION SELECTED>$tempj_2";
			fy_option_date_day();
			echo "</SELECT>";

			echo " / ";

			echo "<SELECT NAME=fy_next_app_3>";
			echo "<OPTION SELECTED>$tempj_3";
			fy_option_date_year(1,1);
			echo "</SELECT>";

			echo " ";

			echo "(None ";
			echo "<INPUT TYPE=CHECKBOX NAME=fy_last_app_4>";
			echo ")";
		}
		if ($t=="start_time")
		{
			$tempj=fy_getfield($fydb_type, $result_set_nid, 0, "start_time");
			$tempj_1=substr($tempj, 0, 2);
			$tempj_2=substr($tempj, 3, 2);

			if ($tempj_1 > 11 AND $tempj_1 <> 0)
			{
				$tempj_3="PM";
				$tempj_1=$tempj_1 - 12;
			} else {
				$tempj_3="AM";
			}

			if ($tempj_1 == 0)
			{
				$tempj_1=12;
				$tempj_3="AM";
			}

			echo "Start Time: ";

			
			echo "<SELECT NAME=fy_start_time_1>";
			echo "<OPTION SELECTED>$tempj_1";
			fy_option_date_hour();
			echo "</SELECT>";

			echo " : ";

			echo "<SELECT NAME=fy_start_time_2>";
			echo "<OPTION SELECTED>$tempj_2";
			fy_option_date_minute();
			echo "</SELECT>";

			echo " ";

			echo "<SELECT NAME=fy_start_time_3>";
			echo "<OPTION SELECTED>$tempj_3";
			if ($tempj_3 == "AM")
			{
				echo "<OPTION>PM";
			} else {
				echo "<OPTION>AM";
			}
			echo "</SELECT>";
		}
		if ($t=="end_time")
		{
			$tempj=fy_getfield($fydb_type, $result_set_nid, 0, "end_time");
			$tempj_1=substr($tempj, 0, 2);
			$tempj_2=substr($tempj, 3, 2);

			if ($tempj_1 > 11 AND $tempj_1 <> 0)
			{
				$tempj_3="PM";
				$tempj_1=$tempj_1 - 12;
			} else {
				$tempj_3="AM";
			}

			if ($tempj_1 == 0)
			{
				$tempj_1=12;
				$tempj_3="AM";
			}


			echo "End Time: ";
			
			echo "<SELECT NAME=fy_end_time_1>";
			echo "<OPTION SELECTED>$tempj_1";
			fy_option_date_hour();
			echo "</SELECT>";

			echo " : ";

			echo "<SELECT NAME=fy_end_time_2>";
			echo "<OPTION SELECTED>$tempj_2";
			fy_option_date_minute();
			echo "</SELECT>";

			echo " ";

			echo "<SELECT NAME=fy_end_time_3>";
			echo "<OPTION SELECTED>$tempj_3";
			if ($tempj_3 == "AM")
			{
				echo "<OPTION>PM";
			} else {
				echo "<OPTION>AM";
			}
			echo "</SELECT>";
		}
		if ($t=="pos")
		{
			$jr_pos=fy_getfield($fydb_type, $result_set_nid, 0, "pos");

			$sql="SELECT * FROM fy_clinical_pos ORDER BY POS";
			$result_set_pos=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
			$rows_pos=fy_resultrows($fydb_type, $result_set_pos);
	
			echo "Place Of Service: ";
			echo "<SELECT NAME=fy_pos>";

			for ($jrt2=0; $jrt2<$rows_pos; $jrt2++)
			{
				$temp_pos=fy_getfield($fydb_type, $result_set_pos, $jrt2, "pos");

				if ($temp_pos==$jr_pos)
				{
					echo "<OPTION SELECTED VALUE=";
				} else {
					echo "<OPTION VALUE=";
				}
				echo $temp_pos;
				echo ">";
				echo fy_getfield($fydb_type, $result_set_pos, $jrt2, "descr");
				echo " (";
				echo fy_getfield($fydb_type, $result_set_pos, $jrt2, "pos");
				echo ")";
			}

			echo "</SELECT>";
		}
		if ($t=="modifier")
		{
			$jr_mod=fy_getfield($fydb_type, $result_set_nid, 0, "modifier");

			$sql="SELECT * FROM fy_clinical_modifiers ORDER BY modifier";
			$result_set_mod=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
			$rows_mod=fy_resultrows($fydb_type, $result_set_mod);
	
			echo "Service Code Modifier: <BR>";
			echo "<SELECT NAME=fy_modifier>";

			for ($jrt2=0; $jrt2<$rows_mod; $jrt2++)
			{
				$temp_mod=fy_getfield($fydb_type, $result_set_mod, $jrt2, "modifier");

				if ($temp_mod==$jr_mod)
				{
					echo "<OPTION SELECTED VALUE=";
				} else {
					echo "<OPTION VALUE=";
				}
				echo $temp_mod;
				echo ">";
				echo fy_getfield($fydb_type, $result_set_mod, $jrt2, "descr");
				echo " (";
				echo fy_getfield($fydb_type, $result_set_mod, $jrt2, "modifier");
				echo ")";
			}

			echo "</SELECT>";
		}
		if ($t=="diagcode1")
		{
			$jr_dc1=fy_getfield($fydb_type, $result_set_nid, 0, "diagcode1");

			$sql="SELECT * FROM fy_con_res_diagcodes WHERE fid='$fy_resid'";
			$result_set_diag=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
			$rows_diag=fy_resultrows($fydb_type, $result_set_diag);

			echo "Diag. Code 1: ";
			echo "<SELECT NAME=fy_diagcode1>";
			if ($jr_dc1=="none")
			{
				echo "<OPTION VALUE=none SELECTED>None";
			} else {
				echo "<OPTION VALUE=none>None";
			}

			for ($jrt2=0; $jrt2<$rows_diag; $jrt2++)
			{
				$jc=fy_getfield($fydb_type, $result_set_diag, $jrt2, "code");

				if ($jc==$jr_dc1)
				{
					echo "<OPTION SELECTED VALUE=";
				} else {
					echo "<OPTION VALUE=";
				}
				echo $jc;
				echo ">";
				echo fy_icd9descrlookup($conn, $jc, $fydb_type, $fydb_name);
				echo " (";
				echo $jc;
				echo ")";
			}
			echo "</SELECT>";
		}
		if ($t=="diagcode2")
		{
			$jr_dc2=fy_getfield($fydb_type, $result_set_nid, 0, "diagcode2");

			$sql="SELECT * FROM fy_con_res_diagcodes WHERE fid='$fy_resid'";
			$result_set_diag=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
			$rows_diag=fy_resultrows($fydb_type, $result_set_diag);
	
			echo "Diag. Code 2: ";
			echo "<SELECT NAME=fy_diagcode2>";

			if ($jr_dc2=="none")
			{
				echo "<OPTION VALUE=none SELECTED>None";
			} else {
				echo "<OPTION VALUE=none>None";
			}

			for ($jrt2=0; $jrt2<$rows_diag; $jrt2++)
			{
				$jc=fy_getfield($fydb_type, $result_set_diag, $jrt2, "code");
				if ($jc==$jr_dc2)
				{
					echo "<OPTION SELECTED VALUE=";
				} else {
					echo "<OPTION VALUE=";
				}
				echo $jc;
				echo ">";
				echo fy_icd9descrlookup($conn, $jc, $fydb_type, $fydb_name);
				echo " (";
				echo $jc;
				echo ")";
			}
			echo "</SELECT>";
		}
		if ($t=="diagcode3")
		{
			$jr_dc3=fy_getfield($fydb_type, $result_set_nid, 0, "diagcode3");

			$sql="SELECT * FROM fy_con_res_diagcodes WHERE fid='$fy_resid'";
			$result_set_diag=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
			$rows_diag=fy_resultrows($fydb_type, $result_set_diag);
	
			echo "Diag. Code 3: ";
			echo "<SELECT NAME=fy_diagcode3>";

			if ($jr_dc3=="none")
			{
				echo "<OPTION VALUE=none SELECTED>None";
			} else {
				echo "<OPTION VALUE=none>None";
			}

			for ($jrt2=0; $jrt2<$rows_diag; $jrt2++)
			{
				$jc=fy_getfield($fydb_type, $result_set_diag, $jrt2, "code");
				if ($jc==$jr_dc3)
				{
					echo "<OPTION SELECTED VALUE=";
				} else {
					echo "<OPTION VALUE=";
				}
				echo $jc;
				echo ">";
				echo fy_icd9descrlookup($conn, $jc, $fydb_type, $fydb_name);
				echo " (";
				echo $jc;
				echo ")";
			}
			echo "</SELECT>";
		}
		if ($t=="location")
		{
			$jr_loc=fy_getfield($fydb_type, $result_set_nid, 0, "location");
			echo "<INPUT TYPE=HIDDEN NAME=fy_location VALUE=$jr_loc>";
			echo "Location: <B>".$jr_loc."</B>";
		}
		if ($t=="billable")
		{
			$jr_bill=fy_getfield($fydb_type, $result_set_nid, 0, "billable");
			echo "Billable: ";

			if ($jr_bill=="X")
			{
				echo "<INPUT TYPE=RADIO NAME=fy_billable VALUE=\"X\" CHECKED>Yes";
				echo "<INPUT TYPE=RADIO NAME=fy_billable VALUE=\"\">No";
			} else {
				echo "<INPUT TYPE=RADIO NAME=fy_billable VALUE=\"X\">Yes";
				echo "<INPUT TYPE=RADIO NAME=fy_billable VALUE=\"\" CHECKED>No";
			}
		}
		if ($t=="present")
		{
			$jr_pres=fy_getfield($fydb_type, $result_set_nid, 0, "present");
			echo "Present: ";
			if ($jr_pres=="X")
			{
				echo "<INPUT TYPE=RADIO NAME=fy_present VALUE=\"X\" CHECKED>Yes";
				echo "<INPUT TYPE=RADIO NAME=fy_present VALUE=\"\">No";
			} else {
				echo "<INPUT TYPE=RADIO NAME=fy_present VALUE=\"X\">Yes";
				echo "<INPUT TYPE=RADIO NAME=fy_present VALUE=\"\" CHECKED>No";
			}
		}
	} else {
		if (fy_getfield($fydb_type, $result_set, $jr, "object_type") == "image")
		{
			$tempimg=fy_getfield($fydb_type, $result_set, $jr, "imagename");
			echo "<IMG SRC=$tempimg>";
		}
		if (fy_getfield($fydb_type, $result_set, $jr, "object_type") == "text")
		{
			$temptxt=fy_getfield($fydb_type, $result_set, $jr, "object_text");
			if ($temptxt == "")
			{
				echo " ";
			} else {
				echo stripslashes($temptxt);
			}
		}
		if (fy_getfield($fydb_type, $result_set, $jr, "object_type") == "html")
		{
			$tempd=fy_getfield($fydb_type, $result_set, $jr, "object_html");
			echo $tempd;
		}
		if (fy_getfield($fydb_type, $result_set, $jr, "object_type") == "field")
		{
			$tempfn=fy_getfield($fydb_type, $result_set, $jr, "formname");
			$tempfn2=fy_getfield($fydb_type, $result_set, $jr, "fieldname");
			if ($tempfn <> "")
			{
				echo $tempfn;
				echo ": ";
				$tempt=fy_getfield($fydb_type, $result_set, $jr, "type");
				if ($tempt == "character")
				{
					$chrs=fy_getfield($fydb_type, $result_set_nid, 0, $tempfn2);
					$templ=fy_getfield($fydb_type, $result_set, $jr, "length");
					echo "<INPUT NAME=";
					eval("echo \"\\\"fy_$tempfn2\\\"\";");
					echo " SIZE=$templ MAXLENGTH=$templ VALUE=\"$chrs\">";
				}
				if ($tempt == "date")
				{
					$tempj=fy_getdate($fydb_type, fy_getfield($fydb_type, $result_set_nid, 0, $tempfn2));

					$tempj_1=intval(substr($tempj, 0, 2));
					$tempj_2=intval(substr($tempj, 3, 2));
					$tempj_3=substr($tempj, 6, 4);

					echo "<SELECT NAME=";
					eval("echo \"\\\"fy_$tempfn2\";");
					echo "_1\">";
					echo "<OPTION SELECTED>$tempj_1";
					fy_option_date_month();
					echo "</SELECT>";

					echo " / ";

					echo "<SELECT NAME=";
					eval("echo \"\\\"fy_$tempfn2\";");
					echo "_2\">";
					echo "<OPTION SELECTED>$tempj_2";
					fy_option_date_day();
					echo "</SELECT>";

					echo " / ";

					echo "<SELECT NAME=";
					eval("echo \"\\\"fy_$tempfn2\";");
					echo "_3\">";
					echo "<OPTION SELECTED>$tempj_3";
					fy_option_date_year(20,20);
					echo "</SELECT>";
				}
				if ($tempt == "time")
				{
					$tempj=fy_getfield($fydb_type, $result_set_nid, 0, "start_time");
					$tempj_1=substr($tempj, 0, 2);
					$tempj_2=substr($tempj, 3, 2);

					if ($tempj_1 > 11 AND $tempj_1 <> 0)
					{
						$tempj_3="PM";
						$tempj_1=$tempj_1 - 12;
					} else {
						$tempj_3="AM";
					}

					if ($tempj_1 == 0)
					{
						$tempj_1=12;
						$tempj_3="AM";
					}
		
					echo "<SELECT NAME=";
					eval("echo \"\\\"fy_$tempfn2\";");
					echo "_1\">";
					echo "<OPTION SELECTED>$tempj_1";
					fy_option_date_hour();
					echo "</SELECT>";

					echo " : ";

					echo "<SELECT NAME=";
					eval("echo \"\\\"fy_$tempfn2\";");
					echo "_2\">";
					echo "<OPTION SELECTED>$tempj_2";
					fy_option_date_minute();
					echo "</SELECT>";

					echo " ";

					echo "<SELECT NAME=";
					eval("echo \"\\\"fy_$tempfn2\";");
					echo "_3\">";
					echo "<OPTION SELECTED>$tempj_3";
					if ($tempj_3 == "AM")
					{
						echo "<OPTION>PM";
					} else {
						echo "<OPTION>AM";
					}
					echo "</SELECT>";
				}
				if ($tempt == "integer")
				{
					$inte=fy_getfield($fydb_type, $result_set_nid, 0, $tempfn2);
					echo "<INPUT NAME=";
					eval("echo \"\\\"fy_$tempfn2\\\"\";");
					echo " SIZE=8 MAXLENGTH=8 VALUE=$inte>";
				}
				if ($tempt == "decimal")
				{
					$dc=fy_getfield($fydb_type, $result_set_nid, 0, $tempfn2);
					$templ=fy_getfield($fydb_type, $result_set, $jr, "length");
					$templ_b=explode(",",$templ);
					$templ_c=$templ_b[0];
					echo "<INPUT NAME=";
					eval("echo \"\\\"fy_$tempfn2\\\"\";");
					echo " SIZE=$templ_c MAXLENGTH=$templ_c VALUE=$dc>";
				}
				if ($tempt == "varchar")
				{
					$vc=fy_getfield($fydb_type, $result_set_nid, 0, $tempfn2);
					echo "<BR>";
					echo "<TEXTAREA ROWS=10 COLS=67 WRAP=SOFT NAME=";
					eval("echo \"\\\"fy_$tempfn2\\\"\";");
					echo ">";
					echo "$vc";
					echo "</TEXTAREA>";
				}
			}
		}
	}
}

echo "<CENTER>";
# ---Submit & Reset---
echo "<INPUT TYPE=SUBMIT VALUE=Next>";
echo " ";
echo "<INPUT TYPE=RESET VALUE=Clear>";
echo "<BR>";
echo "<P>";
echo "<A HREF=clinicalccn_list.php?fy_id=$fy_id&fy_nid=$fy_nid>CANCEL</A>";
echo "</CENTER>";

# ---End Form---
echo "</FORM>";

}

fy_endwindow("User: $cookie_user");
fy_endhtml();

?>
