<?php

include "freemed_yirc-vars.inc";
include "freemed_yirc-funcs.inc";

# I need to turn off some of the error reporting in case a user tries to 
# to something dumb like hit the 'RELOAD' button after a successful execution
# of the script... otherwise it will error saying that some 'id_seq' sequence
# already exists.. blah blah blah...  
# I'm JUST turning off the 'WARNING' errors, all the other errors
# (i.e. Parser errors, general errors, and notices) will still be displyed.
if ($fydb_type <> "mysql")
{
	error_reporting(1|4|8|16|32);
}

fy_cookiecheck($cookie_user);
fy_resetcookie($cookie_user, $cookie_id, $fy_cookietime);

# Connect to the database & do query
$conn=fy_makeconn($fydb_type, $fydb_host, $fydb_user, $fydb_name);
$sql="SELECT * FROM fy_secdb WHERE loginid='$cookie_id' AND clinical_ccn='X'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows < 1)
{
	$meta="<META HTTP-EQUIV=REFRESH CONTENT=10;URL=logout.php>";
	fy_starthtml("Freemed-YiRC: No Permissions",$meta);
	fy_startwindow();
	fy_winprn("CENTER","","I'm sorry, but you have no permission to view this menu.");
	fy_winback("","main.php");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

$sql="SELECT * FROM fy_clinical_forms WHERE nid='$fy_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows <= 0)
{
	fy_starthtml("Freemed-YiRC: NID Doesn't Exist","");
	fy_startwindow();
	fy_winprn("CENTER","","<B>ERROR:</B> The <I>NID</I> selected<BR>doesn't exist!!!");
	fy_winprn("CENTER","","<BR><P>");
	fy_winprn("CENTER","","<B><BLINK>Please use your browser's <I>back</I> button</BLINK></B>");
	fy_winprn("CENTER","","<B><BLINK>to return to the CCN Menu.</BLINK></B>");
	fy_winprn("CENTER","","<BR><P>");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
} else {
	$t2_nid=fy_getfield($fydb_type, $result_set, 0, "nid");
	$t2_formname=fy_getfield($fydb_type, $result_set, 0, "formname");
	$t2_clinical_service=fy_getfield($fydb_type, $result_set, 0, "clinical_service");
	$t2_billable=fy_getfield($fydb_type, $result_set, 0, "billable");
}
 
fy_starthtml("Freemed-YiRC: Clinical Casenote Export","");
fy_startwindow();

fy_winprn("CENTER","","<B>Clinical Casenote<BR>Export</B>");

fy_winprn("CENTER","","<P>");

fy_winprn("CENTER","","<B>Opening 'usr/export_ccn_".$fy_id."'...</B>");

$fy_er=0;

$fy_expfile=fopen("usr/export_ccn_".$fy_id, "w");

if ($fy_expfile == 0)
{
	fy_winprn("CENTER","","<BLINK><B><FONT COLOR=FF0000>ERROR!</FONT></B></BLINK>");
	$fy_er=1;
} else {
	fy_winprn("CENTER","","<B>Done!</B>");
}

if ($fy_er == 0)
{
	fy_winprn("CENTER","","<B>Writing contents to file...</B>");

	$sql="SELECT * FROM fy_clinical_formdata WHERE nid='$fy_id' ORDER BY ordernumber";
	$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
	$rows=fy_resultrows($fydb_type, $result_set);

	$t_str=$t2_nid.",".$t2_formname.",".$t2_clinical_service.",".$t2_billable."\n";

	$fy_er2=fputs($fy_expfile, $t_str);
	
	for ($jr=0; $jr<$rows; $jr++)
	{
		$t_nid=fy_getfield($fydb_type, $result_set, $jr, "nid");
		$t_object_type=fy_getfield($fydb_type, $result_set, $jr, "object_type");
		$t_imagename=fy_getfield($fydb_type, $result_set, $jr, "imagename");
		$t_imagewidth=fy_getfield($fydb_type, $result_set, $jr, "imagewidth");
		$t_imageheight=fy_getfield($fydb_type, $result_set, $jr, "imageheight");
		$t_object_text=fy_getfield($fydb_type, $result_set, $jr, "object_text");
		$t_object_html=fy_getfield($fydb_type, $result_set, $jr, "object_html");
		$t_fieldname=fy_getfield($fydb_type, $result_set, $jr, "fieldname");
		$t_formname=fy_getfield($fydb_type, $result_set, $jr, "formname");
		$t_type=fy_getfield($fydb_type, $result_set, $jr, "type");
		$t_length=fy_getfield($fydb_type, $result_set, $jr, "length");
		$t_spell=fy_getfield($fydb_type, $result_set, $jr, "spell");
		$t_groupsame=fy_getfield($fydb_type, $result_set, $jr, "groupsame");
		$t_ordernumber=fy_getfield($fydb_type, $result_set, $jr, "ordernumber");

		if ($t_type == "decimal")
		{
			$tl2=explode(",",$t_length);
			$tl2a=$tl2[0];
			$tl2b=$tl2[1];
			$t_length=$tl2a.".".$tl2b;
		}

		$t_str=$t_nid.",".$t_object_type.",".$t_imagename.",".$t_imagewidth.",".$t_imageheight.",".$t_object_text.",".$t_object_html.",".$t_fieldname.",".$t_formname.",".$t_type.",".$t_length.",".$t_spell.",".$t_groupsame.",".$t_ordernumber."\n";

		$fy_er2=fputs($fy_expfile, $t_str);
	
		if ($fy_er2 == 0)
		{
			$fy_er=1;
		}
	}
	
	if ($fy_er == 1)
	{
		fy_winprn("CENTER","","<BLINK><B><FONT COLOR=FF0000>ERROR!</FONT></B></BLINK>");
		$fy_er=1;
	} else {
		fy_winprn("CENTER","","<B>Done!</B>");
	}
}

if ($fy_er == 0)
{
	fy_winprn("CENTER","","<B>Closing file...</B>");
	fclose($fy_expfile);
}

if ($fy_er == 0)
{
	# If there aren't any detectable errors, display so...
	fy_winprn("CENTER","","<BR><P>");
	fy_winprn("CENTER","","<B><BLINK>OPERATION COMPLETE<BR>NO ERRORS</B><BR></BLINK>");
	fy_winprn("CENTER","","<BR><P>");
	fy_winback("","clinicalccn.php");
} else {
	# If an error WAS detected, display so...
	fy_winprn("CENTER","","<BR><P>");
	fy_winprn("CENTER","","<B><BLINK><FONT COLOR=FF0000>OPERATION FAILED!!<BR>ERRORS WERE DETECTED!<BR></FONT></BLINK></B>");
	fy_winprn("CENTER","","<B><BLINK><FONT COLOR=FF0000>Please correct any<BR>errors and use your browsers<BR>'RELOAD' button to try again!<BR></FONT></BLINK></B>");
	fy_winprn("CENTER","","<BR><P>");
}

fy_endwindow("User: $cookie_user");
fy_endhtml();

?>
