<?php

include "freemed_yirc-vars.inc";
include "freemed_yirc-funcs.inc";

fy_cookiecheck($cookie_user);
fy_resetcookie($cookie_user, $cookie_id, $fy_cookietime);

# Connect to the database & do query
$conn=fy_makeconn($fydb_type, $fydb_host, $fydb_user, $fydb_name);
$sql="SELECT * FROM fy_secdb WHERE loginid='$cookie_id' AND clinical_therapist='X'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows < 1)
{
	$meta="<META HTTP-EQUIV=REFRESH CONTENT=10;URL=logout.php>";
	fy_starthtml("Freemed-YiRC: No Permissions",$meta);
	fy_startwindow();
	fy_winprn("CENTER","","I'm sorry, but you have no permission to view this menu.");
	fy_winback("","main.php");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

fy_starthtml("Freemed-YiRC: New Clinical Casenote","");
fy_startwindow();

# EXPLODE the passed imploded array ($fy3_res) into an array ($fy2_res)
$fy2_res=explode(",",$fy3_res);

$sql="SELECT * FROM fy_clinical_formdata WHERE nid='$fy_nid' ORDER BY ordernumber";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows > 0)
{

# ---Start Form---
echo "<FORM ACTION=clinicalccn_groupinput3.php?fy_id=$fy_id&fy_nid=$fy_nid&fy_order=$fy_order METHOD=post>";

for ($jr=0;$jr < $rows;$jr++)
{
	$t=fy_getfield($fydb_type, $result_set, $jr, "fieldname");

	if ($t=="res" OR $t=="resid" OR $t=="staff" OR $t=="staffid" OR $t=="note_date" OR $t=="start_time" OR $t=="end_time" OR $t=="pos" OR $t=="modifier" OR $t=="diagcode1" OR $t=="diagcode2" OR $t=="diagcode3" OR $t=="location" OR $t=="billable" OR $t=="present" OR $t=="last_app" OR $t=="next_app" OR $t=="sessionnumber")
	{
		$t2=fy_getfield($fydb_type, $result_set, $jr, "formname");

		if ($t=="sessionnumber")
		{
			echo "<INPUT TYPE=HIDDEN NAME=fy_sessionnumber VALUE=$fy_sessionnumber>";
		}

		if ($t=="res")
		{
			$t_res=fy_conidlookup($conn,$fy2_res[$fy_order],$fydb_type,$fydb_name);
			echo "Resident: <B>".$t_res."</B>";
			echo "<INPUT TYPE=HIDDEN NAME=fy3_res VALUE=$fy3_res>";
			echo "<INPUT TYPE=HIDDEN NAME=fy_resid VALUE=$fy2_res[$fy_order]>";
			echo "<INPUT TYPE=HIDDEN NAME=fy_res VALUE=\"$t_res\">";
		}

		if ($t=="staff")
		{
			if (fy_getfield($fydb_type, $result_set, $jr, "groupsame") == "X")
			{
				echo "Staff: <B>".$fy_staff."</B>";
				echo "<INPUT TYPE=HIDDEN NAME=fy_staffid VALUE=$fy_staffid>";
				echo "<INPUT TYPE=HIDDEN NAME=fy_staff VALUE=\"$fy_staff\">";
			}
		}

		if ($t=="note_date")
		{
			if (fy_getfield($fydb_type, $result_set, $jr, "groupsame") == "X")
			{
				echo "Date: <B>";
				echo $fy_note_date_1;
				echo "/";
				echo $fy_note_date_2;
				echo "/";
				echo $fy_note_date_3;
				echo "</B>";

				echo "<INPUT TYPE=HIDDEN NAME=fy_note_date_1 VALUE=\"$fy_note_date_1\">";
				echo "<INPUT TYPE=HIDDEN NAME=fy_note_date_2 VALUE=\"$fy_note_date_2\">";
				echo "<INPUT TYPE=HIDDEN NAME=fy_note_date_3 VALUE=\"$fy_note_date_3\">";

			} else {
				echo "Date: ";

				echo "<SELECT NAME=fy_note_date_1>";
				fy_option_date_month();
				echo "</SELECT>";

				echo " / ";
	
				echo "<SELECT NAME=fy_note_date_2>";
				fy_option_date_day();
				echo "</SELECT>";
	
				echo " / ";
	
				echo "<SELECT NAME=fy_note_date_3>";
				fy_option_date_year(1,1);
				echo "</SELECT>";
			}
		}
		if ($t=="last_app")
		{
			if (fy_getfield($fydb_type, $result_set, $jr, "groupsame") == "X")
			{
				echo "Last Appointment: ";
				echo "<B>";
				echo $fy_last_app_1;
				echo "/";
				echo $fy_last_app_2;
				echo "/";
				echo $fy_last_app_3;
				echo "</B>";

				echo "<INPUT TYPE=HIDDEN NAME=fy_last_app_1 VALUE=\"$fy_last_app_1\">";
				echo "<INPUT TYPE=HIDDEN NAME=fy_last_app_2 VALUE=\"$fy_last_app_2\">";
				echo "<INPUT TYPE=HIDDEN NAME=fy_last_app_3 VALUE=\"$fy_last_app_3\">";

			} else {	
	
				echo "Last Appointment: ";
	
				echo "<SELECT NAME=fy_last_app_1>";
				fy_option_date_month();
				echo "</SELECT>";
	
				echo " / ";
	
				echo "<SELECT NAME=fy_last_app_2>";
				fy_option_date_day();
				echo "</SELECT>";
	
				echo " / ";
	
				echo "<SELECT NAME=fy_last_app_3>";
				fy_option_date_year(1,1);
				echo "</SELECT>";
	
				echo " ";
	
				echo "(Initial ";
				echo "<INPUT TYPE=CHECKBOX NAME=fy_last_app_4>";
				echo ")";
			}
		}
		if ($t=="next_app")
		{
			if (fy_getfield($fydb_type, $result_set, $jr, "groupsame") == "X")
			{
				echo "Next Appointment: ";
				echo "<B>";
				echo $fy_next_app_1;
				echo "/";
				echo $fy_next_app_2;
				echo "/";
				echo $fy_next_app_3;
				echo "</B>";

				echo "<INPUT TYPE=HIDDEN NAME=fy_next_app_1 VALUE=\"$fy_next_app_1\">";
				echo "<INPUT TYPE=HIDDEN NAME=fy_next_app_2 VALUE=\"$fy_next_app_2\">";
				echo "<INPUT TYPE=HIDDEN NAME=fy_next_app_3 VALUE=\"$fy_next_app_3\">";

			} else {	
				echo "Next Appointment: ";

				echo "<SELECT NAME=fy_next_app_1>";
				fy_option_date_month();
				echo "</SELECT>";

				echo " / ";
	
				echo "<SELECT NAME=fy_next_app_2>";
				fy_option_date_day();
				echo "</SELECT>";
	
				echo " / ";
	
				echo "<SELECT NAME=fy_next_app_3>";
				fy_option_date_year(1,1);
				echo "</SELECT>";
	
				echo " ";
	
				echo "(None ";
				echo "<INPUT TYPE=CHECKBOX NAME=fy_last_app_4>";
				echo ")";
			}
		}
		if ($t=="start_time")
		{
			if (fy_getfield($fydb_type, $result_set, $jr, "groupsame") == "X")
			{
				echo "Start Time: ";
				echo "<B>";
				echo $fy_start_time_1;
				echo ":";
				echo $fy_start_time_2;
				echo " ";
				echo $fy_start_time_3;
				echo "</B>";

				echo "<INPUT TYPE=HIDDEN NAME=fy_start_time_1 VALUE=\"$fy_start_time_1\">";
				echo "<INPUT TYPE=HIDDEN NAME=fy_start_time_2 VALUE=\"$fy_start_time_2\">";
				echo "<INPUT TYPE=HIDDEN NAME=fy_start_time_3 VALUE=\"$fy_start_time_3\">";

			} else {	
				echo "Start Time: ";
			
				echo "<SELECT NAME=fy_start_time_1>";
				fy_option_date_hour();
				echo "</SELECT>";
	
				echo " : ";
	
				echo "<SELECT NAME=fy_start_time_2>";
				fy_option_date_minute();
				echo "</SELECT>";
	
				echo " ";
	
				echo "<SELECT NAME=fy_start_time_3>";
				if (date("H") > 11)
				{
					echo "<OPTION SELECTED>PM";
					echo "<OPTION>AM";
				} else {
					echo "<OPTION SELECTED>AM";
					echo "<OPTION>PM";
				}
				echo "</SELECT>";
			}
		}
		if ($t=="end_time")
		{
			if (fy_getfield($fydb_type, $result_set, $jr, "groupsame") == "X")
			{
				echo "End Time: ";
				echo "<B>";
				echo $fy_end_time_1;
				echo ":";
				echo $fy_end_time_2;
				echo " ";
				echo $fy_end_time_3;
				echo "</B>";

				echo "<INPUT TYPE=HIDDEN NAME=fy_end_time_1 VALUE=\"$fy_end_time_1\">";
				echo "<INPUT TYPE=HIDDEN NAME=fy_end_time_2 VALUE=\"$fy_end_time_2\">";
				echo "<INPUT TYPE=HIDDEN NAME=fy_end_time_3 VALUE=\"$fy_end_time_3\">";

			} else {	
				echo "End Time: ";
			
				echo "<SELECT NAME=fy_end_time_1>";
				fy_option_date_hour();
				echo "</SELECT>";
	
				echo " : ";
	
				echo "<SELECT NAME=fy_end_time_2>";
				fy_option_date_minute();
				echo "</SELECT>";
	
				echo " ";
	
				echo "<SELECT NAME=fy_end_time_3>";
				if (date("H") > 11)
				{
					echo "<OPTION SELECTED>PM";
					echo "<OPTION>AM";
				} else {
					echo "<OPTION SELECTED>AM";
					echo "<OPTION>PM";
				}
				echo "</SELECT>";
			}
		}
		if ($t=="pos")
		{
			if (fy_getfield($fydb_type, $result_set, $jr, "groupsame") == "X")
			{
				$fy_pos_descr=fy_posdescrlookup($conn, $fy_pos, $fydb_type, $fydb_name);
				echo "Place Of Service: <B>".$fy_pos_descr." (".$fy_pos.")</B>";
				echo "<INPUT TYPE=HIDDEN NAME=fy_pos VALUE=$fy_pos>";
			} else {
				$sql="SELECT * FROM fy_clinical_pos ORDER BY POS";
				$result_set_pos=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
				$rows_pos=fy_resultrows($fydb_type, $result_set_pos);
		
				echo "Place Of Service: ";
				echo "<SELECT NAME=fy_pos>";
	
				for ($jrt2=0; $jrt2<$rows_pos; $jrt2++)
				{
					echo "<OPTION VALUE=";
					echo fy_getfield($fydb_type, $result_set_pos, $jrt2, "pos");
					echo ">";
					echo fy_getfield($fydb_type, $result_set_pos, $jrt2, "descr");
					echo " (";
					echo fy_getfield($fydb_type, $result_set_pos, $jrt2, "pos");
					echo ")";
				}
	
				echo "</SELECT>";
			}
		}
		if ($t=="modifier")
		{
			if (fy_getfield($fydb_type, $result_set, $jr, "groupsame") == "X")
			{
				$fy_mod_descr=fy_modifierdescrlookup($conn, $fy_modifier, $fydb_type, $fydb_name);
				echo "Service Code Modifier: <B>".$fy_mod_descr." (".$fy_modifier.")</B>";
				echo "<INPUT TYPE=HIDDEN NAME=fy_modifier VALUE=$fy_modifier>";
			} else {
				$sql="SELECT * FROM fy_clinical_modifiers ORDER BY modifier";
				$result_set_mod=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
				$rows_mod=fy_resultrows($fydb_type, $result_set_mod);
		
				echo "Service Code Modifier: <BR>";
				echo "<SELECT NAME=fy_modifier>";

				for ($jrt2=0; $jrt2<$rows_mod; $jrt2++)
				{
					echo "<OPTION VALUE=";
					echo fy_getfield($fydb_type, $result_set_mod, $jrt2, "modifier");
					echo ">";
					echo fy_getfield($fydb_type, $result_set_mod, $jrt2, "descr");
					echo " (";
					echo fy_getfield($fydb_type, $result_set_mod, $jrt2, "modifier");
					echo ")";
				}
	
				echo "</SELECT>";
			}
		}
		if ($t=="diagcode1")
		{
			$sql="SELECT * FROM fy_con_res_diagcodes WHERE fid='$fy2_res[$fy_order]'";
			$result_set_diag=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
			$rows_diag=fy_resultrows($fydb_type, $result_set_diag);
	
			echo "Diag. Code 1: ";
			echo "<SELECT NAME=fy_diagcode1>";
			echo "<OPTION VALUE=none SELECTED>None";

			for ($jrt2=0; $jrt2<$rows_diag; $jrt2++)
			{
				echo "<OPTION VALUE=";
				$jc=fy_getfield($fydb_type, $result_set_diag, $jrt2, "code");
				echo $jc;
				echo ">";
				echo fy_icd9descrlookup($conn, $jc, $fydb_type, $fydb_name);
				echo " (";
				echo $jc;
				echo ")";
			}
			echo "</SELECT>";
		}
		if ($t=="diagcode2")
		{
			$sql="SELECT * FROM fy_con_res_diagcodes WHERE fid='$fy2_res[$fy_order]'";
			$result_set_diag=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
			$rows_diag=fy_resultrows($fydb_type, $result_set_diag);
	
			echo "Diag. Code 2: ";
			echo "<SELECT NAME=fy_diagcode2>";
			echo "<OPTION VALUE=none SELECTED>None";

			for ($jrt2=0; $jrt2<$rows_diag; $jrt2++)
			{
				echo "<OPTION VALUE=";
				$jc=fy_getfield($fydb_type, $result_set_diag, $jrt2, "code");
				echo $jc;
				echo ">";
				echo fy_icd9descrlookup($conn, $jc, $fydb_type, $fydb_name);
				echo " (";
				echo $jc;
				echo ")";
			}
			echo "</SELECT>";
		}
		if ($t=="diagcode3")
		{
			$sql="SELECT * FROM fy_con_res_diagcodes WHERE fid='$fy2_res[$fy_order]'";
			$result_set_diag=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
			$rows_diag=fy_resultrows($fydb_type, $result_set_diag);
	
			echo "Diag. Code 3: ";
			echo "<SELECT NAME=fy_diagcode3>";
			echo "<OPTION VALUE=none SELECTED>None";

			for ($jrt2=0; $jrt2<$rows_diag; $jrt2++)
			{
				echo "<OPTION VALUE=";
				$jc=fy_getfield($fydb_type, $result_set_diag, $jrt2, "code");
				echo $jc;
				echo ">";
				echo fy_icd9descrlookup($conn, $jc, $fydb_type, $fydb_name);
				echo " (";
				echo $jc;
				echo ")";
			}
			echo "</SELECT>";
		}
		if ($t=="location")
		{
			echo "<INPUT TYPE=HIDDEN NAME=fy_location VALUE=$fy_id>";
			echo "Location: <B>".$fy_id."</B>";
		}
		if ($t=="billable")
		{
			echo "Billable: ";
			echo "<INPUT TYPE=RADIO NAME=fy_billable VALUE=\"X\">Yes";
			echo "<INPUT TYPE=RADIO NAME=fy_billable VALUE=\"\" CHECKED>No";
		}
		if ($t=="present")
		{
			echo "Present: ";
			echo "<INPUT TYPE=RADIO NAME=fy_present VALUE=\"X\">Yes";
			echo "<INPUT TYPE=RADIO NAME=fy_present VALUE=\"\" CHECKED>No";
		}
	} else {
		if (fy_getfield($fydb_type, $result_set, $jr, "object_type") == "image")
		{
			$tempimg=fy_getfield($fydb_type, $result_set, $jr, "imagename");
			echo "<IMG SRC=$tempimg>";
		}

		if (fy_getfield($fydb_type, $result_set, $jr, "object_type") == "text")
		{
			$temptxt=fy_getfield($fydb_type, $result_set, $jr, "object_text");
			if ($temptxt == "")
			{
				echo " ";
			} else {
				echo stripslashes($temptxt);
			}
		}
		if (fy_getfield($fydb_type, $result_set, $jr, "object_type") == "html")
		{
			$tempd=fy_getfield($fydb_type, $result_set, $jr, "object_html");
			echo $tempd;
		}
		if (fy_getfield($fydb_type, $result_set, $jr, "object_type") == "field")
		{
			$tempfn=fy_getfield($fydb_type, $result_set, $jr, "formname");
			$tempfn2=fy_getfield($fydb_type, $result_set, $jr, "fieldname");
			if ($tempfn <> "")
			{
				echo $tempfn;
				echo ": ";
				$tempt=fy_getfield($fydb_type, $result_set, $jr, "type");
				$tempgs=fy_getfield($fydb_type, $result_set, $jr, "groupsame");

				if ($tempgs == "X")
				{
					if ($tempt == "character" OR $tempt == "integer" OR $tempt == "varchar" OR $tempt == "decimal" )
					{
						echo "<B>";
						eval("echo \$fy_$tempfn2;");
						echo "</B>";
						echo "<INPUT NAME=";
						eval("echo \"\\\"fy_$tempfn2\\\"\";");
						echo " TYPE=HIDDEN VALUE=";
						eval("echo \"\\\"\$fy_$tempfn2\\\"\";");
						echo ">";
					}
					if ($tempt == "date" OR $tempt == "time")
					{
						echo "<B>";

						# ---Month/Hour---
						eval("echo \$fy_$tempfn2"."_1;");
						echo "<INPUT NAME=";
						eval("echo \"\\\"fy_$tempfn2"."_1\\\"\";");
						echo " TYPE=HIDDEN VALUE=";
						eval("echo \"\\\"\$fy_$tempfn2"."_1\\\"\";");
						echo ">";

						if ($tempt == "date")
						{
							echo "/";
						} elseif ($tempt == "time") {
							echo ":";
						}

						# ---Day/Minute---
						eval("echo \$fy_$tempfn2"."_2;");
						echo "<INPUT NAME=";
						eval("echo \"\\\"fy_$tempfn2"."_2\\\"\";");
						echo " TYPE=HIDDEN VALUE=";
						eval("echo \"\\\"\$fy_$tempfn2"."_2\\\"\";");
						echo ">";

						if ($tempt == "date")
						{
							echo "/";
						} elseif ($tempt == "time") {
							echo " ";
						}

						# ---Year/AM-PM---
						eval("echo \$fy_$tempfn2"."_3;");
						echo "<INPUT NAME=";
						eval("echo \"\\\"fy_$tempfn2"."_3\\\"\";");
						echo " TYPE=HIDDEN VALUE=";
						eval("echo \"\\\"\$fy_$tempfn2"."_3\\\"\";");
						echo ">";

						echo "</B>";
					}
				}

				if ($tempt == "character" AND $tempgs <> "X")
				{
					$templ=fy_getfield($fydb_type, $result_set, $jr, "length");
					echo "<INPUT NAME=";
					eval("echo \"\\\"fy_$tempfn2\\\"\";");
					echo " SIZE=$templ MAXLENGTH=$templ>";
				}
				if ($tempt == "date" AND $tempgs <> "X")
				{
					echo "<SELECT NAME=";
					eval("echo \"\\\"fy_$tempfn2\";");
					echo "_1\">";
					fy_option_date_month();
					echo "</SELECT>";

					echo " / ";

					echo "<SELECT NAME=";
					eval("echo \"\\\"fy_$tempfn2\";");
					echo "_2\">";
					fy_option_date_day();
					echo "</SELECT>";

					echo " / ";

					echo "<SELECT NAME=";
					eval("echo \"\\\"fy_$tempfn2\";");
					echo "_3\">";
					fy_option_date_year(20,20);
					echo "</SELECT>";
				}
				if ($tempt == "time" AND $tempgs <> "X")
				{
					echo "<SELECT NAME=";
					eval("echo \"\\\"fy_$tempfn2\";");
					echo "_1\">";
					fy_option_date_hour();
					echo "</SELECT>";

					echo " : ";

					echo "<SELECT NAME=";
					eval("echo \"\\\"fy_$tempfn2\";");
					echo "_2\">";
					fy_option_date_minute();
					echo "</SELECT>";

					echo " ";

					echo "<SELECT NAME=";
					eval("echo \"\\\"fy_$tempfn2\";");
					echo "_3\">";
					if (date("H") > 11)
					{
						echo "<OPTION SELECTED>PM";
						echo "<OPTION>AM";
					} else {
						echo "<OPTION SELECTED>AM";
						echo "<OPTION>PM";
					}
					echo "</SELECT>";
				}
				if ($tempt == "integer" AND $tempgs <> "X")
				{
					echo "<INPUT NAME=";
					eval("echo \"\\\"fy_$tempfn2\\\"\";");
					echo " SIZE=8 MAXLENGTH=8>";
				}
				if ($tempt == "decimal" AND $tempgs <> "X")
				{
					$templ=fy_getfield($fydb_type, $result_set, $jr, "length");
					$templ_b=explode(",",$templ);
					$templ_c=$templ_b[0];
					echo "<INPUT NAME=";
					eval("echo \"\\\"fy_$tempfn2\\\"\";");
					echo " SIZE=$templ_c MAXLENGTH=$templ_c>";
				}
				if ($tempt == "varchar" AND $tempgs <> "X")
				{
					echo "<BR>";
					echo "<TEXTAREA ROWS=10 COLS=67 ";	
					echo "WRAP=SOFT NAME=";
					eval("echo \"\\\"fy_$tempfn2\\\"\";");
					echo "></TEXTAREA>";
				}
			}
		}
	}
}

echo "<CENTER>";
# ---Submit & Reset---
echo "<INPUT TYPE=SUBMIT VALUE=Next>";
echo " ";
echo "<INPUT TYPE=RESET VALUE=Clear>";
echo "<BR>";
echo "<P>";
echo "<A HREF=clinicalccn_grpdel.php?fy_id=$fy_id&fy_nid=$fy_nid&fy_sessionnumber=$fy_sessionnumber>CANCEL</A>";
echo "</CENTER>";

# ---End Form---
echo "</FORM>";

}

fy_endwindow("User: $cookie_user");
fy_endhtml();

?>
