<?php

include "freemed_yirc-vars.inc";
include "freemed_yirc-funcs.inc";

fy_cookiecheck($cookie_user);
fy_resetcookie($cookie_user, $cookie_id, $fy_cookietime);

# Connect to the database & do query
$conn=fy_makeconn($fydb_type, $fydb_host, $fydb_user, $fydb_name);
$sql="SELECT * FROM fy_secdb WHERE loginid='$cookie_id' AND clinical_ccn='X'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows < 1)
{
	$meta="<META HTTP-EQUIV=REFRESH CONTENT=10;URL=logout.php>";
	fy_starthtml("Freemed-YiRC: No Permissions",$meta);
	fy_startwindow();
	fy_winprn("CENTER","","I'm sorry, but you have no permission to view this menu.");
	fy_winback("","main.php");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

fy_starthtml("Freemed-YiRC: Clinical Casenote Import Menu: Importing Elements","");
fy_startwindow();

echo "<TR><TD ALIGN=CENTER><B>";
echo STRTOUPPER("Clinical Casenote<BR>Import Menu<BR>Importing Elements To DB");
echo "</B></TD></TR>";

fy_winprn("CENTER","","Opening the file".$gr_file."...");

$fy_er=0;

# Open the file...
$fy_impfile=fopen("usr/".$gr_file, "r");

if ($fy_impfile == 0)
{
	fy_winprn("CENTER","","<BLINK><B><FONT COLOR=FF0000>ERROR!</FONT></B></BLINK>");
	$fy_er=1;
} else {
	fy_winprn("CENTER","","<B>Done!</B>");
}

if ($fy_er == 0)
{
	# We don't need the first line, but we have to get it anyway....
	$fy_line = fgets($fy_impfile, 4096);

	# Take the input line and EXPLODE it into an array...
	$fy_line2=explode(",",$fy_line);
}

if ($fy_er == 0)
{
	while (!feof($fy_impfile))
	{
		# Get a line
		$fy_line = fgets($fy_impfile, 4096);
	
		# Take the input line and EXPLODE it into an array...
		$fy_line3=explode(",",$fy_line);

		$t2_nid=$fy_line3[0];
		$t2_object_type=$fy_line3[1];
		$t2_imagename=$fy_line3[2];
		$t2_imagewidth=$fy_line3[3];
		$t2_imageheight=$fy_line3[4];
		$t2_object_text=$fy_line3[5];
		$t2_object_html=$fy_line3[6];
		$t2_fieldname=$fy_line3[7];
		$t2_formname=$fy_line3[8];
		$t2_type=$fy_line3[9];
		$t2_length=$fy_line3[10];
		$t2_spell=$fy_line3[11];
		$t2_groupsame=$fy_line3[12];
		$t2_ordernumber=$fy_line3[13];

		if ($t2_type == "decimal")
		{
			$tl2=explode(".",$t2_length);
			$tl2a=$tl2[0];
			$tl2b=$tl2[1];
			$t2_length=$tl2a.",".$tl2b;
		}

		if (!feof($fy_impfile))
		{
			$sql="INSERT INTO fy_clinical_formdata (NID, object_type, object_html, object_text, fieldname, formname, type, length, spell, groupsame, ordernumber) VALUES ('$gr_nid','$t2_object_type','$t2_object_html','$t2_object_text','$t2_fieldname','$t2_formname','$t2_type','$t2_length','$t2_spell','"."$t2_groupsame"."',"."$t2_ordernumber".")";
			$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
		}
	}
}

if ($fy_er == 0)
{
	# If there aren't any detectable errors, display so...
	fy_winprn("CENTER","","<BR><P>");
	fy_winprn("CENTER","","<B><BLINK>OPERATION COMPLETE<BR>NO ERRORS</B><BR></BLINK>");
	fy_winprn("CENTER","","<BR><P>");
	fy_winprn("CENTER","","<A HREF=clinicalccn_imp_5.php?fy_id=$gr_nid>Next</A>");
} else {
	# If an error WAS detected, display so...
	fy_winprn("CENTER","","<BR><P>");
	fy_winprn("CENTER","","<B><BLINK><FONT COLOR=FF0000>OPERATION FAILED!!<BR>ERRORS WERE DETECTED!<BR></FONT></BLINK></B>");
	fy_winprn("CENTER","","<BR><P>");
}

fy_winprn("CENTER","","<A HREF=clinicalccn_del.php?fy_id=$gr_nid&fy_di=1>CANCEL</A>");

fy_endwindow("User: $cookie_user");
fy_endhtml();

?>
