<?php

include "freemed_yirc-vars.inc";
include "freemed_yirc-funcs.inc";

fy_cookiecheck($cookie_user);
fy_resetcookie($cookie_user, $cookie_id, $fy_cookietime);

# Connect to the database & do query
$conn=fy_makeconn($fydb_type, $fydb_host, $fydb_user, $fydb_name);
$sql="SELECT * FROM fy_secdb WHERE loginid='$cookie_id' AND clinical_therapist='X'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows < 1)
{
	$meta="<META HTTP-EQUIV=REFRESH CONTENT=10;URL=logout.php>";
	fy_starthtml("Freemed-YiRC: No Permissions",$meta);
	fy_startwindow();
	fy_winprn("CENTER","","I'm sorry, but you have no permission to view this menu.");
	fy_winback("","main.php");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

# Make sure there are STAFF contacts in the database for this group!!!
$sql = "SELECT * FROM fy_con_groups WHERE group_id = '$fy_id'";
$result_set_staff=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set_staff);

$numstf=0;
for ($jr=0; $jr < $rows; $jr++)
{
	$fid=fy_getfield($fydb_type, $result_set_staff, $jr, "fid");
	if (trim(fy_contypelookup($conn,$fid,$fydb_type,$fydb_name)) == "Staff")
	{
		$numstf++;
	}
}

if ($numstf < 1)

# Make sure there are RESIDENT contacts in the database for this group!!!
$sql = "SELECT * FROM fy_con_groups WHERE group_id = '$fy_id'";
$result_set_res=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set_res);

$numres=0;
for ($jr=0; $jr < $rows; $jr++)
{
	$fid=fy_getfield($fydb_type, $result_set_res, $jr, "fid");
	if (trim(fy_contypelookup($conn,$fid,$fydb_type,$fydb_name)) == "Resident")
	{
		$numres++;
	}
}

if ($numres < 1)
{
	fy_starthtml("Freemed-Yirc: Error","");
	fy_startwindow();
	fy_winprn("CENTER","","<B>ERROR:</B>  There are no residents in the Contact Database for this group!");
	fy_winback("","clinicalccn_list.php?fy_id=$fy_id&fy_nid=$fy_nid");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

$jt_st=fy_sessiontypelookup2($conn,$fy_nid,$fydb_type,$fydb_name);

fy_starthtml("Freemed-YiRC: New Clinical Casenote: Select Resident & Staff","");
fy_startwindow();
fy_winprn("CENTER","","<B>SELECT STAFF AND RESIDENT<BR>FOR THIS CASENOTE</B>");

echo "<TR><TD>";
echo "<TABLE NOBORDER ALIGN=CENTER>";

if ($jt_st == "Group")
{
	# Get the # of the group session....
	$sql = "INSERT INTO fy_clinical_groupcount (nid) VALUES ('$fy_nid')";
	$result_set_grp=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
	$sql = "SELECT count(id) FROM fy_clinical_groupcount WHERE nid = '$fy_nid'";
	$result_set_grp=fy_execsql($fydb_type, $fydb_name, $conn, $sql);

	if ($fydb_type=="psql")
	{
		$fy_sessionnumber=fy_getfield($fydb_type, $result_set_grp, 0, "count");
	} elseif ($fydb_type=="mysql") {
		$fy_sessionnumber=fy_getfield($fydb_type, $result_set_grp, 0, "count(id)");
	}

}

# ---Start Form---
if ($jt_st <> "Group")
{
	echo "<FORM ACTION=clinicalccn_input1.php?fy_id=$fy_id&fy_nid=$fy_nid METHOD=post>";
} else {
	echo "<FORM ACTION=clinicalccn_groupinput1.php?fy_id=$fy_id&fy_nid=$fy_nid&fy_sessionnumber=$fy_sessionnumber METHOD=post>";
}

# ---RESIDENT---
echo "<TR><TD COLSPAN=2 ALIGN=CENTER><BR><P><B>Resident:</B></TR></TD>";
echo "<TR>";

echo "<TD ALIGN=CENTER>";
if ($jt_st <> "Group")
{
	echo "<B>Choose One</B>:";
} else {
	echo "<B>Choose<BR>Multiple:</B><BR>(Use the<BR><I>CTRL</I> key)";
}
echo "</TD>";

echo "<TD>";

if ($jt_st <> "Group")
{
	echo "<SELECT NAME=fy2_res>";
} else {
	echo "<SELECT NAME=fy2_res[] MULTIPLE SIZE=8>";
}

$rows_res=fy_resultrows($fydb_type, $result_set_res);
for ($jr2=0; $jr2 < $rows_res; $jr2++)
{
	$fid=trim(fy_getfield($fydb_type, $result_set_res, $jr2, "fid"));
	if (fy_contypelookup($conn,$fid,$fydb_type,$fydb_name) == "Resident")
	{
		echo "<OPTION VALUE=";
		echo fy_getfield($fydb_type, $result_set_res, $jr2, "fid");
		echo ">";
		echo fy_conidlookup($conn, fy_getfield($fydb_type, $result_set_res, $jr2, "fid"), $fydb_type, $fydb_name);
	}
}
echo "</SELECT>";
echo "</TD>";
echo "<TR>";

# ---STAFF---
echo "<TR><TD COLSPAN=2 ALIGN=CENTER><BR><P><B>Staff:</B></TR></TD>";
echo "<TR>";

echo "<TD ALIGN=CENTER>";
echo "<B>Choose One:</B> ";
echo "</TD>";

echo "<TD>";
echo "<SELECT NAME=fy2_staff>";

$rows_stf=fy_resultrows($fydb_type, $result_set_staff);
for ($jr2=0; $jr2 < $rows_stf; $jr2++)
{
	$fid=fy_getfield($fydb_type, $result_set_staff, $jr2, "fid");
	if (fy_contypelookup($conn,$fid,$fydb_type,$fydb_name) == "Staff")
	{
		$jrt_stf=fy_conidlookup($conn, fy_getfield($fydb_type, $result_set_staff, $jr2, "fid"), $fydb_type, $fydb_name);
		$fid2=fy_conloginidlookup2($conn, $fid, $fydb_type, $fydb_name);
		if ($jrt_stf <> "root Administrator" AND $jrt_stf <> "Root Administrator")
		{
			if ($fid2 == $cookie_id)
			{
				echo "<OPTION VALUE=";
				echo fy_getfield($fydb_type, $result_set_staff, $jr2, "fid");
				echo " SELECTED>";
				echo $jrt_stf;

			} else {
				echo "<OPTION VALUE=";
				echo fy_getfield($fydb_type, $result_set_staff, $jr2, "fid");
				echo ">";
				echo $jrt_stf;
			}
		}
	}
}
echo "</SELECT>";
echo "</TD>";
echo "<TR>";

echo "<TR><TD COLSPAN=2 ALIGN=CENTER>";
# ---Submit & Reset---
echo "<INPUT TYPE=SUBMIT VALUE=Next>";
echo " ";
echo "<INPUT TYPE=RESET VALUE=Clear>";
echo "</TD></TR>";
##echo "<A HREF=clinicalcasenote.php?fy_id=$fy_id>CANCEL</A>";
fy_wincancel("2", "clinicalcasenote.php?fy_id=$fy_id");

# ---End Form---
echo "</FORM>";

echo "</TABLE>";
echo "</TD></TR>";

fy_endwindow("User: $cookie_user");
fy_endhtml();

?>
