<?php

include "freemed_yirc-vars.inc";
include "freemed_yirc-funcs.inc";

fy_cookiecheck($cookie_user);
fy_resetcookie($cookie_user, $cookie_id, $fy_cookietime);

# Connect to the database & do query
$conn=fy_makeconn($fydb_type, $fydb_host, $fydb_user, $fydb_name);
$sql="SELECT * FROM fy_secdb WHERE loginid='$cookie_id' AND clinical_therapist='X'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows < 1)
{
	$meta="<META HTTP-EQUIV=REFRESH CONTENT=10;URL=logout.php>";
	fy_starthtml("Freemed-YiRC: No Permissions",$meta);
	fy_startwindow();
	fy_winprn("CENTER","","I'm sorry, but you have no permission to view this menu.");
	fy_winback("","main.php");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

fy_starthtml("Freemed-YiRC: Entering Clinical Casenote Into Database","");
fy_startwindow();

fy_winprn("CENTER","","<B>ENTERING CLINICAL CASENOTE<BR>INTO DATABASE</B>");

$sql="SELECT * FROM fy_clinical_formdata WHERE nid='$fy_nid' ORDER BY ordernumber";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows > 0)
{
$jtemp_sql1="INSERT INTO fy_clinicalnote_".$fy_nid." (serv_nid ";
$jtemp_sql2="VALUES ('".$fy_nid."'";

for ($jr=0;$jr < $rows;$jr++)
{


	$tempj1=NULL;

		if (fy_getfield($fydb_type, $result_set, $jr, "object_type") == "field")
		{
			$tempfn=fy_getfield($fydb_type, $result_set, $jr, "formname");
			$tempfn2=fy_getfield($fydb_type, $result_set, $jr, "fieldname");
			if ($tempfn2 <> "serv_nid")
			{
				$jtemp_sql1 .= ", ".$tempfn2;

				$tempt=fy_getfield($fydb_type, $result_set, $jr, "type");
				if ($tempt == "character")
				{
					eval("\$tempj1=\"\$fy_$tempfn2\";");
					$jtemp_sql2 .= ",'".$tempj1."'";
				}
				if ($tempt == "date")
				{
					eval("\$tempj1=\"\$fy_$tempfn2"."_1\";");
					eval("\$tempj2=\"\$fy_$tempfn2"."_2\";");
					eval("\$tempj3=\"\$fy_$tempfn2"."_3\";");
					#$jtemp_sql2 .= ",'".$tempj1."/".$tempj2."/".$tempj3."'";
					$jtemp_sql2.=",'".fy_putdate($fydb_type,$tempj1,$tempj2,$tempj3)."'";
				}
				if ($tempt == "time")
				{
					eval("\$tempj1=\"\$fy_$tempfn2"."_1\";");
					eval("\$tempj2=\"\$fy_$tempfn2"."_2\";");
					eval("\$tempj3=\"\$fy_$tempfn2"."_3\";");
					#$jtemp_sql2 .= ",'".$tempj1.":".$tempj2." ".$tempj3."'";
					$jtemp_sql2.=",'".fy_puttime($fydb_type,$tempj1,$tempj2,$tempj3)."'";
				}
				if ($tempt == "integer")
				{
					eval("\$tempj1=\"\$fy_$tempfn2\";");
					$tempj1=intval($tempj1);
					$jtemp_sql2 .= ",".$tempj1;
				}
				if ($tempt == "decimal")
				{
					eval("\$tempj1=\"\$fy_$tempfn2\";");
					$tempj1=doubleval($tempj1);
					$jtemp_sql2 .= ",".$tempj1;
				}
				if ($tempt == "varchar")
				{
					eval("\$tempj1=\"\$fy_$tempfn2\";");
					$tempj2=ereg_replace("\n","<BR>",$tempj1);
					$jtemp_sql2 .= ",'".$tempj1."'";
				}
			}
		}
}

$jtemp_sql1 .= ") ";
$jtemp_sql2 .= ")";

$sql=$jtemp_sql1.$jtemp_sql2;
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
#$rows=fy_resultrows($fydb_type, $result_set);
fy_winprn("CENTER","","<B>Done!</B>");

}


fy_winback("","clinicalccn_list.php?fy_id=$fy_id&fy_nid=$fy_nid");

fy_endwindow("User: $cookie_user");
fy_endhtml();

?>
