<?php

include "freemed_yirc-vars.inc";
include "freemed_yirc-funcs.inc";

fy_cookiecheck($cookie_user);
fy_resetcookie($cookie_user, $cookie_id, $fy_cookietime);

# Make sure this user is a part of this group home...
$conn=fy_makeconn($fydb_type, $fydb_host, $fydb_user, $fydb_name);
$loginid=fy_conloginidlookup($conn, $cookie_id, $fydb_type, $fydb_name);
$sql="SELECT * FROM fy_con_groups WHERE fid='$loginid' AND group_id='$fy_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

# Make sure this user has 'clinical_therapist' permissions...
$sql="SELECT * FROM fy_secdb WHERE loginid=$cookie_id AND clinical_therapist='X'";
$result_set2=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows2=fy_resultrows($fydb_type, $result_set2);

if ($rows < 1 OR $rows2 < 1)
{
	$meta="<META HTTP-EQUIV=REFRESH CONTENT=10;URL=logout.php>";
	fy_starthtml("Freemed-YiRC: No Permissions",$meta);
	fy_startwindow();
	fy_winprn("CENTER","","I'm sorry, but you have no permission to view this menu.");
	fy_winback("","main.php");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
} else {
	$perm_ca=fy_getfield($fydb_type, $result_set2, 0, "clinical_admin");
}

$sql="SELECT * FROM fy_groupdb WHERE abbr='$fy_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$gh=fy_getfield($fydb_type, $result_set, 0, "shortname");
$type=trim(fy_getfield($fydb_type, $result_set, 0, "type"));

$fy_fn=fy_formnamelookup($conn, $fy_nid, $fydb_type, $fydb_name);

$gh_temp=UCWORDs($gh);
fy_starthtml("Freemed-YiRC: $gh_temp Clinical Casenote Menu: View Casenotes: $fy_fn","");
fy_startwindow();

echo "<TR><TD ALIGN=CENTER><B>";
echo STRTOUPPER("$gh<BR>Clinical Casenote Menu<BR>$fy_fn<BR>View Casenotes");
echo "</B></TD></TR>";

$sql="SELECT * FROM fy_clinicalnote_".$fy_nid." WHERE location = '$fy_id' ORDER BY note_date,id";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

$fy_st=fy_sessiontypelookup2($conn,$fy_nid,$fydb_type,$fydb_name);

if ($rows>0)
{

	echo "<TR><TD>";
	echo "<TABLE BORDER ALIGN=CENTER>";
	echo "<TR>";
	echo "<TH>Invoice #</TH>";
	echo "<TH>Date</TH>";
	echo "<TH>Start<BR>Time</TH>";
	echo "<TH>End<BR>Time</TH>";
	echo "<TH>Resident</TH>";
	echo "<TH>Staff</TH>";
	echo "<TH COLSPAN=3>Admin</TH>";

	$jr2=0;

	for ($jr=0;$jr<$rows;$jr++)
	{
		if ($jr2 == 0) {$bgcolor=$bgcolor1;$jr2=1;} else {$bgcolor=$bgcolor2;$jr2=0;};
		echo "<TR BGCOLOR=$bgcolor>";
		$id=fy_getfield($fydb_type, $result_set, $jr, "id");
		$stfid=fy_getfield($fydb_type, $result_set, $jr, "staffid");

		# --- Invoice Number ---
		echo "<TD>";
		$t_res=fy_getfield($fydb_type, $result_set, $jr, "res");
		$t_nid=fy_getfield($fydb_type, $result_set, $jr, "serv_nid");
		$t_temp1=fy_serviceabbrlookup($conn, $t_nid, $fydb_type, $fydb_name);
		$t_temp2=fy_4letterid($t_res);
		if ($fy_st == "Group")
		{
			$t_sn=fy_getfield($fydb_type, $result_set, $jr, "sessionnumber");
			echo $t_temp1."_".$t_nid."_".$t_temp2."_".$t_sn."_".$id;
		} elseif ($fy_st == "Individual") {
			echo $t_temp1."_".$t_nid."_".$t_temp2."_".$id;
		}
		echo "</TD>";	

		echo "<TD>";
		echo fy_getdate($fydb_type, fy_getfield($fydb_type, $result_set, $jr, "note_date"));
		echo "</TD>";	

		echo "<TD>";
		echo fy_gettime(fy_getfield($fydb_type, $result_set, $jr, "start_time"));
		echo "</TD>";	

		echo "<TD>";
		echo fy_gettime(fy_getfield($fydb_type, $result_set, $jr, "end_time"));
		echo "</TD>";	

		echo "<TD>";
		echo fy_getfield($fydb_type, $result_set, $jr, "res");
		echo "</TD>";	

		echo "<TD>";
		echo fy_getfield($fydb_type, $result_set, $jr, "staff");
		echo "</TD>";	

		if ($stfid == $cookie_id OR $perm_ca == "X")
		{
			# -- VIEW --
			echo "<TD>";
			echo "<A HREF=clinicalccn_viewnote.php?fy_id=$fy_id&fy_nid=$fy_nid&fy_di=";
			echo fy_getfield($fydb_type, $result_set, $jr, "id");
			echo ">View</A>";
			echo "</TD>";

			# -- EDIT --
			echo "<TD>";
			echo "<A HREF=clinicalccn_editnote.php?fy_id=$fy_id&fy_nid=$fy_nid&fy_di=";
			echo fy_getfield($fydb_type, $result_set, $jr, "id");
			echo ">Edit</A>";
			echo "</TD>";


			# -- DELETE --
			echo "<TD>";
			echo "<A HREF=delete.php?v_sdb=clinical_therapist&v_tbl=fy_clinicalnote_".$fy_nid."&v_id=";
			echo fy_getfield($fydb_type, $result_set, $jr, "id");
			echo "&v_back=clinicalccn_list.php?fy_id=$fy_id^fy_nid=$fy_nid>";
			echo "Delete</A>";
			echo "</TD>";	
		} else {
			echo "<TD>".chr(160)."</TD>";
			echo "<TD>".chr(160)."</TD>";
		}

		echo "</TR>";
	}

	echo "</TABLE>";
	echo "</TD></TR>";
} else {
	fy_winprn("CENTER","","<P><BR><B>There are currently no<BR>Clinical Casenotes of<BR>this type in the System!</B><P><BR>");
}

fy_winprn("CENTER","","<A HREF=clinicalccn_input.php?fy_id=$fy_id&fy_nid=$fy_nid>Add New Note</A>");

fy_winback("","clinicalcasenote.php?fy_id=$fy_id");

fy_endwindow("User: $cookie_user");
fy_endhtml();

?>
