<?php

include "freemed_yirc-vars.inc";
include "freemed_yirc-funcs.inc";

fy_cookiecheck($cookie_user);
fy_resetcookie($cookie_user, $cookie_id, $fy_cookietime);

# Connect to the database & do query
$conn=fy_makeconn($fydb_type, $fydb_host, $fydb_user, $fydb_name);
$sql="SELECT * FROM fy_secdb WHERE loginid='$cookie_id' AND clinical_ccn='X'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows < 1)
{
	$meta="<META HTTP-EQUIV=REFRESH CONTENT=10;URL=logout.php>";
	fy_starthtml("Freemed-YiRC: No Permissions",$meta);
	fy_startwindow();
	fy_winprn("CENTER","","I'm sorry, but you have no permission to view this menu.");
	fy_winback("","main.php");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

fy_starthtml("","");

$sql="SELECT * FROM fy_clinical_formdata WHERE nid='$fy_id' ORDER BY ordernumber";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

for ($jr=0;$jr < $rows;$jr++)
{
		if (fy_getfield($fydb_type, $result_set, $jr, "object_type") == "image")
		{
			$tempimg=fy_getfield($fydb_type, $result_set, $jr, "imagename");
			echo "<IMG SRC=$tempimg>";
		}

		if (fy_getfield($fydb_type, $result_set, $jr, "object_type") == "text")
		{
			$temptxt=fy_getfield($fydb_type, $result_set, $jr, "object_text");
			if ($temptxt == "")
			{
				echo " ";
			} else {
				echo stripslashes($temptxt);
			}
		}
		if (fy_getfield($fydb_type, $result_set, $jr, "object_type") == "html")
		{
			$tempd=fy_getfield($fydb_type, $result_set, $jr, "object_html");
			if ($jr3==1)
			{
				$tempd1=ereg_replace("<","&lt;",$tempd);
				$tempd2=ereg_replace(">","&gt;",$tempd1);
				echo "<I><B>".$tempd2."</B></I>";
			}
			echo $tempd;
		}
		if (fy_getfield($fydb_type, $result_set, $jr, "object_type") == "field")
		{
			$tempfn=fy_getfield($fydb_type, $result_set, $jr, "formname");
			if ($tempfn <> "")
			{
				echo $tempfn;
				echo ": ";
				$tempt=fy_getfield($fydb_type, $result_set, $jr, "type");
				if ($tempt == "character")
				{
					$templ=fy_getfield($fydb_type, $result_set, $jr, "length");
					for ($jr2=0;$jr2<$templ;$jr2++)
					{
						echo "X";
					}
				}
				if ($tempt == "date")
				{
					echo "MM/DD/YYYY";
				}
				if ($tempt == "time")
				{
					echo "HH:MM xM";
				}
				if ($tempt == "integer")
				{
					echo "NNNNNNNN";
				}
				if ($tempt == "decimal")
				{
					$templ=fy_getfield($fydb_type, $result_set, $jr, "length");
					$fy_temp_a = explode(",", $templ);
					$fy_temp_a1 = $fy_temp_a[0] - $fy_temp_a[1] - 1;
					$fy_temp_a2 = $fy_temp_a[1];
					for ($jr2=0;$jr2<$fy_temp_a1;$jr2++)
					{
						echo "N";
					}
					echo ".";
					for ($jr2=0;$jr2<$fy_temp_a2;$jr2++)
					{
						echo "N";
					}
				}
				if ($tempt == "varchar")
				{
					echo "-variable-";
				}
			}
		}
}

fy_endhtml();

?>
