<?php

include "freemed_yirc-vars.inc";
include "freemed_yirc-funcs.inc";

fy_cookiecheck($cookie_user);
fy_resetcookie($cookie_user, $cookie_id, $fy_cookietime);

# Connect to the database & do query
$conn=fy_makeconn($fydb_type, $fydb_host, $fydb_user, $fydb_name);
$sql="SELECT * FROM fy_secdb WHERE loginid='$cookie_id' AND clinical_therapist='X'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows < 1)
{
	$meta="<META HTTP-EQUIV=REFRESH CONTENT=10;URL=logout.php>";
	fy_starthtml("Freemed-YiRC: No Permissions",$meta);
	fy_startwindow();
	fy_winprn("CENTER","","I'm sorry, but you have no permission to view this menu.");
	fy_winback("","main.php");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
} else {
	$perm_ca=fy_getfield($fydb_type, $result_set, 0, "clinical_admin");
}

fy_starthtml("","");
fy_startwindow();

$fy_st=fy_sessiontypelookup2($conn,$fy_nid,$fydb_type,$fydb_name);

$sql="SELECT * FROM fy_clinical_formdata WHERE nid='$fy_nid' ORDER BY ordernumber";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

$sql="SELECT * FROM fy_clinicalnote_".$fy_nid." WHERE id='$fy_di'";
$result_set2=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows2=fy_resultrows($fydb_type, $result_set2);

$stfid=fy_getfield($fydb_type, $result_set2, 0, "staffid");

if ($stfid <> $cookie_id AND $perm_ca <> "X")
{
	fy_winprn("CENTER","","I'm sorry, but you have no permission to view this document.");
	fy_winback("","clinicalccn_list.php?fy_id=$fy_id&fy_nid=$fy_nid");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

# Generate the invoice number
if ($fy_st == "Group")
{
	$t_grp=fy_getfield($fydb_type, $result_set2, 0, "sessionnumber");
}
$t_res=fy_getfield($fydb_type, $result_set2, 0, "res");
$t_nid=fy_getfield($fydb_type, $result_set2, $jr, "serv_nid");
$t_temp1=fy_serviceabbrlookup($conn, $t_nid, $fydb_type, $fydb_name);
$t_temp2=fy_4letterid($t_res);
echo "<P ALIGN=CENTER>";
if ($fy_st == "Group")
{
	echo "Invoice Number: <I>".$t_temp1."_".$t_nid."_".$t_temp2."_".$t_grp."_".$fy_di."</I>";
} elseif ($fy_st == "Individual") {
	echo "Invoice Number: <I>".$t_temp1."_".$t_nid."_".$t_temp2."_".$fy_di."</I>";
}

echo "</P>";

for ($jr=0;$jr < $rows;$jr++)
{
		if (fy_getfield($fydb_type, $result_set, $jr, "object_type") == "image")
		{
			$tempimg=fy_getfield($fydb_type, $result_set, $jr, "imagename");
			echo "<IMG SRC=$tempimg>";
		}
		if (fy_getfield($fydb_type, $result_set, $jr, "object_type") == "text")
		{
			$temptxt=fy_getfield($fydb_type, $result_set, $jr, "object_text");
			if ($temptxt == "")
			{
				echo " ";
			} else {
				echo stripslashes($temptxt);
			}
		}
		if (fy_getfield($fydb_type, $result_set, $jr, "object_type") == "html")
		{
			$tempd=fy_getfield($fydb_type, $result_set, $jr, "object_html");
			if ($jr3==1)
			{
				$tempd1=ereg_replace("<","&lt;",$tempd);
				$tempd2=ereg_replace(">","&gt;",$tempd1);
				echo "<I><B>".$tempd2."</B></I>";
			}
			echo $tempd;
		}
		if (fy_getfield($fydb_type, $result_set, $jr, "object_type") == "field")
		{
			$tempfn=fy_getfield($fydb_type, $result_set, $jr, "formname");
			$tempfn2=fy_getfield($fydb_type, $result_set, $jr, "fieldname");
			if ($tempfn <> "")
			{
				echo $tempfn;
				echo ": ";
				$tempt=fy_getfield($fydb_type, $result_set, $jr, "type");
				if ($tempt == "character")
				{
					echo fy_getfield($fydb_type, $result_set2, 0, $tempfn2);
				}
				if ($tempt == "date")
				{
					echo fy_getdate($fydb_type, fy_getfield($fydb_type, $result_set2, 0, $tempfn2));
					
				}
				if ($tempt == "time")
				{
					echo fy_gettime(fy_getfield($fydb_type, $result_set2, 0, $tempfn2));
				}
				if ($tempt == "integer")
				{
					echo fy_getfield($fydb_type, $result_set2, 0, $tempfn2);
				}
				if ($tempt == "decimal")
				{
					echo fy_getfield($fydb_type, $result_set2, 0, $tempfn2);
				}
				if ($tempt == "varchar")
				{
					echo fy_getfield($fydb_type, $result_set2, 0, $tempfn2);
				}
			}
		}
}

fy_winback("","clinicalccn_list.php?fy_id=$fy_id&fy_nid=$fy_nid");

fy_endwindow("User: $cookie_user");
fy_endhtml();

?>
