<?php

include "freemed_yirc-vars.inc";
include "freemed_yirc-funcs.inc";

fy_cookiecheck($cookie_user);
fy_resetcookie($cookie_user, $cookie_id, $fy_cookietime);

# Check out $cookie_id with the secdb.  Make sure 'con_edit' = 'X'.
$conn=fy_makeconn($fydb_type, $fydb_host, $fydb_user, $fydb_name);
$sql = "SELECT * FROM fy_secdb WHERE loginid = '$cookie_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows > 0)
{
	$perm=fy_getfield($fydb_type, $result_set, 0, "con_edit");
	$perm_hr=fy_getfield($fydb_type, $result_set, 0, "con_hr");
} else {
	$perm = " ";
	$perm = " ";
}

if ($perm != "X")
{
	fy_starthtml("Freemed-Yirc: Error","");
	fy_startwindow();
	fy_winprn("CENTER","","I'm sorry, but you don't have permission to edit the contact database.");
	fy_winback("","main.php");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

# OK, let's make sure that there are actually groups this user hasn't joined
# yet... if not, then we need to send him/her packing...
#Get the whole list...
$sql = "SELECT * FROM fy_groupdb";
$result_set_w=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows_w=fy_resultrows($fydb_type, $result_set_w);
#Get the users list...
$sql = "SELECT * FROM fy_con_groups WHERE fid = '$fy_id'";
$result_set_u=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows_u=fy_resultrows($fydb_type, $result_set_u);
# We're going to be doing this again later... unfortunately we have to
# do it twice (I suppose there is a way around this, but what the hell).
$num=0;
for ($jr1=0 ; $jr1 < $rows_w ; $jr1++)
{
	$tempw=fy_getfield($fydb_type, $result_set_w, $jr1, "abbr");
	$ef=0;
	if ($rows_u > 0)
	{
		for ($jr2=0 ; $jr2 < $rows_u ; $jr2++)
		{
			$tempu=fy_getfield($fydb_type, $result_set_u, $jr2, "group_id");
			if ($tempu == $tempw) {$ef=1;}
		}
	}
	if ($ef == "0")
	{
		$num++;
	}
}

if ($num == 0)
{
	fy_starthtml("Freemed-Yirc: Error","");
	fy_startwindow();
	echo "<TR><TD ALIGN=CENTER COLSPAN=2>";
	echo "Im sorry, but ";
	echo fy_conidlookup($conn, $fy_id,$fydb_type,$fydb_name);
	echo " is already currently a member of all groups!";
	echo "</TD></TR>";
	fy_winback("","con_viewgroups.php?fy_id=$fy_id");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

fy_starthtml("Freemed-YiRC: Contact Database","");
fy_startwindow();

echo "<TR><TD ALIGN=CENTER COLSPAN=2><B>";
echo "Add Group for ";
echo fy_conidlookup($conn, $fy_id,$fydb_type,$fydb_name);
echo "</B></TD></TR>";

$contype=fy_contypelookup($conn,$fy_id,$fydb_type,$fydb_name);

#---Start Form---
echo "<FORM ACTION=con_groups_add2.php?fy_id=$fy_id METHOD=POST>";

#---GROUP---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Group: ";
echo "</TD>";
echo "<TD>";
echo "<SELECT NAME=gr_group>";
for ($jr1=0 ; $jr1 < $rows_w ; $jr1++)
{
	$tempw=fy_getfield($fydb_type, $result_set_w, $jr1, "abbr");
	$ef=0;
	if ($rows_u > 0)
	{
		for ($jr2=0 ; $jr2 < $rows_u ; $jr2++)
		{
			$tempu=fy_getfield($fydb_type, $result_set_u, $jr2, "group_id");
			if ($tempu == $tempw) {$ef=1;}
		}
	}
	if ($ef == "0")
	{
		echo "<OPTION>";
		echo $tempw;
	}
}
echo "</SELECT>";
echo "</TD>";
echo "</TR>";
	

#---PRIMARY_GH---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Primary? ";
echo "</TD>";
echo "<TD>";
echo "<SELECT NAME=gr_primary>";
echo "<OPTION DEFAULT VALUE=N>No";
echo "<OPTION VALUE=Y>Yes";
echo "</SELECT>";
echo "</TD>";
echo "</TR>";

if ($perm_hr == "X" AND $contype == "Staff")
{
	#---PROGRAM COORDINATOR---
	echo "<TR>";
	echo "<TD ALIGN=RIGHT>";
	echo "Program <BR>Coordinator? ";
	echo "</TD>";
	echo "<TD>";
	echo "<SELECT NAME=gr_coordinator>";
	echo "<OPTION DEFAULT VALUE=N>No";
	echo "<OPTION VALUE=Y>Yes";
	echo "</SELECT>";
	echo "</TD>";
	echo "</TR>";
}

#---STARTDATE---
#echo "<TR>";
#echo "<TD ALIGN=RIGHT>";
#echo "Start Date:";
#echo "</TD>";
#echo "<TD>";
#echo "<INPUT NAME=gr_startdate SIZE=10 MAXLENGTH=10>";
#echo "</TD>";
#echo "</TR>";

#---ENDDATE---
#echo "<TR>";
#echo "<TD ALIGN=RIGHT>";
#echo "State:";
#echo "</TD>";
#echo "<TD>";
#echo "<INPUT NAME=gr_enddate SIZE=10 MAXLENGTH=10>";
#echo "</TD>";
#echo "</TR>";

# ---Submit & Reset---
echo "<TR><TD COLSPAN=2 ALIGN=CENTER>";
echo "<INPUT TYPE=SUBMIT VALUE=Enter>";
echo "<INPUT TYPE=RESET VALUE=Clear>";
echo "</TD></TR>";

# ---End Form---
echo "</FORM>";

fy_wincancel("2", "con_viewgroups.php?fy_id=$fy_id");

fy_endwindow("User: $cookie_user");
fy_endhtml();

?>
