<?php

include "freemed_yirc-vars.inc";
include "freemed_yirc-funcs.inc";

fy_cookiecheck($cookie_user);
fy_resetcookie($cookie_user, $cookie_id, $fy_cookietime);

# Check out $cookie_id with the secdb.  Make sure 'con_edit' = 'X'.
$conn=fy_makeconn($fydb_type, $fydb_host, $fydb_user, $fydb_name);
$sql = "SELECT * FROM fy_secdb WHERE loginid = '$cookie_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows > 0)
{
	$perm=fy_getfield($fydb_type, $result_set, 0, "con_edit");
	$perm_hr=fy_getfield($fydb_type, $result_set, 0, "con_hr");
} else {
	$perm = " ";
	$perm_hr = " ";
}

if ($perm != "X")
{
	fy_starthtml("Freemed-Yirc: Error","");
	fy_startwindow();
	fy_winprn("CENTER","","I'm sorry, but you don't have permission to edit the contact database.");
	fy_winback("","main.php");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

$meta="<META HTTP-EQUIV=REFRESH CONTENT=0;URL=con_viewgroups.php?fy_id=$fy_id>";

fy_starthtml("Freemed-YiRC: Contact Database","$meta");
fy_startwindow();

# --- "Security Database" ---
fy_winprn("CENTER","2","<B>Adding Address to the Contact Database...</B>");

if ($gr_coordinator == "")
{
	$gr_coordinator = "N";
}

# If this is going to be the PRIMARY group, then we need to make sure no
# other group has primary_gh = "y"
if ($gr_primary == "Y")
{
	$sql = "UPDATE fy_con_groups SET primary_gh='N' WHERE fid='$fy_id' AND primary_gh='Y'";
	$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
}

# Insert values into database...
$sql = "INSERT INTO fy_con_groups (fid, group_id, primary_gh, coordinator) values ('$fy_id', '$gr_group', '$gr_primary', '$gr_coordinator')";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);

# --- BLANK ---
fy_winprn("CENTER","2","<B>Done!</B>");

fy_winback("", "con_viewgroups.php?fy_id=$fy_id");

fy_endwindow("User: $cookie_user");
fy_endhtml();

?>
