<?php

include "freemed_yirc-vars.inc";
include "freemed_yirc-funcs.inc";

fy_cookiecheck($cookie_user);
fy_resetcookie($cookie_user, $cookie_id, $fy_cookietime);

# Check out $cookie_id with the secdb.  Make sure 'con_edit' = 'X'.
$conn=fy_makeconn($fydb_type, $fydb_host, $fydb_user, $fydb_name);
$sql = "SELECT * FROM fy_secdb WHERE loginid = '$cookie_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows > 0)
{
	$perm=fy_getfield($fydb_type, $result_set, 0, "con_edit");
} else {
	$perm = " ";
}

if ($perm != "X")
{
	fy_starthtml("Freemed-Yirc: Error","");
	fy_startwindow();
	fy_winprn("CENTER","","I'm sorry, but you don't have permission to edit the contact database.");
	fy_winback("","main.php");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

fy_starthtml("Freemed-Yirc: Verifying Entered Data","");
fy_startwindow();
fy_winprn("CENTER","","Verifying Entered Data...");

# ======= VERIFY USER ENTERED DATA =======

# Reset EXITFLAG
$ef=0;
$ef2=0;

# DOB
if (!checkdate($gr_dob_m, $gr_dob_d, $gr_dob_y))
{
	fy_winprn("CENTER","","<B>ERROR:</B> Invalid Date entered in '<I>DOB</I>'");
	$ef=1;
}
# DOB/Future....
if (!$ef)
{
	if (fy_isfuture($gr_dob_m,$gr_dob_d,$gr_dob_y))
	{
		fy_winprn("CENTER","","<B>ERROR:</B> Invalid Date entered in '<I>Incident Date</I>'");
		fy_winprn("CENTER","","Date cannot be in the future.");
		$ef=1;
	}
}

# DOE
if (!checkdate($gr_doe_m, $gr_doe_d, $gr_doe_y))
{
	fy_winprn("CENTER","","<B>ERROR:</B> Invalid Date entered in '<I>DOE</I>'");
	$ef=1;
}

# DOT
if ($gr_dot_y <> "")
{
	if (!checkdate($gr_dot_m, $gr_dot_d, $gr_dot_y))
	{
		fy_winprn("CENTER","","<B>ERROR:</B> Invalid Date entered in '<I>DOT</I>'");
		$ef=1;
	}
}

# SSN
if ($gr_ssn_1 < 0 OR $gr_ssn_1 == "")
{
		fy_winprn("CENTER","","<B>ERROR:</B> Invalid Number entered in '<I>SSN</I>'");
		$ef=1;
		$ef2=1;
}
if (($gr_ssn_2 < 0 OR $gr_ssn_2 == "") AND $ef2 == 0)
{
		fy_winprn("CENTER","","<B>ERROR:</B> Invalid Number entered in '<I>SSN</I>'");
		$ef=1;
		$ef2=1;
}
if (($gr_ssn_3 < 0 OR $gr_ssn_3 == "") AND $ef2 == 0)
{
		fy_winprn("CENTER","","<B>ERROR:</B> Invalid Number entered in '<I>SSN</I>'");
		$ef=1;
		$ef2=1;
}

if ($ef == 0)
{
	$temp_dob=fy_putdate($fydb_type, $gr_dob_m, $gr_dob_d, $gr_dob_y);
	$temp_doe=fy_putdate($fydb_type, $gr_doe_m, $gr_doe_d, $gr_doe_y);
	if ($gr_dot_y <> "")
	{$temp_dot="'".fy_putdate($fydb_type, $gr_dot_m, $gr_dot_d, $gr_dot_y)."'";}
	else {$temp_dot=null;}
	$temp_ssn=$gr_ssn_1."-".$gr_ssn_2."-".$gr_ssn_3;
}

$sql = "SELECT * FROM fy_con_res WHERE fid = '$fy_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

# Insert values into database...
# We may be INSERTING or UPDATING depending on the circumstances!
if ($ef == 0)
{
	if ($rows > 0)
	{
		$sql = "UPDATE fy_con_res SET status='$gr_status', dob='$temp_dob', doe='$temp_doe', sex='$gr_sex', race='$gr_race', ssn='$temp_ssn', dot=$temp_dot WHERE fid='$fy_id'";
	} else {
		$sql = "INSERT INTO fy_con_res (fid, status, sex, race, dob, doe, ssn, dot) VALUES ($fy_id,'$gr_status','$gr_sex','$gr_race','$temp_dob','$temp_doe','$temp_ssn',$temp_dot)";
	}
	$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
	fy_winprn("CENTER","2","<B>Done!</B>");
	fy_winprn("CENTER","","<BR><P>");
	fy_winback("", "con_res.php#demo?fy_id=$fy_id");
} else {
	fy_winprn("CENTER","","<BR><P>");
	fy_winprn("CENTER","","<BLINK><B>Please use your browser's <I>back</I> button</B></BLINK>");
	fy_winprn("CENTER","","<BLINK><B>to return to the Incident Report form.</B></BLINK>");
	fy_winprn("CENTER","","<BR><P>");
}


fy_endwindow("User: $cookie_user");
fy_endhtml();

?>
