<?php

include "freemed_yirc-vars.inc";
include "freemed_yirc-funcs.inc";

fy_cookiecheck($cookie_user);
fy_resetcookie($cookie_user, $cookie_id, $fy_cookietime);

# Check out $cookie_id with the secdb.  Make sure 'con_edit' = 'X'.
$conn=fy_makeconn($fydb_type, $fydb_host, $fydb_user, $fydb_name);
$sql = "SELECT * FROM fy_secdb WHERE loginid = '$cookie_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows > 0)
{
	$perm=fy_getfield($fydb_type, $result_set, 0, "con_edit");
} else {
	$perm = " ";
}

if ($perm != "X")
{
	fy_starthtml("Freemed-Yirc: Error","");
	fy_startwindow();
	fy_winprn("CENTER","","I'm sorry, but you don't have permission to edit the contact database.");
	fy_winback("","main.php");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

fy_starthtml("Freemed-Yirc: Verifying Entered Data","");
fy_startwindow();
fy_winprn("CENTER","","Verifying Entered Data...");

# ======= VERIFY USER ENTERED DATA =======

# Reset EXITFLAG
$ef=0;
$ef2=0;

# State
$gr_state = STRTOUPPER($gr_state);

# Expires On
if (!checkdate($gr_expdate_m, $gr_expdate_d, $gr_expdate_y) OR $gr_expdate_y == "")
{
	fy_winprn("CENTER","","<B>ERROR:</B> Invalid Date entered in '<I>Expires On</I>'");
	$ef=1;
}

# License No
if ($gr_licenseno < 0 OR $gr_licenseno == "")
{
		fy_winprn("CENTER","","<B>ERROR:</B> Invalid Number entered in '<I>License No</I>'");
		$ef=1;
		$ef2=1;
}

if ($ef == 0)
{
	$temp_expdate=fy_putdate($fydb_type, $gr_expdate_m, $gr_expdate_d, $gr_expdate_y);
}

$sql = "SELECT * FROM fy_con_stf_drvlic WHERE fid = '$fy_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

# Insert values into database...
# We may be INSERTING or UPDATING depending on the circumstances!
if ($ef == 0)
{
	if ($rows > 0)
	{
		$sql = "UPDATE fy_con_stf_drvlic SET state='$gr_state', licenseno='$gr_licenseno', expdate='$temp_expdate' WHERE fid='$fy_id'";
	} else {
		$sql = "INSERT INTO fy_con_stf_drvlic (fid, state, licenseno, expdate) VALUES ($fy_id, '$gr_state','$gr_licenseno','$temp_expdate')";
	}
	$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
	fy_winprn("CENTER","2","<B>Done!</B>");
	fy_winprn("CENTER","","<BR><P>");
	fy_winback("", "con_stf.php#drvlic?fy_id=$fy_id");
} else {
	fy_winprn("CENTER","","<BR><P>");
	fy_winprn("CENTER","","<BLINK><B>Please use your browser's <I>back</I> button</B></BLINK>");
	fy_winprn("CENTER","","<BLINK><B>to return to the Incident Report form.</B></BLINK>");
	fy_winprn("CENTER","","<BR><P>");
}


fy_endwindow("User: $cookie_user");
fy_endhtml();

?>
