<?php

include "freemed_yirc-vars.inc";
include "freemed_yirc-funcs.inc";

fy_cookiecheck($cookie_user);
fy_resetcookie($cookie_user, $cookie_id, $fy_cookietime);

# Check out $cookie_id with the secdb.  Make sure 'con' = 'X'.
$conn=fy_makeconn($fydb_type, $fydb_host, $fydb_user, $fydb_name);
$sql = "SELECT * FROM fy_secdb WHERE loginid = '$cookie_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows > 0)
{
	$perm=fy_getfield($fydb_type, $result_set, 0, "con");
	$perm_edit=fy_getfield($fydb_type, $result_set, 0, "con_edit");
} else {
	$perm = " ";
	$perm_edit = " ";
}

if ($perm != "X")
{
	fy_starthtml("Freemed-Yirc: Error","");
	fy_startwindow();
	fy_winprn("CENTER","","I'm sorry, but you don't have permission to enter the contact database.");
	fy_winback("","main.php");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

# Let's make damned sure that this staff has a DOH before we go any further...
$conn=fy_makeconn($fydb_type, $fydb_host, $fydb_user, $fydb_name);
$sql = "SELECT * FROM fy_con_stf WHERE fid = '$fy_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

$temp_ef=0;

if ($rows < 1) 
{
	$temp_ef=1;
} else {
	$temp_doh=fy_getdate($fydb_type, fy_getfield($fydb_type, $result_set, 0, "DOH"));
	if ($temp_doh == "")
	{
		$temp_ef=1;
	}
}

if ($temp_ef != 0)
{
	fy_starthtml("Freemed-Yirc: Error","");
	fy_startwindow();
	fy_winprn("CENTER","","<B>ERROR:</B>");
	fy_winprn("CENTER","","I'm sorry, but staff must have a '<I>Date Of Hire</I>' entry<BR>in the <I>Demographics</I> section before creating Total<BR>Training Hours records...");
	fy_winback("","con_stf.php#tottrain?fy_id=$fy_id");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

# Sort out the Date Of Hire...
$doh_m=substr($temp_doh, 0, 2);
$doh_d=substr($temp_doh, 3, 2);
$doh_y=substr($temp_doh, 6, 4);

# Get the current date & sort it out...
$temp_cur=date("m/d/Y");
$cur_m=substr($temp_cur, 0, 2);
$cur_d=substr($temp_cur, 3, 2);
$cur_y=substr($temp_cur, 6, 4);

# OK... Now let's check to see if a current, up-to-date record is in there
# for this anniversary year... if not, let's 'covertly' create one...
$sql = "SELECT * FROM fy_con_stf_tottrain WHERE fid = $fy_id";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

$temp_ef=0;

for ($jr=0;$jr < $rows; $jr++)
{
	$temp_ye=fy_getfield($fydb_type, $result_set, $jr, "yearending");
	$ye_m=substr($temp_ye, 0, 2);
	$ye_d=substr($temp_ye, 3, 2);
	$ye_y=substr($temp_ye, 6, 4);

	if ($cur_y == $ye_y AND $cur_m <= $ye_m)
	{	
		$temp_ef=1;
	}
	if ($cur_y == $ye_y-1)
	{
		$temp_ef=1;
	}
}

if ($temp_ef == 0)
{
	$temp_y=$cur_y;
	if ($cur_m == $doh_m AND $cur_d >= $doh_d) {$temp_y=$cur_y+1;}
	if ($cur_m > $doh_m) {$temp_y=$cur_y+1;}

	$sql = "INSERT INTO fy_con_stf_tottrain (fid, yearending, total) VALUES ('$fy_id','$doh_m/$doh_d/$temp_y','0')";
	$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
}

fy_starthtml("Freemed-YiRC: Contact Database","");
fy_startwindow();

fy_winprn("CENTER","","<B>Contact Database</B>");
echo "<TR><TD ALIGN=CENTER><B>";
echo "Total Training Hours for ";
echo fy_conidlookup($conn,$fy_id,$fydb_type,$fydb_name);
echo "</B></TD></TR>";

# --- BLANK ---
fy_winprn("CENTER",""," ");

$sql = "SELECT * FROM fy_con_stf_tottrain WHERE fid = $fy_id";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows > 0)
{

# Start the table...
echo "<TR><TD ALIGN=CENTER>";
echo "<TABLE BORDER>";

# Display the table fieldnames.
echo "<TR>";
echo "<TH>Year Ending</TH>";
echo "<TH>Total Hours</TH>";
echo "</TR>";

# Display the rows...
for ($jr=0; $jr < $rows; $jr++)
{
	echo "<TR>";
	echo "<TD>";
	$temp_ye=fy_getfield($fydb_type, $result_set, $jr, "yearending");
	echo $temp_ye;
	echo "</TD>";
	echo "<TD>";
	echo fy_getfield($fydb_type, $result_set, $jr, "total");
	echo "</TD>";
	if ($perm_edit == "X")
	{
		$temp_ef=0;
		$ye_m=substr($temp_ye, 0, 2);
		$ye_d=substr($temp_ye, 3, 2);
		$ye_y=substr($temp_ye, 6, 4);
		if ($cur_y == $ye_y AND $cur_m <= $ye_m)
		{	
			$temp_ef=1;
		}
		if ($cur_y == $ye_y-1)
		{
			$temp_ef=1;
		}
		if ($temp_ef == 1)
		{
			echo "<TD>";
			echo "<A HREF=con_stf_mod_tottrain.php?fy_id=$fy_id&fy_di=";
			echo fy_getfield($fydb_type, $result_set, $jr, "id");
			echo ">Update</A>";
			echo "</TD>";
		}
	}
	echo "</TR>";
}

# End the table....
echo "</TABLE>";
echo "</TR></TD>";

} else {
	fy_winprn("CENTER","","<I>No Training Hours Listed</I>");
}

#if ($perm_edit == "X")
#{
	#fy_winprn("CENTER","","<A HREF=con_stf_totrain_add.php?fy_id=$fy_id>Add MedBill Payor</A>");
#}

fy_winback("","con_stf.php#tottrain?fy_id=$fy_id");

fy_endwindow("User: $cookie_user");
fy_endhtml();

?>
