<?php

# File: freemed_yirc-vars.inc
# Desc: Global variables for Freemed-YiRC 
# By: Joe Thielen
# On: 01/05/2000
# Last Modified By: Joe Thielen
# Last Modified On: 07/28/2000

# ---- SITE-SPECIFIC VARIABLES -----
# The type of database Freemed-YiRC should use.
$fydb_type = "psql";
#$fydb_type = "mysql";
# The name of the database where the PIM tables are stored.
$fydb_name = "freemed_yirc";
# The name of the user to access the database as.
$fydb_user = "postgres";
# The host on which the database is located.
$fydb_host = "localhost";
# The directory (possibly alias) in the web-server directory where 
# Freemed-Yirc is installed...
$fydb_dir = "freemed-yirc";
# Enable spell checking???  (enable, menu, disable)
$fy_spell = "enable";

# ----- DEFAULT VARIABLES -----
$fy_cookietime="36000";
$bgcolor1="DDDDDD";
$bgcolor2="BBBBBB";

# ----- PACKAGE-SPECIFIC VARIABLES -----
# The version number of this package
$fy_version = "Beta0.13";
# A contact e-mail address for users to express
# concern/comments about package
# NOTE:  You may change this if you are
# administrating this package on your system!
$fy_email = "joethielen@familyandyouth.org";

?>
