<?php

include "freemed_yirc-vars.inc";
include "freemed_yirc-funcs.inc";

fy_cookiecheck($cookie_user);
fy_resetcookie($cookie_user, $cookie_id, $fy_cookietime);

# Check out $cookie_id with the secdb.  Make sure 'ir_enter' = 'X'.
$conn=fy_makeconn($fydb_type, $fydb_host, $fydb_user, $fydb_name);
$sql = "SELECT * FROM fy_secdb WHERE loginid = '$cookie_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows > 0)
{
	$perm=fy_getfield($fydb_type, $result_set, 0, "ir_enter");
} else {
	$perm = " ";
}

$loginid=fy_conloginidlookup($conn, $cookie_id, $fydb_type, $fydb_name);
$sql = "SELECT * FROM fy_con_groups WHERE fid='$loginid' AND group_id='$fy_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);
if ($rows < 1) {$perm = " ";}

if ($perm != "X")
{
	fy_starthtml("Freemed-Yirc: Error","");
	fy_startwindow();
	fy_winprn("CENTER","","I'm sorry, but you don't have permission to edit the Incident Report database.");
	fy_winback("","ir.php?fy_id=$fy_id");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

# Make sure there are STAFF contacts in the database for this group!!!
$sql = "SELECT * FROM fy_con_groups WHERE group_id = '$fy_id'";
$result_set_staff=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set_staff);

$numstf=0;
for ($jr=0; $jr < $rows; $jr++)
{
	$fid=fy_getfield($fydb_type, $result_set_staff, $jr, "fid");
	if (trim(fy_contypelookup($conn,$fid,$fydb_type,$fydb_name)) == "Staff")
	{
		$numstf++;
	}
}

if ($numstf < 1)
{
	fy_starthtml("Freemed-Yirc: Error","");
	fy_startwindow();
	fy_winprn("CENTER","","<B>ERROR:</B>  There are no staff listed in the Contact Database for this group!");
	fy_winback("","ir.php?fy_id=$fy_id");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

# Make sure there are RESIDENT contacts in the database for this group!!!
$sql = "SELECT * FROM fy_con_groups WHERE group_id = '$fy_id'";
$result_set_res=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set_res);

$numres=0;
for ($jr=0; $jr < $rows; $jr++)
{
	$fid=fy_getfield($fydb_type, $result_set_res, $jr, "fid");
	if (trim(fy_contypelookup($conn,$fid,$fydb_type,$fydb_name)) == "Resident")
	{
		$numres++;
	}
}

if ($numres < 1)
{
	fy_starthtml("Freemed-Yirc: Error","");
	fy_startwindow();
	fy_winprn("CENTER","","<B>ERROR:</B>  There are no residents in the Contact Database for this group!");
	fy_winback("","ir.php?fy_id=$fy_id");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

# Make sure there are group homes listed for this user!
$temp=fy_conloginidlookup($conn,$cookie_id,$fydb_type,$fydb_name);
$sql = "SELECT * FROM fy_con_groups WHERE fid = $temp";
$result_set_gh=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set_gh);

if ($rows < 1)
{
	fy_starthtml("Freemed-Yirc: Error","");
	fy_startwindow();
	fy_winprn("CENTER","","<B>ERROR:</B>  There are no Group Homes associated with you in the Contact Database!");
	fy_winback("","ir.php");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

fy_starthtml("Freemed-YiRC: Incident Report Database","");
fy_startwindow();

# --- "Security Database" ---
fy_winprn("CENTER","2","<B>Add an IR to the Incident Report Database</B>");

#---Start Form---
echo "<FORM ACTION=ir_add2.php?fy_id=$fy_id METHOD=POST>";

#---INCIDENT DATE---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Incident Date: ";
echo "</TD>";
echo "<TD>";
echo "<INPUT NAME=gr_incidentdate_m SIZE=2 MAXLENGTH=2>";
echo " / ";
echo "<INPUT NAME=gr_incidentdate_d SIZE=2 MAXLENGTH=2>";
echo " / ";
echo "<INPUT NAME=gr_incidentdate_y SIZE=4 MAXLENGTH=4>";
echo "</TD>";
echo "</TR>";
	
#---INCIDENT TIME---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Incident Time: ";
echo "</TD>";
echo "<TD>";
echo "<INPUT NAME=gr_incidenttime_h SIZE=2 MAXLENGTH=2>";
echo " : ";
echo "<INPUT NAME=gr_incidenttime_m SIZE=2 MAXLENGTH=2>";
echo " ";
echo "<SELECT NAME=gr_incidenttime_ap>";
echo "<OPTION VALUE=AM DEFAULT>AM";
echo "<OPTION VALUE=PM>PM";
echo "</SELECT>";
echo "</TD>";
echo "</TR>";

#---INCIDENT END TIME---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Incident End Time: ";
echo "</TD>";
echo "<TD>";
echo "<INPUT NAME=gr_incidenttime_e_h SIZE=2 MAXLENGTH=2>";
echo " : ";
echo "<INPUT NAME=gr_incidenttime_e_m SIZE=2 MAXLENGTH=2>";
echo " ";
echo "<SELECT NAME=gr_incidenttime_e_ap>";
echo "<OPTION VALUE=AM DEFAULT>AM";
echo "<OPTION VALUE=PM>PM";
echo "</SELECT>";
echo "</TD>";
echo "</TR>";

#---STAFF---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Staff: ";
echo "</TD>";
echo "<TD>";
echo "<SELECT NAME=gr_staff>";
$rows=fy_resultrows($fydb_type, $result_set_staff);
for ($jr=0; $jr < $rows; $jr++)
{
	$fid=fy_getfield($fydb_type, $result_set_staff, $jr, "fid");
	if (fy_contypelookup($conn,$fid,$fydb_type,$fydb_name) == "Staff")
	{
		echo "<OPTION VALUE=";
		echo fy_getfield($fydb_type, $result_set_staff, $jr, "fid");
		echo ">";
		echo fy_conidlookup($conn, fy_getfield($fydb_type, $result_set_staff, $jr, "fid"), $fydb_type, $fydb_name);
	}
}
echo "</SELECT>";
echo "</TD>";
echo "</TR>";

#---RESIDENT---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Resident: ";
echo "</TD>";
echo "<TD>";
echo "<SELECT NAME=gr_resident>";
$rows=fy_resultrows($fydb_type, $result_set_res);
for ($jr=0; $jr < $rows; $jr++)
{
	$fid=trim(fy_getfield($fydb_type, $result_set_res, $jr, "fid"));
	if (fy_contypelookup($conn,$fid,$fydb_type,$fydb_name) == "Resident")
	{
		echo "<OPTION VALUE=";
		echo fy_getfield($fydb_type, $result_set_res, $jr, "fid");
		echo ">";
		echo fy_conidlookup($conn, fy_getfield($fydb_type, $result_set_res, $jr, "fid"), $fydb_type, $fydb_name);
	}
}
echo "</SELECT>";
echo "</TD>";
echo "</TR>";

#---GROUP HOME---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Group Home: ";
echo "</TD>";
echo "<TD>";
if ($fy_id == "")
{
	echo "<SELECT NAME=gr_grouphome>";
	# Get the names of all the group homes in the users group table....
	$rows=fy_resultrows($fydb_type, $result_set_gh);
	for ($counter = 0; $counter < $rows; $counter++)
	{
		echo "<OPTION VALUE=";
		echo fy_getfield($fydb_type, $result_set_gh, $counter, "group_id");
		echo ">";
		echo fy_getfield($fydb_type, $result_set_gh, $counter, "group_id");
	}
	echo "</SELECT>";
} else {
	echo "<SELECT NAME=gr_grouphome>";
	echo "<OPTION VALUE=$fy_id>$fy_id";
	echo "</SELECT>";
}
echo "</TD>";
echo "</TR>";

#---AT GROUP HOME---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "At Group Home? ";
echo "</TD>";
echo "<TD>";
echo "<INPUT TYPE=radio NAME=gr_atgrouphome VALUE=\"X\" CHECKED>Yes";
echo "<INPUT TYPE=radio NAME=gr_atgrouphome VALUE=\"\">No";
echo "</TD>";
echo "</TR>";

#---INCIDENT ADDRESS---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Incident Address?<BR>(If <B>NOT</B> at group home) ";
echo "</TD>";
echo "<TD>";
echo "<INPUT NAME=gr_incidentaddress SIZE=30 MAXLENGTH=30>";
echo "</TD>";
echo "</TR>";

#-=-=- BEGIN CATEGORIES -=-=-

fy_winprn("CENTER","2","<HR>");
fy_winprn("CENTER","2","<B>Categories:</B>");
fy_winprn("CENTER","4","<BR><P>");

echo "<TR>";
echo "<TD COLSPAN=2>";
echo "<TABLE ALIGN=CENTER>";
echo "<TR>";

#---NEEDED PCI---
echo "<TD ALIGN=RIGHT>";
echo "Needed PCI?";
echo "</TD>";
echo "<TD>";
echo "<INPUT TYPE=checkbox NAME=gr_neededpci VALUE=X>";
echo "</TD>";

#---TEMPER TANTRUM---
echo "<TD ALIGN=RIGHT>";
echo "Temper Tantrum";
echo "</TD>";
echo "<TD>";
echo "<INPUT TYPE=checkbox NAME=gr_tempertantrum VALUE=X>";
echo "</TD>";

echo "</TR>";
echo "<TR>";

#---STEALING---
echo "<TD ALIGN=RIGHT>";
echo "Stealing";
echo "</TD>";
echo "<TD>";
echo "<INPUT TYPE=checkbox NAME=gr_stealing VALUE=X>";
echo "</TD>";

#---PROPERTY DAMAGE---
echo "<TD ALIGN=RIGHT>";
echo "Property Damage";
echo "</TD>";
echo "<TD>";
echo "<INPUT TYPE=checkbox NAME=gr_propertydamage VALUE=X>";
echo "</TD>";

echo "</TR>";
echo "<TR>";

#---INJURY SELF---
echo "<TD ALIGN=RIGHT>";
echo "Injury/Self";
echo "</TD>";
echo "<TD>";
echo "<INPUT TYPE=checkbox NAME=gr_injuryself VALUE=X>";
echo "</TD>";

#---INJURY OTHER---
echo "<TD ALIGN=RIGHT>";
echo "Injury/Other";
echo "</TD>";
echo "<TD>";
echo "<INPUT TYPE=checkbox NAME=gr_injuryother VALUE=X>";
echo "</TD>";

echo "</TR>";
echo "<TR>";

#---FIGHTING---
echo "<TD ALIGN=RIGHT>";
echo "Fighting";
echo "</TD>";
echo "<TD>";
echo "<INPUT TYPE=checkbox NAME=gr_fighting VALUE=X>";
echo "</TD>";

#---DRUG---
echo "<TD ALIGN=RIGHT>";
echo "Drug";
echo "</TD>";
echo "<TD>";
echo "<INPUT TYPE=checkbox NAME=gr_drug VALUE=X>";
echo "</TD>";

echo "</TR>";
echo "<TR>";

#---ALCOHOL---
echo "<TD ALIGN=RIGHT>";
echo "Alcohol";
echo "</TD>";
echo "<TD>";
echo "<INPUT TYPE=checkbox NAME=gr_alcohol VALUE=X>";
echo "</TD>";

#---AWOL---
echo "<TD ALIGN=RIGHT>";
echo "AWOL";
echo "</TD>";
echo "<TD>";
echo "<INPUT TYPE=checkbox NAME=gr_awol VALUE=X>";
echo "</TD>";

echo "</TR>";
echo "<TR>";

#---CAR WO PERMISSION---
echo "<TD ALIGN=RIGHT>";
echo "Car WO Permission";
echo "</TD>";
echo "<TD>";
echo "<INPUT TYPE=checkbox NAME=gr_carwoperm VALUE=X>";
echo "</TD>";

#---VERBAL ABUSE---
echo "<TD ALIGN=RIGHT>";
echo "Verbal Abuse";
echo "</TD>";
echo "<TD>";
echo "<INPUT TYPE=checkbox NAME=gr_verbalabuse VALUE=X>";
echo "</TD>";

echo "</TR>";
echo "<TR>";

#---OTHER---
echo "<TD ALIGN=RIGHT>";
echo "Other";
echo "</TD>";
echo "<TD>";
echo "<INPUT TYPE=checkbox NAME=gr_other VALUE=X>";
echo "</TD>";

#---CIR---
echo "<TD ALIGN=RIGHT>";
echo "Critical?";
echo "</TD>";
echo "<TD>";
echo "<INPUT TYPE=checkbox NAME=gr_critical VALUE=X>";
echo "</TD>";

echo "</TR>";

fy_winprn("CENTER","2","");

#-=-=- END CATEGORIES -=-=-

#-=-=- BEGIN TEMPER TANTRUM -=-=-

fy_winprn("CENTER","4","<HR>");
fy_winprn("CENTER","4","<B>Temper Tantrum</B>");
fy_winprn("CENTER","4","<I>If applicable</I>");
fy_winprn("CENTER","4","<BR><P>");

echo "<TR>";

#---PRE-TANTRUM ANXIETY---
echo "<TD ALIGN=RIGHT>";
echo "Pre-Tantrum Anxiety";
echo "</TD>";
echo "<TD>";
echo "<INPUT TYPE=checkbox NAME=gr_pretantrum VALUE=X>";
echo "</TD>";

#---STAFF SUPPORTIVE---
echo "<TD ALIGN=RIGHT>";
echo "Staff Supportive";
echo "</TD>";
echo "<TD>";
echo "<INPUT TYPE=checkbox NAME=gr_staffsupportive VALUE=X>";
echo "</TD>";

echo "</TR>";
echo "<TR>";

#---INTER-PERSONAL CONFLICT---
echo "<TD ALIGN=RIGHT>";
echo "Inter-Personal conflict";
echo "</TD>";
echo "<TD>";
echo "<INPUT TYPE=checkbox NAME=gr_interpersonal VALUE=X>";
echo "</TD>";

#---STAFF DIRECTIVE---
echo "<TD ALIGN=RIGHT>";
echo "Staff Directive";
echo "</TD>";
echo "<TD>";
echo "<INPUT TYPE=checkbox NAME=gr_staffdirective VALUE=X>";
echo "</TD>";

echo "</TR>";
echo "<TR>";

#---EITHER/OR STAGE---
echo "<TD ALIGN=RIGHT>";
echo "Either/Or Stage";
echo "</TD>";
echo "<TD>";
echo "<INPUT TYPE=checkbox NAME=gr_eitheror VALUE=X>";
echo "</TD>";

#---STAFF MAINTAINS STRUCTURE & CALM---
echo "<TD ALIGN=RIGHT>";
echo "Staff Maintains Structure & Calm";
echo "</TD>";
echo "<TD>";
echo "<INPUT TYPE=checkbox NAME=gr_staffmaint VALUE=X>";
echo "</TD>";

echo "</TR>";
echo "<TR>";

#---DEFIANT STAGE---
echo "<TD ALIGN=RIGHT>";
echo "Defiant Stage";
echo "</TD>";
echo "<TD>";
echo "<INPUT TYPE=checkbox NAME=gr_defiantstage VALUE=X>";
echo "</TD>";

#---HELPED RESIDENT SEE END TO TT---
echo "<TD ALIGN=RIGHT>";
echo "Helped Resident See End to TT";
echo "</TD>";
echo "<TD>";
echo "<INPUT TYPE=checkbox NAME=gr_helpedres VALUE=X>";
echo "</TD>";

echo "</TR>";
echo "<TR>";

#---AGGRESSION TO DEPRESSION---
echo "<TD ALIGN=RIGHT>";
echo "Aggression To Depression";
echo "</TD>";
echo "<TD>";
echo "<INPUT TYPE=checkbox NAME=gr_aggression VALUE=X>";
echo "</TD>";

#---STAFF INTERVENTION BRIEF, CALM---
echo "<TD ALIGN=RIGHT>";
echo "Staff Intervention Brief, Calm";
echo "</TD>";
echo "<TD>";
echo "<INPUT TYPE=checkbox NAME=gr_staffintervention VALUE=X>";
echo "</TD>";

echo "</TR>";
echo "<TR>";

#---POST TANTRUM STAGE---
echo "<TD ALIGN=RIGHT>";
echo "Post Tantrum Stage";
echo "</TD>";
echo "<TD>";
echo "<INPUT TYPE=checkbox NAME=gr_posttantrum VALUE=X>";
echo "</TD>";

#---STAFF TAUGHT STAGES OF TT---
echo "<TD ALIGN=RIGHT>";
echo "Staff Taught Stages of TT";
echo "</TD>";
echo "<TD>";
echo "<INPUT TYPE=checkbox NAME=gr_stafftaught VALUE=X>";
echo "</TD>";

echo "</TR>";

#---TT OTHER---
echo "<TR>";
echo "<TD ALIGN=LEFT COLSPAN=4>";
echo "TT Other: ";
echo "</TD>";
echo "</TR>";
echo "<TR>";
echo "<TD ALIGN=CENTER COLSPAN=4>";
echo "<INPUT NAME=gr_ttother SIZE=50 MAXLENGTH=50>";
echo "</TD>";
echo "</TR>";

fy_winprn("CENTER","2","");

#-=-=- END TEMPER TANTRUM -=-=-

#-=-=- BEGIN PCI -=-=-

fy_winprn("CENTER","4","<HR>");
fy_winprn("CENTER","4","<B>PCI Subcategories</B>");
fy_winprn("CENTER","4","<I>If applicable</I>");
fy_winprn("CENTER","4","<BR><P>");

#---ANXIETY STAGE - STAFF SUPPORTIVE---
echo "<TR>";
echo "<TD ALIGN=CENTER COLSPAN=4>";
echo "<INPUT TYPE=checkbox NAME=gr_anxietystage VALUE=X>";
echo "Anxiety Stage - Staff Supportive";
echo "</TD>";
echo "</TR>";

#---YOUTH DEFENSIVE - STAFF DIRECTIVE---
echo "<TR>";
echo "<TD ALIGN=CENTER COLSPAN=4>";
echo "<INPUT TYPE=checkbox NAME=gr_youthdef VALUE=X>";
echo "Youth Defensive - Staff Directive";
echo " ";
echo "<SELECT NAME=gr_defensivelevel>";
echo "<OPTION VALUE=1 DEFAULT>Questioning";
echo "<OPTION VALUE=2>Refusal";
echo "<OPTION VALUE=3>Release";
echo "<OPTION VALUE=4>Intimidation";
echo "<OPTION VALUE=5>Tension-Reduction";
echo "</SELECT>";
echo "</TD>";
echo "</TR>";

#---A.O.P. - STAFF NONVIOLENT PCI---
echo "<TR>";
echo "<TD ALIGN=CENTER COLSPAN=4>";
echo "<INPUT TYPE=checkbox NAME=gr_aop VALUE=X>";
echo "A.O.P. - Staff Nonviolent PCI";
echo "</TD>";
echo "</TR>";

#---TENSION-REDUCTION - STAFF THERAPEUTIC RAPPORT---
echo "<TR>";
echo "<TD ALIGN=CENTER COLSPAN=4>";
echo "<INPUT TYPE=checkbox NAME=gr_tension VALUE=X>";
echo "Tension-Reduction - Staff Therapeutic Rapport";
echo "</TD>";
echo "</TR>";

#---LENGTH OF RESTRAINT---
echo "<TR>";
echo "<TD ALIGN=CENTER COLSPAN=4>";
echo "Length of Restraint:";
echo "<SELECT NAME=gr_lor>";
echo "<OPTION VALUE=1>Less Than 15 Mins";
echo "<OPTION VALUE=2>Less Than 30 Mins";
echo "<OPTION VALUE=3>Less than 120 Mins";
echo "<OPTION VALUE=4>More than 120 Mins";
echo "</SELECT>";
echo "</TD>";
echo "</TR>";

#---PCI OTHER---
echo "<TR>";
echo "<TD ALIGN=LEFT COLSPAN=4>";
echo "PCI Other: ";
echo "</TD>";
echo "</TR>";
echo "<TR>";
echo "<TD ALIGN=CENTER COLSPAN=4>";
echo "<INPUT NAME=gr_pciother SIZE=50 MAXLENGTH=50>";
echo "</TD>";
echo "</TR>";

fy_winprn("CENTER","2","");

#-=-=- END PCI -=-=-

fy_winprn("CENTER","4","<HR>");
fy_winprn("CENTER","4","<B>Others Involved</B>");

#---Others Involved 1---
echo "<TR>";
echo "<TD ALIGN=CENTER COLSPAN=4>";
echo "<INPUT TYPE=checkbox NAME=gr_othinv1_ok VALUE=X>";
echo "Oth. Inv. 1: ";
echo "<SELECT NAME=gr_othinv1>";
$rows=fy_resultrows($fydb_type, $result_set_res);
for ($jr=0; $jr < $rows; $jr++)
{
	$fid=fy_getfield($fydb_type, $result_set_res, $jr, "fid");
	if (fy_contypelookup($conn,$fid,$fydb_type,$fydb_name) == "Resident")
	{
		echo "<OPTION VALUE=";
		echo fy_getfield($fydb_type, $result_set_res, $jr, "fid");
		echo ">";
		echo fy_conidlookup($conn, fy_getfield($fydb_type, $result_set_res, $jr, "fid"), $fydb_type, $fydb_name);
	}
}
echo "</SELECT>";
echo "</TD>";
echo "</TR>";

#---Others Involved 2---
echo "<TR>";
echo "<TD ALIGN=CENTER COLSPAN=4>";
echo "<INPUT TYPE=checkbox NAME=gr_othinv2_ok VALUE=X>";
echo "Oth. Inv. 2: ";
echo "<SELECT NAME=gr_othinv2>";
$rows=fy_resultrows($fydb_type, $result_set_res);
for ($jr=0; $jr < $rows; $jr++)
{
	$fid=fy_getfield($fydb_type, $result_set_res, $jr, "fid");
	if (fy_contypelookup($conn,$fid,$fydb_type,$fydb_name) == "Resident")
	{
		echo "<OPTION VALUE=";
		echo fy_getfield($fydb_type, $result_set_res, $jr, "fid");
		echo ">";
		echo fy_conidlookup($conn, fy_getfield($fydb_type, $result_set_res, $jr, "fid"), $fydb_type, $fydb_name);
	}
}
echo "</SELECT>";
echo "</TD>";
echo "</TR>";

#---Others Involved 3---
echo "<TR>";
echo "<TD ALIGN=CENTER COLSPAN=4>";
echo "<INPUT TYPE=checkbox NAME=gr_othinv3_ok VALUE=X>";
echo "Oth. Inv. 3: ";
echo "<SELECT NAME=gr_othinv3>";
$rows=fy_resultrows($fydb_type, $result_set_res);
for ($jr=0; $jr < $rows; $jr++)
{
	$fid=fy_getfield($fydb_type, $result_set_res, $jr, "fid");
	if (fy_contypelookup($conn,$fid,$fydb_type,$fydb_name) == "Resident")
	{
		echo "<OPTION VALUE=";
		echo fy_getfield($fydb_type, $result_set_res, $jr, "fid");
		echo ">";
		echo fy_conidlookup($conn, fy_getfield($fydb_type, $result_set_res, $jr, "fid"), $fydb_type, $fydb_name);
	}
}
echo "</SELECT>";
echo "</TD>";
echo "</TR>";

#---GROUP HOME---

fy_winprn("CENTER","4","<HR>");

#---REMARKS-SUMMARY---
echo "<TR>";
echo "<TD ALIGN=LEFT COLSPAN=4>";
echo "Remarks-Summary: ";
echo "</TD>";
echo "</TR>";
echo "<TR>";
echo "<TD ALIGN=CENTER COLSPAN=4>";
echo "<TEXTAREA NAME=gr_remarkssummary WRAP=HARD COLS=50 ROWS=10>";
echo "</TEXTAREA>";
echo "</TD>";
echo "</TR>";

fy_winprn("CENTER","2","");

#---ACTION TAKEN---
echo "<TR>";
echo "<TD ALIGN=LEFT COLSPAN=4>";
echo "Action Taken:";
echo "</TD>";
echo "</TR>";
echo "<TR>";
echo "<TD ALIGN=CENTER COLSPAN=4>";
echo "<TEXTAREA NAME=gr_actiontaken WRAP=HARD COLS=50 ROWS=10>";
echo "</TEXTAREA>";
echo "</TD>";
echo "</TR>";

fy_winprn("CENTER","2","");

#---OTHER REMARKS---
echo "<TR>";
echo "<TD ALIGN=LEFT COLSPAN=4>";
echo "Other Remarks:";
echo "</TD>";
echo "</TR>";
echo "<TR>";
echo "<TD ALIGN=CENTER COLSPAN=4>";
echo "<TEXTAREA NAME=gr_otherremarks WRAP=HARD COLS=50 ROWS=10>";
echo "</TEXTAREA>";
echo "</TD>";
echo "</TR>";

echo "</TABLE>";
echo "</TD>";
echo "</TR>";

# ---Submit & Reset---
echo "<TR><TD COLSPAN=2 ALIGN=CENTER>";
echo "<INPUT TYPE=SUBMIT VALUE=Enter>";
echo "<INPUT TYPE=RESET VALUE=Clear>";
echo "</TD></TR>";

# ---End Form---
echo "</FORM>";

fy_wincancel("2", "ir.php?fy_id=$fy_id");

fy_endwindow("User: $cookie_user");
fy_endhtml();

?>
