<?php

include "freemed_yirc-vars.inc";
include "freemed_yirc-funcs.inc";

fy_cookiecheck($cookie_user);
fy_resetcookie($cookie_user, $cookie_id, $fy_cookietime);

# Check out $cookie_id with the secdb.  Make sure 'ir_edit' = 'X'.
$conn=fy_makeconn($fydb_type, $fydb_host, $fydb_user, $fydb_name);
$sql = "SELECT * FROM fy_secdb WHERE loginid = '$cookie_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows > 0)
{
	$perm=fy_getfield($fydb_type, $result_set, 0, "ir_edit");
} else {
	$perm = " ";
}

if ($perm != "X")
{
	fy_starthtml("Freemed-Yirc: Error","");
	fy_startwindow();
	fy_winprn("CENTER","","I'm sorry, but you don't have permission to edit the Incident Report database.");
	fy_winback("","ir.php");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

# What we gotta do here first is put a 'tracking' record into fy_ir_track
# to show this person was here for this incident...
$temp=fy_putdate($fydb_type, date("m"), date("d"), date("y"));
$temp2=date("H:i");
$temp3=fy_conidlookup($conn, $cookie_id, $fydb_type, $fydb_name);
$temp4=fy_conloginidlookup($conn, $cookie_id, $fydb_type, $fydb_name);
$sql = "INSERT INTO fy_ir_track (FID, at_date, at_time, action, staff, staff_id) VALUES ($fy_id, '$temp', '$temp2', 'Modify', '$temp3','$temp4')";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);

# Get the staff, resident, and group home records on deck...
# Make sure there are STAFF contacts in the database for this group!!!
$sql = "SELECT * FROM fy_con_groups WHERE group_id = '$fy_gh'";
$result_set_staff=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
# Make sure there are RESIDENT contacts in the database for this group!!!
$sql = "SELECT * FROM fy_con_groups WHERE group_id = '$fy_gh'";
$result_set_res=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
# Make sure there are group homes listed for this user!
$temp=fy_conloginidlookup($conn,$cookie_id,$fydb_type,$fydb_name);
$sql = "SELECT * FROM fy_con_groups WHERE fid = $temp";
$result_set_gh=fy_execsql($fydb_type, $fydb_name, $conn, $sql);

fy_starthtml("Freemed-YiRC: Incident Report Database","");
fy_startwindow();

# --- "Security Database" ---
fy_winprn("CENTER","2","<B>Modify an Incident Report</B>");

#---Start Form---
echo "<FORM ACTION=ir_mod2.php?fy_id=$fy_id&fy_gh=$fy_gh METHOD=POST>";

# Get the IR data from fy_ir...
$sql = "SELECT * FROM fy_ir WHERE id = '$fy_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);

#---INCIDENT DATE---
$temp1=fy_getdate($fydb_type, fy_getfield($fydb_type, $result_set, 0, "incident_date"));
$temp2=substr($temp1, 0, 2);
$temp3=substr($temp1, 3, 2);
$temp4=substr($temp1, 6, 4);
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Incident Date: ";
echo "</TD>";
echo "<TD>";
echo "<INPUT NAME=gr_incidentdate_m SIZE=2 MAXLENGTH=2 VALUE=$temp2>";
echo " / ";
echo "<INPUT NAME=gr_incidentdate_d SIZE=2 MAXLENGTH=2 VALUE=$temp3>";
echo " / ";
echo "<INPUT NAME=gr_incidentdate_y SIZE=4 MAXLENGTH=4 VALUE=$temp4>";
echo "</TD>";
echo "</TR>";
	
#---INCIDENT TIME---
$temp1=fy_getfield($fydb_type, $result_set, 0, "incident_time");
$temp2=substr($temp1, 0, 2);
$temp3=substr($temp1, 3, 2);
$temp4="AM";
if ($temp2 > 12)
{
	$temp2 = $temp2 - 12;
	$temp4 = "PM";
}
if ($temp2 == 0)
{
	$temp2 =  12;
	$temp4 = "AM";
}
if ($temp2 == 12)
{
	$temp4 = "PM";
}
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Incident Time: ";
echo "</TD>";
echo "<TD>";
echo "<INPUT NAME=gr_incidenttime_h SIZE=2 MAXLENGTH=2 VALUE=$temp2>";
echo " : ";
echo "<INPUT NAME=gr_incidenttime_m SIZE=2 MAXLENGTH=2 VALUE=$temp3>";
echo " ";
echo "<SELECT NAME=gr_incidenttime_ap>";
if ($temp4 == "AM")
{
	echo "<OPTION VALUE=AM DEFAULT>AM";
	echo "<OPTION VALUE=PM>PM";
} else {
	echo "<OPTION VALUE=PM DEFAULT>PM";
	echo "<OPTION VALUE=AM>AM";
}
echo "</SELECT>";
echo "</TD>";
echo "</TR>";

#---INCIDENT END TIME---
$temp1=fy_getfield($fydb_type, $result_set, 0, "incident_time_end");
$temp2=substr($temp1, 0, 2);
$temp3=substr($temp1, 3, 2);
$temp4="AM";
if ($temp2 > 12)
{
	$temp2 = $temp2 - 12;
	$temp4 = "PM";
}
if ($temp2 == 0)
{
	$temp2 =  12;
	$temp4 = "AM";
}
if ($temp2 == 12)
{
	$temp4 = "PM";
}
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Incident End Time: ";
echo "</TD>";
echo "<TD>";
echo "<INPUT NAME=gr_incidenttime_e_h SIZE=2 MAXLENGTH=2 VALUE=$temp2>";
echo " : ";
echo "<INPUT NAME=gr_incidenttime_e_m SIZE=2 MAXLENGTH=2 VALUE=$temp3>";
echo " ";
echo "<SELECT NAME=gr_incidenttime_e_ap>";
if ($temp4 == "AM")
{
	echo "<OPTION VALUE=AM DEFAULT>AM";
	echo "<OPTION VALUE=PM>PM";
} else {
	echo "<OPTION VALUE=PM DEFAULT>PM";
	echo "<OPTION VALUE=AM>AM";
}
echo "</SELECT>";
echo "</TD>";
echo "</TR>";

#---STAFF---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Staff: ";
echo "</TD>";
echo "<TD>";
echo "<SELECT NAME=gr_staff>";
echo "<OPTION DEFAULT VALUE=";
echo fy_getfield($fydb_type, $result_set, 0, "staff_id");
echo ">";
echo fy_getfield($fydb_type, $result_set, 0, "staff");
$rows=fy_resultrows($fydb_type, $result_set_staff);
for ($jr=0; $jr < $rows; $jr++)
{
	$temp1=fy_getfield($fydb_type, $result_set, 0, "staff_id");
	$fid=fy_getfield($fydb_type, $result_set_staff, $jr, "fid");
	if (fy_contypelookup($conn,$fid,$fydb_type,$fydb_name) == "Staff")
	{
		if ($temp1 <> $fid)
		{
			echo "<OPTION VALUE=";
			echo fy_getfield($fydb_type, $result_set_staff, $jr, "fid");
			echo ">";
			echo fy_conidlookup($conn, fy_getfield($fydb_type, $result_set_staff, $jr, "fid"), $fydb_type, $fydb_name);
		}
	}
}
echo "</SELECT>";
echo "</TD>";
echo "</TR>";

#---RESIDENT---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Resident: ";
echo "</TD>";
echo "<TD>";
echo "<SELECT NAME=gr_resident>";
echo "<OPTION DEFAULT VALUE=";
echo fy_getfield($fydb_type, $result_set, 0, "resident_id");
echo ">";
echo fy_getfield($fydb_type, $result_set, 0, "resident");
$rows=fy_resultrows($fydb_type, $result_set_res);
for ($jr=0; $jr < $rows; $jr++)
{
	$temp1=fy_getfield($fydb_type, $result_set, 0, "resident_id");
	$fid=fy_getfield($fydb_type, $result_set_res, $jr, "fid");
	if (fy_contypelookup($conn,$fid,$fydb_type,$fydb_name) == "Resident")
	{
		if ($temp1 <> $fid)
		{
			echo "<OPTION VALUE=";
			echo fy_getfield($fydb_type, $result_set_res, $jr, "fid");
			echo ">";
			echo fy_conidlookup($conn, fy_getfield($fydb_type, $result_set_res, $jr, "fid"), $fydb_type, $fydb_name);
		}
	}
}
echo "</SELECT>";
echo "</TD>";
echo "</TR>";

#---GROUP HOME---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Group Home: ";
echo "</TD>";
echo "<TD>";
echo "<SELECT NAME=gr_grouphome>";
echo "<OPTION DEFAULT VALUE=";
echo fy_getfield($fydb_type, $result_set, 0, "group_home");
echo ">";
echo fy_getfield($fydb_type, $result_set, 0, "group_home");
# Get the names of all the group homes in the users group table....
$rows=fy_resultrows($fydb_type, $result_set_res);
for ($counter = 0; $counter < $rows; $counter++)
{
	$temp1=fy_getfield($fydb_type, $result_set, 0, "group_home");
	$temp2=fy_getfield($fydb_type, $result_set_gh, 0, "group_id");
	if ($temp1 != $temp2)
	{
		echo "<OPTION VALUE=";
		echo fy_getfield($fydb_type, $result_set_gh, 0, "group_id");
		echo ">";
		echo fy_getfield($fydb_type, $result_set_gh, 0, "group_id");
	}
}
echo "</SELECT>";
echo "</TD>";
echo "</TR>";

#---AT GROUP HOME---
$temp1=fy_getfield($fydb_type, $result_set, 0, "at_group_home");
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "At Group Home? ";
echo "</TD>";
echo "<TD>";
if ($temp1 == "X")
{
	echo "<INPUT TYPE=radio NAME=gr_atgrouphome VALUE=\"X\" CHECKED>Yes";
	echo "<INPUT TYPE=radio NAME=gr_atgrouphome VALUE=\"\">No";
} else {
	echo "<INPUT TYPE=radio NAME=gr_atgrouphome VALUE=\"X\">Yes";
	echo "<INPUT TYPE=radio NAME=gr_atgrouphome VALUE=\"\" CHECKED>No";
}
echo "</TD>";
echo "</TR>";

#---INCIDENT ADDRESS---
$temp2=fy_getfield($fydb_type, $result_set, 0, "incident_address");
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Incident Address?<BR>(If <B>NOT</B> at group home) ";
echo "</TD>";
echo "<TD>";
if ($temp1 == "X")
{
	echo "<INPUT NAME=gr_incidentaddress SIZE=30 MAXLENGTH=30>";
} else {
	echo "<INPUT NAME=gr_incidentaddress SIZE=30 MAXLENGTH=30 VALUE="."\""."$temp2"."\"".">";
}
echo "</TD>";
echo "</TR>";

#-=-=- BEGIN CATEGORIES -=-=-

fy_winprn("CENTER","2","<HR>");
fy_winprn("CENTER","2","<B>Categories:</B>");
fy_winprn("CENTER","4","<BR><P>");

echo "<TR>";
echo "<TD COLSPAN=2>";
echo "<TABLE ALIGN=CENTER>";
echo "<TR>";

# Get the IR data from fy_ir_cat...
$sql = "SELECT * FROM fy_ir_cat WHERE fid = '$fy_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);

#---NEEDED PCI---
$temp1=fy_getfield($fydb_type, $result_set, 0, "needed_pci");
echo "<TD ALIGN=RIGHT>";
echo "Needed PCI?";
echo "</TD>";
echo "<TD>";
if ($temp1 == "X")
{
	echo "<INPUT TYPE=checkbox NAME=gr_neededpci VALUE=X CHECKED>";
} else {
	echo "<INPUT TYPE=checkbox NAME=gr_neededpci VALUE=X>";

}
echo "</TD>";

#---TEMPER TANTRUM---
$temp1=fy_getfield($fydb_type, $result_set, 0, "temper_tantrum");
echo "<TD ALIGN=RIGHT>";
echo "Temper Tantrum";
echo "</TD>";
echo "<TD>";
if ($temp1 == "X")
{
	echo "<INPUT TYPE=checkbox NAME=gr_tempertantrum VALUE=X CHECKED>";
} else {
	echo "<INPUT TYPE=checkbox NAME=gr_tempertantrum VALUE=X>";
}
echo "</TD>";

echo "</TR>";
echo "<TR>";

#---STEALING---
$temp1=fy_getfield($fydb_type, $result_set, 0, "stealing");
echo "<TD ALIGN=RIGHT>";
echo "Stealing";
echo "</TD>";
echo "<TD>";
if ($temp1 == "X")
{
	echo "<INPUT TYPE=checkbox NAME=gr_stealing VALUE=X CHECKED>";
} else {
	echo "<INPUT TYPE=checkbox NAME=gr_stealing VALUE=X>";
}
echo "</TD>";

#---PROPERTY DAMAGE---
$temp1=fy_getfield($fydb_type, $result_set, 0, "property_damage");
echo "<TD ALIGN=RIGHT>";
echo "Property Damage";
echo "</TD>";
echo "<TD>";
if ($temp1 == "X")
{
	echo "<INPUT TYPE=checkbox NAME=gr_propertydamage VALUE=X CHECKED>";
} else {
	echo "<INPUT TYPE=checkbox NAME=gr_propertydamage VALUE=X>";
}
echo "</TD>";

echo "</TR>";
echo "<TR>";

#---INJURY SELF---
$temp1=fy_getfield($fydb_type, $result_set, 0, "injury_self");
echo "<TD ALIGN=RIGHT>";
echo "Injury/Self";
echo "</TD>";
echo "<TD>";
if ($temp1 == "X")
{
	echo "<INPUT TYPE=checkbox NAME=gr_injuryself VALUE=X CHECKED>";
} else {
	echo "<INPUT TYPE=checkbox NAME=gr_injuryself VALUE=X>";
}
echo "</TD>";

#---INJURY OTHER---
$temp1=fy_getfield($fydb_type, $result_set, 0, "injury_other");
echo "<TD ALIGN=RIGHT>";
echo "Injury/Other";
echo "</TD>";
echo "<TD>";
if ($temp1 == "X")
{
	echo "<INPUT TYPE=checkbox NAME=gr_injuryother VALUE=X CHECKED>";
} else {
	echo "<INPUT TYPE=checkbox NAME=gr_injuryother VALUE=X>";
}
echo "</TD>";

echo "</TR>";
echo "<TR>";

#---FIGHTING---
$temp1=fy_getfield($fydb_type, $result_set, 0, "fighting");
echo "<TD ALIGN=RIGHT>";
echo "Fighting";
echo "</TD>";
echo "<TD>";
if ($temp1 == "X")
{
	echo "<INPUT TYPE=checkbox NAME=gr_fighting VALUE=X CHECKED>";
} else {
	echo "<INPUT TYPE=checkbox NAME=gr_fighting VALUE=X>";
}
echo "</TD>";

#---DRUG---
$temp1=fy_getfield($fydb_type, $result_set, 0, "drug");
echo "<TD ALIGN=RIGHT>";
echo "Drug";
echo "</TD>";
echo "<TD>";
if ($temp1 == "X")
{
	echo "<INPUT TYPE=checkbox NAME=gr_drug VALUE=X CHECKED>";
} else {
	echo "<INPUT TYPE=checkbox NAME=gr_drug VALUE=X>";
}
echo "</TD>";

echo "</TR>";
echo "<TR>";

#---ALCOHOL---
$temp1=fy_getfield($fydb_type, $result_set, 0, "alcohol");
echo "<TD ALIGN=RIGHT>";
echo "Alcohol";
echo "</TD>";
echo "<TD>";
if ($temp1 == "X")
{
	echo "<INPUT TYPE=checkbox NAME=gr_alcohol VALUE=X CHECKED>";
} else {
	echo "<INPUT TYPE=checkbox NAME=gr_alcohol VALUE=X>";

}
echo "</TD>";

#---AWOL---
$temp1=fy_getfield($fydb_type, $result_set, 0, "awol");
echo "<TD ALIGN=RIGHT>";
echo "AWOL";
echo "</TD>";
echo "<TD>";
if ($temp1 == "X")
{
	echo "<INPUT TYPE=checkbox NAME=gr_awol VALUE=X CHECKED>";
} else {
	echo "<INPUT TYPE=checkbox NAME=gr_awol VALUE=X>";
}
echo "</TD>";

echo "</TR>";
echo "<TR>";

#---CAR WO PERMISSION---
$temp1=fy_getfield($fydb_type, $result_set, 0, "car_wo_permission");
echo "<TD ALIGN=RIGHT>";
echo "Car WO Permission";
echo "</TD>";
echo "<TD>";
if ($temp1 == "X")
{
	echo "<INPUT TYPE=checkbox NAME=gr_carwoperm VALUE=X CHECKED>";
} else {
	echo "<INPUT TYPE=checkbox NAME=gr_carwoperm VALUE=X>";
}
echo "</TD>";

#---VERBAL ABUSE---
$temp1=fy_getfield($fydb_type, $result_set, 0, "verbal_abuse");
echo "<TD ALIGN=RIGHT>";
echo "Verbal Abuse";
echo "</TD>";
echo "<TD>";
if ($temp1 == "X")
{
	echo "<INPUT TYPE=checkbox NAME=gr_verbalabuse VALUE=X CHECKED>";
} else {
	echo "<INPUT TYPE=checkbox NAME=gr_verbalabuse VALUE=X>";
}
echo "</TD>";

echo "</TR>";
echo "<TR>";

#---OTHER---
$temp1=fy_getfield($fydb_type, $result_set, 0, "other");
echo "<TD ALIGN=RIGHT>";
echo "Other";
echo "</TD>";
echo "<TD>";
if ($temp1 == "X")
{
	echo "<INPUT TYPE=checkbox NAME=gr_other VALUE=X CHECKED>";
} else {
	echo "<INPUT TYPE=checkbox NAME=gr_other VALUE=X>";

}
echo "</TD>";

#---CIR---
$temp1=fy_getfield($fydb_type, $result_set, 0, "cir");
echo "<TD ALIGN=RIGHT>";
echo "Critical?";
echo "</TD>";
echo "<TD>";
if ($temp1 == "X")
{
	echo "<INPUT TYPE=checkbox NAME=gr_critical VALUE=X CHECKED>";
} else {
	echo "<INPUT TYPE=checkbox NAME=gr_critical VALUE=X>";

}
echo "</TD>";

echo "</TR>";

fy_winprn("CENTER","2","");

#-=-=- END CATEGORIES -=-=-

#-=-=- BEGIN TEMPER TANTRUM -=-=-
# Get the IR data from fy_ir_tt...
$sql = "SELECT * FROM fy_ir_tt WHERE fid = '$fy_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);

fy_winprn("CENTER","4","<HR>");
fy_winprn("CENTER","4","<B>Temper Tantrum</B>");
fy_winprn("CENTER","4","<I>If applicable</I>");
fy_winprn("CENTER","4","<BR><P>");

echo "<TR>";

#---PRE-TANTRUM ANXIETY---
$temp1=fy_getfield($fydb_type, $result_set, 0, "pre_tantrum_anxiety");
echo "<TD ALIGN=RIGHT>";
echo "Pre-Tantrum Anxiety";
echo "</TD>";
echo "<TD>";
if ($temp1 == "X")
{
	echo "<INPUT TYPE=checkbox NAME=gr_pretantrum VALUE=X CHECKED>";
} else {
	echo "<INPUT TYPE=checkbox NAME=gr_pretantrum VALUE=X>";

}
echo "</TD>";

#---STAFF SUPPORTIVE---
$temp1=fy_getfield($fydb_type, $result_set, 0, "staff_supportive");
echo "<TD ALIGN=RIGHT>";
echo "Staff Supportive";
echo "</TD>";
echo "<TD>";
if ($temp1 == "X")
{
	echo "<INPUT TYPE=checkbox NAME=gr_staffsupportive VALUE=X CHECKED>";
} else {
	echo "<INPUT TYPE=checkbox NAME=gr_staffsupportive VALUE=X>";
}
echo "</TD>";

echo "</TR>";
echo "<TR>";

#---INTER-PERSONAL CONFLICT---
$temp1=fy_getfield($fydb_type, $result_set, 0, "inter_personal_conflict");
echo "<TD ALIGN=RIGHT>";
echo "Inter-Personal conflict";
echo "</TD>";
echo "<TD>";
if ($temp1 == "X")
{
	echo "<INPUT TYPE=checkbox NAME=gr_interpersonal VALUE=X CHECKED>";
} else {
	echo "<INPUT TYPE=checkbox NAME=gr_interpersonal VALUE=X>";
}
echo "</TD>";

#---STAFF DIRECTIVE---
$temp1=fy_getfield($fydb_type, $result_set, 0, "staff_directive");
echo "<TD ALIGN=RIGHT>";
echo "Staff Directive";
echo "</TD>";
echo "<TD>";
if ($temp1 == "X")
{
	echo "<INPUT TYPE=checkbox NAME=gr_staffdirective VALUE=X CHECKED>";
} else {
	echo "<INPUT TYPE=checkbox NAME=gr_staffdirective VALUE=X>";

}
echo "</TD>";

echo "</TR>";
echo "<TR>";

#---EITHER/OR STAGE---
$temp1=fy_getfield($fydb_type, $result_set, 0, "either_or_stage");
echo "<TD ALIGN=RIGHT>";
echo "Either/Or Stage";
echo "</TD>";
echo "<TD>";
if ($temp1 == "X")
{
	echo "<INPUT TYPE=checkbox NAME=gr_eitheror VALUE=X CHECKED>";
} else {
	echo "<INPUT TYPE=checkbox NAME=gr_eitheror VALUE=X>";
}
echo "</TD>";

#---STAFF MAINTAINS STRUCTURE & CALM---
$temp1=fy_getfield($fydb_type, $result_set, 0, "staff_maintains");
echo "<TD ALIGN=RIGHT>";
echo "Staff Maintains Structure & Calm";
echo "</TD>";
echo "<TD>";
if ($temp1 == "X")
{
	echo "<INPUT TYPE=checkbox NAME=gr_staffmaint VALUE=X CHECKED>";
} else {
	echo "<INPUT TYPE=checkbox NAME=gr_staffmaint VALUE=X>";
}
echo "</TD>";

echo "</TR>";
echo "<TR>";

#---DEFIANT STAGE---
$temp1=fy_getfield($fydb_type, $result_set, 0, "defiant_stage");
echo "<TD ALIGN=RIGHT>";
echo "Defiant Stage";
echo "</TD>";
echo "<TD>";
if ($temp1 == "X")
{
	echo "<INPUT TYPE=checkbox NAME=gr_defiantstage VALUE=X CHECKED>";
} else {
	echo "<INPUT TYPE=checkbox NAME=gr_defiantstage VALUE=X>";
}
echo "</TD>";

#---HELPED RESIDENT SEE END TO TT---
$temp1=fy_getfield($fydb_type, $result_set, 0, "helped_resident");
echo "<TD ALIGN=RIGHT>";
echo "Helped Resident See End to TT";
echo "</TD>";
echo "<TD>";
if ($temp1 == "X")
{
	echo "<INPUT TYPE=checkbox NAME=gr_helpedres VALUE=X CHECKED>";
} else {
	echo "<INPUT TYPE=checkbox NAME=gr_helpedres VALUE=X>";
}
echo "</TD>";

echo "</TR>";
echo "<TR>";

#---AGGRESSION TO DEPRESSION---
$temp1=fy_getfield($fydb_type, $result_set, 0, "aggression_to_depression");
echo "<TD ALIGN=RIGHT>";
echo "Aggression To Depression";
echo "</TD>";
echo "<TD>";
if ($temp1 == "X")
{
	echo "<INPUT TYPE=checkbox NAME=gr_aggression VALUE=X CHECKED>";
} else {
	echo "<INPUT TYPE=checkbox NAME=gr_aggression VALUE=X>";
}
echo "</TD>";

#---STAFF INTERVENTION BRIEF, CALM---
$temp1=fy_getfield($fydb_type, $result_set, 0, "staff_intervention");
echo "<TD ALIGN=RIGHT>";
echo "Staff Intervention Brief, Calm";
echo "</TD>";
echo "<TD>";
if ($temp1 == "X")
{
	echo "<INPUT TYPE=checkbox NAME=gr_staffintervention VALUE=X CHECKED>";
} else {
	echo "<INPUT TYPE=checkbox NAME=gr_staffintervention VALUE=X>";
}
echo "</TD>";

echo "</TR>";
echo "<TR>";

#---POST TANTRUM STAGE---
$temp1=fy_getfield($fydb_type, $result_set, 0, "post_tantrum_stage");
echo "<TD ALIGN=RIGHT>";
echo "Post Tantrum Stage";
echo "</TD>";
echo "<TD>";
if ($temp1 == "X")
{
	echo "<INPUT TYPE=checkbox NAME=gr_posttantrum VALUE=X CHECKED>";
} else {
	echo "<INPUT TYPE=checkbox NAME=gr_posttantrum VALUE=X>";
}
echo "</TD>";

#---STAFF TAUGHT STAGES OF TT---
$temp1=fy_getfield($fydb_type, $result_set, 0, "staff_taught_stages");
echo "<TD ALIGN=RIGHT>";
echo "Staff Taught Stages of TT";
echo "</TD>";
echo "<TD>";
if ($temp1 == "X")
{
	echo "<INPUT TYPE=checkbox NAME=gr_stafftaught VALUE=X CHECKED>";
} else {
	echo "<INPUT TYPE=checkbox NAME=gr_stafftaught VALUE=X>";
}
echo "</TD>";

echo "</TR>";

#---TT OTHER---
$temp1=fy_getfield($fydb_type, $result_set, 0, "tt_other");
echo "<TR>";
echo "<TD ALIGN=LEFT COLSPAN=4>";
echo "TT Other: ";
echo "</TD>";
echo "</TR>";
echo "<TR>";
echo "<TD ALIGN=CENTER COLSPAN=4>";
echo "<INPUT NAME=gr_ttother SIZE=50 MAXLENGTH=50 VALUE="."\""."$temp1"."\"".">";
echo "</TD>";
echo "</TR>";

fy_winprn("CENTER","2","");

#-=-=- END TEMPER TANTRUM -=-=-

#-=-=- BEGIN PCI -=-=-
# Get the IR data from fy_ir_pci...
$sql = "SELECT * FROM fy_ir_pci WHERE fid = '$fy_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);

fy_winprn("CENTER","4","<HR>");
fy_winprn("CENTER","4","<B>PCI Subcategories</B>");
fy_winprn("CENTER","4","<I>If applicable</I>");
fy_winprn("CENTER","4","<BR><P>");

#---ANXIETY STAGE - STAFF SUPPORTIVE---
$temp1=fy_getfield($fydb_type, $result_set, 0, "anxiety_stage");
echo "<TR>";
echo "<TD ALIGN=CENTER COLSPAN=4>";
if ($temp1 == "X")
{
	echo "<INPUT TYPE=checkbox NAME=gr_anxietystage VALUE=X CHECKED>";
} else {
	echo "<INPUT TYPE=checkbox NAME=gr_anxietystage VALUE=X>";
}
echo "Anxiety Stage - Staff Supportive";
echo "</TD>";
echo "</TR>";

#---YOUTH DEFENSIVE - STAFF DIRECTIVE---
$temp1=fy_getfield($fydb_type, $result_set, 0, "youth_defensive");
$temp2=fy_getfield($fydb_type, $result_set, 0, "defensive_level");
echo "<TR>";
echo "<TD ALIGN=CENTER COLSPAN=4>";
if ($temp1 == "X")
{
	echo "<INPUT TYPE=checkbox NAME=gr_youthdef VALUE=X CHECKED>";
} else {
	echo "<INPUT TYPE=checkbox NAME=gr_youthdef VALUE=X>";
}
echo "Youth Defensive - Staff Directive";
echo " ";
echo "<SELECT NAME=gr_defensivelevel>";
echo "<OPTION VALUE=$temp2 DEFAULT>";
switch($temp2)
{
	case 1;
		echo "Questioning";
		break;
	case 2;
		echo "Refusal";
		break;
	case 3;
		echo "Release";
		break;
	case 4;
		echo "Intimidation";
		break;
	case 5;
		echo "Tension-Reduction";
		break;
}

if ($temp2 != 1)
{echo "<OPTION VALUE=1>Questioning";}
if ($temp2 != 2)
{echo "<OPTION VALUE=2>Refusal";} 
if ($temp2 != 3)
{echo "<OPTION VALUE=3>Release";}
if ($temp2 != 4)
{echo "<OPTION VALUE=4>Intimidation";} 
if ($temp2 != 5)
{echo "<OPTION VALUE=5>Tension-Reduction";}
echo "</SELECT>";
echo "</TD>";
echo "</TR>";

#---A.O.P. - STAFF NONVIOLENT PCI---
$temp1=fy_getfield($fydb_type, $result_set, 0, "aop");
echo "<TR>";
echo "<TD ALIGN=CENTER COLSPAN=4>";
if ($temp1 == "X")
{
	echo "<INPUT TYPE=checkbox NAME=gr_aop VALUE=X CHECKED>";
} else {
	echo "<INPUT TYPE=checkbox NAME=gr_aop VALUE=X>";
}
echo "A.O.P. - Staff Nonviolent PCI";
echo "</TD>";
echo "</TR>";

#---TENSION-REDUCTION - STAFF THERAPEUTIC RAPPORT---
$temp1=fy_getfield($fydb_type, $result_set, 0, "tension_reduction");
echo "<TR>";
echo "<TD ALIGN=CENTER COLSPAN=4>";
if ($temp1 == "X")
{
	echo "<INPUT TYPE=checkbox NAME=gr_tension VALUE=X CHECKED>";
} else {
	echo "<INPUT TYPE=checkbox NAME=gr_tension VALUE=X>";
}
echo "Tension-Reduction - Staff Therapeutic Rapport";
echo "</TD>";
echo "</TR>";

#---LENGTH OF RESTRAINT---
$temp1=fy_getfield($fydb_type, $result_set, 0, "length_of_restraint");
echo "<TR>";
echo "<TD ALIGN=CENTER COLSPAN=4>";
echo "Length of Restraint:";
echo "<SELECT NAME=gr_lor>";
echo "<OPTION VALUE=$temp1 DEFAULT>";
switch($temp1)
{
	case 1;
		echo "Less Than 15 Mins";
		break;
	case 2;
		echo "Less Than 30 Mins";
		break;
	case 3;
		echo "Less Than 120 Mins";
		break;
	case 4;
		echo "More than 120 Mins";
		break;
}
if ($temp1 != 1)
{echo "<OPTION VALUE=1>Less Than 15 Mins";}
if ($temp1 != 2)
{echo "<OPTION VALUE=2>Less Than 30 Mins";}
if ($temp1 != 3)
{echo "<OPTION VALUE=3>Less than 120 Mins";}
if ($temp1 != 4)
{echo "<OPTION VALUE=4>More than 120 Mins";}
echo "</SELECT>";
echo "</TD>";
echo "</TR>";

#---PCI OTHER---
$temp1=fy_getfield($fydb_type, $result_set, 0, "pci_other");
echo "<TR>";
echo "<TD ALIGN=LEFT COLSPAN=4>";
echo "PCI Other: ";
echo "</TD>";
echo "</TR>";
echo "<TR>";
echo "<TD ALIGN=CENTER COLSPAN=4>";
echo "<INPUT NAME=gr_pciother SIZE=50 MAXLENGTH=50 VALUE="."\""."$temp1"."\"".">";
echo "</TD>";
echo "</TR>";


fy_winprn("CENTER","2","");

#-=-=- END PCI -=-=-

# Get the IR data from fy_ir_othinv...
$sql = "SELECT * FROM fy_ir_othinv WHERE fid = '$fy_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);

fy_winprn("CENTER","4","<HR>");
fy_winprn("CENTER","4","<B>Others Involved</B>");

#---OTHINV1---
echo "<TR>";
echo "<TD ALIGN=RIGHT COLSPAN=2>";
$temp=fy_getfield($fydb_type, $result_set, 0, "othinv1_id");
if ($temp != "")
{
	echo "<INPUT TYPE=checkbox NAME=gr_othinv1_ok VALUE=X CHECKED>";
} else {
	echo "<INPUT TYPE=checkbox NAME=gr_othinv1_ok VALUE=X>";
}
echo "Oth. Inv. 1";
echo "</TD>";
echo "<TD COLSPAN=2>";
echo "<SELECT NAME=gr_othinv1>";
$temp=fy_getfield($fydb_type, $result_set, 0, "othinv1_id");
if ($temp != "")
{
	echo "<OPTION DEFAULT VALUE=";
	echo fy_getfield($fydb_type, $result_set, 0, "othinv1_id");
	echo ">";
	echo fy_getfield($fydb_type, $result_set, 0, "othinv1");
}
$rows=fy_resultrows($fydb_type, $result_set_res);
for ($jr=0; $jr < $rows; $jr++)
{
	$temp1=fy_getfield($fydb_type, $result_set, 0, "othinv1_id");
	$fid=fy_getfield($fydb_type, $result_set_res, $jr, "fid");
	if (fy_contypelookup($conn,$fid,$fydb_type,$fydb_name) == "Resident")
	{
		if ($temp1 <> $fid)
		{
			echo "<OPTION VALUE=";
			echo fy_getfield($fydb_type, $result_set_res, $jr, "fid");
			echo ">";
			echo fy_conidlookup($conn, fy_getfield($fydb_type, $result_set_res, $jr, "fid"), $fydb_type, $fydb_name);
		}
	}
}
echo "</SELECT>";
echo "</TD>";
echo "</TR>";

#---OTHINV2---
echo "<TR>";
echo "<TD ALIGN=RIGHT COLSPAN=2>";
$temp=fy_getfield($fydb_type, $result_set, 0, "othinv2_id");
if ($temp != "")
{
	echo "<INPUT TYPE=checkbox NAME=gr_othinv2_ok VALUE=X CHECKED>";
} else {
	echo "<INPUT TYPE=checkbox NAME=gr_othinv2_ok VALUE=X>";
}
echo "Oth. Inv. 2";
echo "</TD>";
echo "<TD COLSPAN=2>";
echo "<SELECT NAME=gr_othinv2>";
$temp=fy_getfield($fydb_type, $result_set, 0, "othinv2_id");
if ($temp != "")
{
	echo "<OPTION DEFAULT VALUE=";
	echo fy_getfield($fydb_type, $result_set, 0, "othinv2_id");
	echo ">";
	echo fy_getfield($fydb_type, $result_set, 0, "othinv2");
}
$rows=fy_resultrows($fydb_type, $result_set_res);
for ($jr=0; $jr < $rows; $jr++)
{
	$temp1=fy_getfield($fydb_type, $result_set, 0, "othinv2_id");
	$fid=fy_getfield($fydb_type, $result_set_res, $jr, "fid");
	if (fy_contypelookup($conn,$fid,$fydb_type,$fydb_name) == "Resident")
	{
		if ($temp1 <> $fid)
		{
			echo "<OPTION VALUE=";
			echo fy_getfield($fydb_type, $result_set_res, $jr, "fid");
			echo ">";
			echo fy_conidlookup($conn, fy_getfield($fydb_type, $result_set_res, $jr, "fid"), $fydb_type, $fydb_name);
		}
	}
}
echo "</SELECT>";
echo "</TD>";
echo "</TR>";

#---OTHINV3---
echo "<TR>";
echo "<TD ALIGN=RIGHT COLSPAN=2>";
$temp=fy_getfield($fydb_type, $result_set, 0, "othinv3_id");
if ($temp != "")
{
	echo "<INPUT TYPE=checkbox NAME=gr_othinv3_ok VALUE=X CHECKED>";
} else {
	echo "<INPUT TYPE=checkbox NAME=gr_othinv3_ok VALUE=X>";
}
echo "Oth. Inv. 3";
echo "</TD>";
echo "<TD COLSPAN=2>";
echo "<SELECT NAME=gr_othinv3>";
$temp=fy_getfield($fydb_type, $result_set, 0, "othinv2_id");
if ($temp != "")
{
	echo "<OPTION DEFAULT VALUE=";
	echo fy_getfield($fydb_type, $result_set, 0, "othinv3_id");
	echo ">";
	echo fy_getfield($fydb_type, $result_set, 0, "othinv3");
}
$rows=fy_resultrows($fydb_type, $result_set_res);
for ($jr=0; $jr < $rows; $jr++)
{
	$temp1=fy_getfield($fydb_type, $result_set, 0, "othinv3_id");
	$fid=fy_getfield($fydb_type, $result_set_res, $jr, "fid");
	if (fy_contypelookup($conn,$fid,$fydb_type,$fydb_name) == "Resident")
	{
		if ($temp1 <> $fid)
		{
			echo "<OPTION VALUE=";
			echo fy_getfield($fydb_type, $result_set_res, $jr, "fid");
			echo ">";
			echo fy_conidlookup($conn, fy_getfield($fydb_type, $result_set_res, $jr, "fid"), $fydb_type, $fydb_name);
		}
	}
}
echo "</SELECT>";
echo "</TD>";
echo "</TR>";


#-----------
fy_winprn("CENTER","4","<HR>");

# Get the IR data from fy_ir_sum...
$sql = "SELECT * FROM fy_ir_sum WHERE fid = '$fy_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);

#---REMARKS-SUMMARY---
$temp1=fy_getfield($fydb_type, $result_set, 0, "remarks_summary");
$temp9="<A HREF=\"spell_b.php?gr_table=fy_ir_sum&gr_id=";
$temp9 .= fy_getfield($fydb_type, $result_set, 0, "id");
$temp9 .= "&gr_field=remarks_summary&gr_back=ir_mod.php?fy_id=$fy_id|fy_gh=$fy_gh";
$temp9 .= "\">Spell Check</A>";
echo "<TR>";
echo "<TD ALIGN=LEFT COLSPAN=4>";
$fy_spell2=STRTOLOWER($fy_spell);
if ($fy_spell2 == "enable" or $fy_spell2 == "menu")
{
	echo "Remarks-Summary: ($temp9)";
} else {
	echo "Remarks-Summary:";
}
echo "</TD>";
echo "</TR>";
echo "<TR>";
echo "<TD ALIGN=CENTER COLSPAN=4>";
echo "<TEXTAREA NAME=gr_remarkssummary WRAP=SOFT COLS=50 ROWS=10>";
echo "$temp1";
echo "</TEXTAREA>";
echo "</TD>";
echo "</TR>";

fy_winprn("CENTER","2","");

#---ACTION TAKEN---
$temp1=fy_getfield($fydb_type, $result_set, 0, "action_taken");
$temp9="<A HREF=\"spell_b.php?gr_table=fy_ir_sum&gr_id=";
$temp9 .= fy_getfield($fydb_type, $result_set, 0, "id");
$temp9 .= "&gr_field=action_taken&gr_back=ir_mod.php?fy_id=$fy_id|fy_gh=$fy_gh";
$temp9 .= "\">Spell Check</A>";
echo "<TR>";
echo "<TD ALIGN=LEFT COLSPAN=4>";
$fy_spell2=STRTOLOWER($fy_spell);
if ($fy_spell2 == "enable" or $fy_spell2 == "menu")
{
	echo "Action Taken: ($temp9)";
} else {
	echo "Action Taken:";
}
echo "</TD>";
echo "</TR>";
echo "<TR>";
echo "<TD ALIGN=CENTER COLSPAN=4>";
echo "<TEXTAREA NAME=gr_actiontaken WRAP=SOFT COLS=50 ROWS=10>";
echo "$temp1";
echo "</TEXTAREA>";
echo "</TD>";
echo "</TR>";

fy_winprn("CENTER","2","");

#---OTHER REMARKS---
$temp1=fy_getfield($fydb_type, $result_set, 0, "other_remarks");
$temp9="<A HREF=\"spell_b.php?gr_table=fy_ir_sum&gr_id=";
$temp9 .= fy_getfield($fydb_type, $result_set, 0, "id");
$temp9 .= "&gr_field=other_remarks&gr_back=ir_mod.php?fy_id=$fy_id|fy_gh=$fy_gh";
$temp9 .= "\">Spell Check</A>";
echo "<TR>";
echo "<TD ALIGN=LEFT COLSPAN=4>";
$fy_spell2=STRTOLOWER($fy_spell);
if ($fy_spell2 == "enable" or $fy_spell2 == "menu")
{
	echo "Other Remarks: ($temp9)";
} else {
	echo "Other Remarks:";
}
echo "</TD>";
echo "</TR>";
echo "<TR>";
echo "<TD ALIGN=CENTER COLSPAN=4>";
echo "<TEXTAREA NAME=gr_otherremarks WRAP=SOFT COLS=50 ROWS=10>";
echo "$temp1";
echo "</TEXTAREA>";
echo "</TD>";
echo "</TR>";

echo "</TABLE>";
echo "</TD>";
echo "</TR>";

# ---Submit & Reset---
echo "<TR><TD COLSPAN=2 ALIGN=CENTER>";
echo "<INPUT TYPE=SUBMIT VALUE=Update>";
echo "<INPUT TYPE=RESET VALUE=Clear>";
echo "</TD></TR>";

# ---End Form---
echo "</FORM>";

fy_wincancel("2", "ir.php?fy_id=$fy_gh");

fy_endwindow("User: $cookie_user");
fy_endhtml();

?>
