<?php

include "freemed_yirc-vars.inc";
include "freemed_yirc-funcs.inc";

fy_cookiecheck($cookie_user);
fy_resetcookie($cookie_user, $cookie_id, $fy_cookietime);

# Check out $cookie_id with the secdb.  Make sure 'ir' = 'X'.
$conn=fy_makeconn($fydb_type, $fydb_host, $fydb_user, $fydb_name);
$sql = "SELECT * FROM fy_secdb WHERE loginid = '$cookie_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows > 0)
{
	$perm=fy_getfield($fydb_type, $result_set, 0, "ir");
	$perm_edit=fy_getfield($fydb_type, $result_set, 0, "ir_edit");
} else {
	$perm = " ";
	$perm_edit = " ";
}

if ($perm != "X")
{
	fy_starthtml("Freemed-Yirc: Error","");
	fy_startwindow();
	fy_winprn("CENTER","","I'm sorry, but you don't have permission to access the Incident Report database.");
	fy_winback("","ir.php");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

# What we gotta do here first is put a 'tracking' record into fy_ir_track
# to show this person was here for this incident...
$temp=fy_putdate($fydb_type, date("m"), date("d"), date("y"));
$temp2=date("H:i");
$temp3=fy_conidlookup($conn, $cookie_id, $fydb_type, $fydb_name);
$temp4=fy_conloginidlookup($conn, $cookie_id, $fydb_type, $fydb_name);
$sql = "INSERT INTO fy_ir_track (FID, at_date, at_time, action, staff, staff_id) VALUES ($fy_id, '$temp', '$temp2', 'View', '$temp3','$temp4')";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);

# Get the data from fy_ir 
$sql = "SELECT * FROM fy_ir WHERE id = '$fy_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);

fy_starthtml("Freemed-YiRC: Incident Report Database","");
fy_startwindow();

#---Start Form---

fy_winprn("CENTER","2","<B>Incident Report</B>");

echo "<TR>";
echo "<TD COLSPAN=2>";
echo "<TABLE ALIGN=CENTER>";
echo "<TR>";

#---INCIDENT DATE---
echo "<TR>";
echo "<TH ALIGN=RIGHT>";
echo "Incident Date: ";
echo "</TH>";
echo "<TD>";
echo fy_getdate($fydb_type, fy_getfield($fydb_type, $result_set, 0, "incident_date"));
echo "</TD>";
echo "<TH ALIGN=RIGHT>";
echo "Date Reported: ";
echo "</TH>";
echo "<TD>";
echo fy_getdate($fydb_type, fy_getfield($fydb_type, $result_set, 0, "date_reported"));
echo "</TD>";
echo "</TR>";
	
#---INCIDENT TIME---
echo "<TR>";
echo "<TH ALIGN=RIGHT>";
echo "Incident Time: ";
echo "</TH>";
echo "<TD>";
echo fy_gettime(fy_getfield($fydb_type, $result_set, 0, "incident_time"));
echo "</TD>";
echo "<TH ALIGN=RIGHT>";
echo "Time Reported: ";
echo "</TH>";
echo "<TD>";
echo fy_gettime(fy_getfield($fydb_type, $result_set, 0, "time_reported"));
echo "</TD>";
echo "</TR>";

#---INCIDENT END TIME---
echo "<TR>";
echo "<TH ALIGN=RIGHT>";
echo "Incident End Time: ";
echo "</TH>";
echo "<TD>";
echo fy_gettime(fy_getfield($fydb_type, $result_set, 0, "incident_time_end"));
echo "</TD>";
echo "</TR>";

#---STAFF---
echo "<TR>";
echo "<TH ALIGN=RIGHT>";
echo "Staff: ";
echo "</TH>";
echo "<TD>";
echo fy_getfield($fydb_type, $result_set, 0, "staff");
echo "</TD>";
echo "</TR>";

#---RESIDENT---
echo "<TR>";
echo "<TH ALIGN=RIGHT>";
echo "Resident: ";
echo "</TH>";
echo "<TD>";
echo fy_getfield($fydb_type, $result_set, 0, "resident");
echo "</TD>";
echo "</TR>";

#---GROUP HOME---
echo "<TR>";
echo "<TH ALIGN=RIGHT>";
echo "Group Home: ";
echo "</TH>";
echo "<TD>";
echo fy_getfield($fydb_type, $result_set, 0, "group_home");
echo "</TD>";
echo "</TR>";

#---AT GROUP HOME---
echo "<TR>";
echo "<TH ALIGN=RIGHT>";
echo "At Group Home? ";
echo "</TH>";
echo "<TD>";
if (fy_getfield($fydb_type, $result_set, 0, "at_group_home") == "X")
{
	echo "Yes";
	echo "</TD>";
	echo "</TR>";
} else {
	echo "No";
	echo "</TD>";
	echo "</TR>";

	echo "<TR>";
	echo "<TH>";
	echo "Incident Address: ";
	echo "</TH>";
	echo "<TD COLSPAN=3>";
	echo fy_getfield($fydb_type, $result_set, 0, "incident_address");
	echo "</TD>";
	echo "</TR>";
}

echo "</TABLE>";
echo "</TD>";
echo "</TR>";

#-=-=- BEGIN CATEGORIES -=-=-

fy_winprn("CENTER","2","<HR>");
fy_winprn("CENTER","2","<B>Categories:</B>");
fy_winprn("CENTER","4","<BR><P>");

# Get the data from fy_ir_cat
$sql = "SELECT * FROM fy_ir_cat WHERE fid = '$fy_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);

echo "<TR>";
echo "<TD COLSPAN=2>";
echo "<TABLE ALIGN=CENTER>";
echo "<TR>";

#---NEEDED PCI---
echo "<TH ALIGN=RIGHT>";
echo "Needed PCI?";
echo "</TH>";
echo "<TD>";
echo fy_getfield($fydb_type, $result_set, 0, "needed_pci");
echo "</TD>";

#---TEMPER TANTRUM---
echo "<TH ALIGN=RIGHT>";
echo "Temper Tantrum";
echo "</TH>";
echo "<TD>";
echo fy_getfield($fydb_type, $result_set, 0, "temper_tantrum");
echo "</TD>";

echo "</TR>";
echo "<TR>";

#---STEALING---
echo "<TH ALIGN=RIGHT>";
echo "Stealing";
echo "</TH>";
echo "<TD>";
echo fy_getfield($fydb_type, $result_set, 0, "stealing");
echo "</TD>";

#---PROPERTY DAMAGE---
echo "<TH ALIGN=RIGHT>";
echo "Property Damage";
echo "</TH>";
echo "<TD>";
echo fy_getfield($fydb_type, $result_set, 0, "property_damage");
echo "</TD>";

echo "</TR>";
echo "<TR>";

#---INJURY SELF---
echo "<TH ALIGN=RIGHT>";
echo "Injury/Self";
echo "</TH>";
echo "<TD>";
echo fy_getfield($fydb_type, $result_set, 0, "injury_self");
echo "</TD>";

#---INJURY OTHER---
echo "<TH ALIGN=RIGHT>";
echo "Injury/Other";
echo "</TH>";
echo "<TD>";
echo fy_getfield($fydb_type, $result_set, 0, "injury_other");
echo "</TD>";

echo "</TR>";
echo "<TR>";

#---FIGHTING---
echo "<TH ALIGN=RIGHT>";
echo "Fighting";
echo "</TH>";
echo "<TD>";
echo fy_getfield($fydb_type, $result_set, 0, "fighting");
echo "</TD>";

#---DRUG---
echo "<TH ALIGN=RIGHT>";
echo "Drug";
echo "</TH>";
echo "<TD>";
echo fy_getfield($fydb_type, $result_set, 0, "drug");
echo "</TD>";

echo "</TR>";
echo "<TR>";

#---ALCOHOL---
echo "<TH ALIGN=RIGHT>";
echo "Alcohol";
echo "</TH>";
echo "<TD>";
echo fy_getfield($fydb_type, $result_set, 0, "alcohol");
echo "</TD>";

#---AWOL---
echo "<TH ALIGN=RIGHT>";
echo "AWOL";
echo "</TH>";
echo "<TD>";
echo fy_getfield($fydb_type, $result_set, 0, "awol");
echo "</TD>";

echo "</TR>";
echo "<TR>";

#---CAR WO PERMISSION---
echo "<TH ALIGN=RIGHT>";
echo "Car WO Permission";
echo "</TH>";
echo "<TD>";
echo fy_getfield($fydb_type, $result_set, 0, "car_wo_permission");
echo "</TD>";

#---VERBAL ABUSE---
echo "<TH ALIGN=RIGHT>";
echo "Verbal Abuse";
echo "</TH>";
echo "<TD>";
echo fy_getfield($fydb_type, $result_set, 0, "verbal_abuse");
echo "</TD>";

echo "</TR>";
echo "<TR>";

#---OTHER---
echo "<TH ALIGN=RIGHT>";
echo "Other";
echo "</TH>";
echo "<TD>";
echo fy_getfield($fydb_type, $result_set, 0, "other");
echo "</TD>";

#---CIR---
echo "<TH ALIGN=RIGHT>";
echo "Critical?";
echo "</TH>";
echo "<TD>";
echo fy_getfield($fydb_type, $result_set, 0, "cir");
echo "</TD>";

echo "</TR>";

fy_winprn("CENTER","2","");

#-=-=- END CATEGORIES -=-=-

#-=-=- BEGIN TEMPER TANTRUM -=-=-

# Get the data from fy_ir_tt
$sql = "SELECT * FROM fy_ir_tt WHERE fid = '$fy_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);

fy_winprn("CENTER","4","<HR>");
fy_winprn("CENTER","4","<B>Temper Tantrum</B>");
fy_winprn("CENTER","4","<B>Sub Categories</B>");
fy_winprn("CENTER","4","<BR><P>");

echo "<TR>";

#---PRE-TANTRUM ANXIETY---
echo "<TH ALIGN=RIGHT>";
echo "Pre-Tantrum Anxiety";
echo "</TH>";
echo "<TD>";
echo fy_getfield($fydb_type, $result_set, 0, "pre_tantrum_anxiety");
echo "</TD>";

#---STAFF SUPPORTIVE---
echo "<TH ALIGN=RIGHT>";
echo "Staff Supportive";
echo "</TH>";
echo "<TD>";
echo fy_getfield($fydb_type, $result_set, 0, "staff_supportive");
echo "</TD>";

echo "</TR>";
echo "<TR>";

#---INTER-PERSONAL CONFLICT---
echo "<TH ALIGN=RIGHT>";
echo "Inter-Personal conflict";
echo "</TH>";
echo "<TD>";
echo fy_getfield($fydb_type, $result_set, 0, "inter_personal_conflict");
echo "</TD>";

#---STAFF DIRECTIVE---
echo "<TH ALIGN=RIGHT>";
echo "Staff Directive";
echo "</TH>";
echo "<TD>";
echo fy_getfield($fydb_type, $result_set, 0, "staff_directive");
echo "</TD>";

echo "</TR>";
echo "<TR>";

#---EITHER/OR STAGE---
echo "<TH ALIGN=RIGHT>";
echo "Either/Or Stage";
echo "</TH>";
echo "<TD>";
echo fy_getfield($fydb_type, $result_set, 0, "either_or_stage");
echo "</TD>";

#---STAFF MAINTAINS STRUCTURE & CALM---
echo "<TH ALIGN=RIGHT>";
echo "Staff Maintains Structure & Calm";
echo "</TH>";
echo "<TD>";
echo fy_getfield($fydb_type, $result_set, 0, "staff_maintains");
echo "</TD>";

echo "</TR>";
echo "<TR>";

#---DEFIANT STAGE---
echo "<TH ALIGN=RIGHT>";
echo "Defiant Stage";
echo "</TH>";
echo "<TD>";
echo fy_getfield($fydb_type, $result_set, 0, "defiant_stage");
echo "</TD>";

#---HELPED RESIDENT SEE END TO TT---
echo "<TH ALIGN=RIGHT>";
echo "Helped Resident See End to TT";
echo "</TH>";
echo "<TD>";
echo fy_getfield($fydb_type, $result_set, 0, "helped_resident");
echo "</TD>";

echo "</TR>";
echo "<TR>";

#---AGGRESSION TO DEPRESSION---
echo "<TH ALIGN=RIGHT>";
echo "Aggression To Depression";
echo "</TH>";
echo "<TD>";
echo fy_getfield($fydb_type, $result_set, 0, "aggression_to_depression");
echo "</TD>";

#---STAFF INTERVENTION BRIEF, CALM---
echo "<TH ALIGN=RIGHT>";
echo "Staff Intervention Brief, Calm";
echo "</TH>";
echo "<TD>";
echo fy_getfield($fydb_type, $result_set, 0, "staff_intervention");
echo "</TD>";

echo "</TR>";
echo "<TR>";

#---POST TANTRUM STAGE---
echo "<TH ALIGN=RIGHT>";
echo "Post Tantrum Stage";
echo "</TH>";
echo "<TD>";
echo fy_getfield($fydb_type, $result_set, 0, "post_tantrum_stage");
echo "</TD>";

#---STAFF TAUGHT STAGES OF TT---
echo "<TH ALIGN=RIGHT>";
echo "Staff Taught Stages of TT";
echo "</TH>";
echo "<TD>";
echo fy_getfield($fydb_type, $result_set, 0, "staff_taught_stages");
echo "</TD>";

echo "</TR>";

#---TT OTHER---
echo "<TR>";
echo "<TH ALIGN=LEFT COLSPAN=4>";
echo "TT Other: ";
echo "</TH>";
echo "</TR>";
echo "<TR>";
echo "<TD ALIGN=LEFT COLSPAN=4>";
echo fy_getfield($fydb_type, $result_set, 0, "tt_other");
echo "</TD>";
echo "</TR>";

fy_winprn("CENTER","2","");

#-=-=- END TEMPER TANTRUM -=-=-

#-=-=- BEGIN PCI -=-=-

# Get the data from fy_ir_pci
$sql = "SELECT * FROM fy_ir_pci WHERE fid = '$fy_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);

fy_winprn("CENTER","4","<HR>");
fy_winprn("CENTER","4","<B>PCI Subcategories</B>");
fy_winprn("CENTER","4","<BR><P>");

#---ANXIETY STAGE - STAFF SUPPORTIVE---
echo "<TR>";
echo "<TD ALIGN=LEFT COLSPAN=4>";
echo fy_getfield($fydb_type, $result_set, 0, "anxiety_stage");
echo " <B>Anxiety Stage - Staff Supportive</B>";
echo "</TD>";
echo "</TR>";

#---YOUTH DEFENSIVE - STAFF DIRECTIVE---
echo "<TR>";
echo "<TD ALIGN=LEFT COLSPAN=4>";
echo fy_getfield($fydb_type, $result_set, 0, "youth_defensive");
echo " <B>Youth Defensive - Staff Directive</B>";
if (fy_getfield($fydb_type, $result_set, 0, "defensive_level") <> 0)
{echo " (";}
if (fy_getfield($fydb_type, $result_set, 0, "defensive_level") == 1)
{echo "Questioning";}
if (fy_getfield($fydb_type, $result_set, 0, "defensive_level") == 2)
{echo "Refusal";}
if (fy_getfield($fydb_type, $result_set, 0, "defensive_level") == 3)
{echo "Release";}
if (fy_getfield($fydb_type, $result_set, 0, "defensive_level") == 4)
{echo "Intimidation";}
if (fy_getfield($fydb_type, $result_set, 0, "defensive_level") == 5)
{echo "Tension-Reduction";}
if (fy_getfield($fydb_type, $result_set, 0, "defensive_level") <> 0)
{echo ")";}
echo "</TD>";
echo "</TR>";

#---A.O.P. - STAFF NONVIOLENT PCI---
echo "<TR>";
echo "<TD ALIGN=LEFT COLSPAN=4>";
echo fy_getfield($fydb_type, $result_set, 0, "aop");
echo " <B>A.O.P. - Staff Nonviolent PCI</B>";
echo "</TD>";
echo "</TR>";

#---TENSION-REDUCTION - STAFF THERAPEUTIC RAPPORT---
echo "<TR>";
echo "<TD ALIGN=LEFT COLSPAN=4>";
echo fy_getfield($fydb_type, $result_set, 0, "tension_reduction");
echo " <B>Tension-Reduction - Staff Therapeutic Rapport</B>";
echo "</TD>";
echo "</TR>";

#---LENGTH OF RESTRAINT---
echo "<TR>";
echo "<TD ALIGN=CENTER COLSPAN=4>";
echo "<B>Length of Restraint:</B> ";
if (fy_getfield($fydb_type, $result_set, 0, "length_of_restraint") == 1)
{echo "Less Than 15 Mins";}
if (fy_getfield($fydb_type, $result_set, 0, "length_of_restraint") == 2)
{echo "Less Than 30 Mins";}
if (fy_getfield($fydb_type, $result_set, 0, "length_of_restraint") == 3)
{echo "Less than 120 Mins";}
if (fy_getfield($fydb_type, $result_set, 0, "length_of_restraint") == 4)
{echo "More than 120 Mins";}
echo "</TD>";
echo "</TR>";

#---PCI OTHER---
echo "<TR>";
echo "<TH ALIGN=LEFT COLSPAN=4>";
echo "PCI Other: ";
echo "</TH>";
echo "</TR>";
echo "<TR>";
echo "<TD ALIGN=LEFT COLSPAN=4>";
echo fy_getfield($fydb_type, $result_set, 0, "pci_other");
echo "</TD>";
echo "</TR>";

fy_winprn("CENTER","2","");

#-=-=- END PCI -=-=-

# Get the data from fy_ir_othinv
$sql = "SELECT * FROM fy_ir_othinv WHERE fid = '$fy_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);

fy_winprn("CENTER","4","<HR>");
fy_winprn("CENTER","4","<B>Others Involved</B>");

$temp=fy_getfield($fydb_type, $result_set, 0, "othinv1");
if ($temp != "")
{
	echo "<TR>";
	echo "<TH ALIGN=RIGHT COLSPAN=2>";
	echo "Oth. Inv. 1: ";
	echo "</TH>";
	echo "<TD ALIGN=LEFT COLSPAN=2>";
	echo $temp;
	echo "</TD>";
	echo "<TR>";
}
$temp=fy_getfield($fydb_type, $result_set, 0, "othinv2");
if ($temp != "")
{
	echo "<TR>";
	echo "<TH ALIGN=RIGHT COLSPAN=2>";
	echo "Oth. Inv. 2: ";
	echo "</TH>";
	echo "<TD ALIGN=LEFT COLSPAN=2>";
	echo $temp;
	echo "</TD>";
	echo "<TR>";
}
$temp=fy_getfield($fydb_type, $result_set, 0, "othinv3");
if ($temp != "")
{
	echo "<TR>";
	echo "<TH ALIGN=RIGHT COLSPAN=2>";
	echo "Oth. Inv. 3: ";
	echo "</TH>";
	echo "<TD ALIGN=LEFT COLSPAN=2>";
	echo $temp;
	echo "</TD>";
	echo "<TR>";
}


fy_winprn("CENTER","4","<HR>");

# Get the data from fy_ir_sum
$sql = "SELECT * FROM fy_ir_sum WHERE fid = '$fy_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);

#---REMARKS-SUMMARY---
echo "<TR>";
echo "<TH ALIGN=LEFT COLSPAN=4>";
echo "Remarks-Summary: ";
echo "</TH>";
echo "</TR>";
echo "<TR>";
echo "<TD ALIGN=LEFT COLSPAN=4>";
echo ereg_replace("\n", "<BR>", fy_getfield($fydb_type, $result_set, 0, "remarks_summary"));
echo "</TD>";
echo "</TR>";

fy_winprn("CENTER","2","");

#---ACTION TAKEN---
echo "<TR>";
echo "<TH ALIGN=LEFT COLSPAN=4>";
echo "Action Taken:";
echo "</TH>";
echo "</TR>";
echo "<TR>";
echo "<TD ALIGN=LEFT COLSPAN=4>";
echo ereg_replace("\n", "<BR>", fy_getfield($fydb_type, $result_set, 0, "action_taken"));
echo "</TD>";
echo "</TR>";

fy_winprn("CENTER","2","");

#---OTHER REMARKS---
echo "<TR>";
echo "<TH ALIGN=LEFT COLSPAN=4>";
echo "Other Remarks:";
echo "</TH>";
echo "</TR>";
echo "<TR>";
echo "<TD ALIGN=LEFT COLSPAN=4>";
echo ereg_replace("\n", "<BR>", fy_getfield($fydb_type, $result_set, 0, "other_remarks"));
echo "</TD>";
echo "</TR>";

echo "</TABLE>";
echo "</TD>";
echo "</TR>";

fy_winback("2", "ir.php?fy_id=$fy_gh");

fy_endwindow("User: $cookie_user");
fy_endhtml();

?>
