<?php

include "freemed_yirc-vars.inc";
include "freemed_yirc-funcs.inc";

fy_cookiecheck($cookie_user);
fy_resetcookie($cookie_user, $cookie_id, $fy_cookietime);

# Connect to the database & do query
$conn=fy_makeconn($fydb_type, $fydb_host, $fydb_user, $fydb_name);
$sql="SELECT * FROM fy_secdb WHERE loginid='$cookie_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows < 1)
{
	$meta="<META HTTP-EQUIV=REFRESH CONTENT=10;URL=logout.php>";
	fy_starthtml("Freemed-YiRC: No Permissions",$meta);
	fy_startwindow();
	fy_winprn("CENTER","","I'm sorry, but you have no permission to use this system.");
	fy_winprn("CENTER","","You will be logged out in 10 seconds...");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

fy_starthtml("Freemed-YiRC: Main Menu","");
fy_startwindow();

# --- USER'S MENU ---
echo "<TR><TD ALIGN=CENTER><B>";
echo STRTOUPPER("$cookie_user's Menu");
echo "</B></TD></TR>";

# --- BLANK ---
fy_winprn("CENTER",""," ");

# --- Create Users ---
if (fy_getfield($fydb_type, $result_set, 0, "makeuser") == "X")
{
	fy_winprn("CENTER","","<A HREF=makeuser.php>Create User</A>");
}

# --- Enter Security Database ---
if (fy_getfield($fydb_type, $result_set, 0, "secdb") == "X")
{
	fy_winprn("CENTER","","<A HREF=secdb.php>Security Database</A>");
}

# --- Enter Group Database ---
if (fy_getfield($fydb_type, $result_set, 0, "groupdb") == "X")
{
	fy_winprn("CENTER","","<A HREF=groupdb.php>Group Database</A>");
}

# --- Enter Contact Database ---
if (fy_getfield($fydb_type, $result_set, 0, "con") == "X")
{
	fy_winprn("CENTER","","<A HREF=con.php>Contact Database</A>");
}

# --- Enter Contact Database ---
if (fy_getfield($fydb_type, $result_set, 0, "clinical_db") == "X")
{
	fy_winprn("CENTER","","<A HREF=clinicaldb.php>Clinical Databases</A>");
}

# -=-=-=-=- GROUP MENUS -=-=-=-=-

$loginid=fy_conloginidlookup($conn, $cookie_id, $fydb_type, $fydb_name);
$sql="SELECT * FROM fy_con_groups WHERE fid='$loginid'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows > 0)
{
	echo "<TR><TD ALIGN=CENTER><I>";
	echo STRTOUPPER("Group Menus");
	echo "</I></TD></TR>";
}

for ($jr=0; $jr < $rows; $jr++)
{
	echo "<TR><TD ALIGN=CENTER>";
	echo "<A HREF=grouphome.php?fy_id=";
	echo fy_getfield($fydb_type, $result_set, $jr, "group_id");
	echo ">";
	$temp=fy_getfield($fydb_type, $result_set, $jr, "group_id");
	echo UCWORDS(fy_ghshortnamelookup($conn, $temp, $fydb_type, $fydb_name));
	echo "</TD></TR>";
}

# -=-=-=-=- GENERAL UTILITIES -=-=-=-=-
echo "<TR><TD ALIGN=CENTER><I>";
echo STRTOUPPER("General Utilities");
echo "</I></TD></TR>";

$fy_spell2=STRTOLOWER($fy_spell);
if ($fy_spell2 == "enable" or $fy_spell2 == "menu")
{
	fy_winprn("CENTER","","<A HREF=spellindex.php?gr_back=main.php>Spell Checker</A>");
}

fy_endwindow("User: $cookie_user");
fy_endhtml();

?>
