<?php

include "freemed_yirc-vars.inc";
include "freemed_yirc-funcs.inc";

fy_cookiecheck($cookie_user);
fy_resetcookie($cookie_user, $cookie_id, $fy_cookietime);

# Check out $cookie_id with the secdb.  Make sure 'secdb' = 'X'.
$conn=fy_makeconn($fydb_type, $fydb_host, $fydb_user, $fydb_name);
$sql = "SELECT * FROM fy_secdb WHERE loginid = '$cookie_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows > 0)
{
	$perm=fy_getfield($fydb_type, $result_set, 0, "secdb");
	$perm_edit=fy_getfield($fydb_type, $result_set, 0, "secdb_edit");
} else {
	$perm = " ";
	$perm_edit = " ";
}

if ($perm != "X")
{
	fy_starthtml("Freemed-Yirc: Error","");
	fy_startwindow();
	fy_winprn("CENTER","","I'm sorry, but you don't have permission to enter the security database.");
	fy_winback("","main.php");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

fy_starthtml("Freemed-YiRC: Security Database","");
fy_startwindow();

# --- "Security Database" ---
fy_winprn("CENTER","","<B>Security Database</B>");

# --- BLANK ---
fy_winprn("CENTER",""," ");

# Display the contents of the security database.
$sql = "SELECT * FROM fy_secdb ORDER BY id";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

# Start the table...
echo "<TR><TD>";
echo "<TABLE BORDER>";

# Display the table fieldnames.
echo "<TR>";
echo "<TH> </TH>";
echo "<TH COLSPAN=5>Admin</TH>";
echo "<TH COLSPAN=3>Con</TH>";
echo "<TH COLSPAN=6>IR</TH>";
echo "<TH COLSPAN=4>Clinical<BR>Therapist</TH>";
echo "</TR>";
echo "<TR>";
echo "<TH>Login ID</TH>";
echo "<TH>Make<BR>User</TH>";
echo "<TH>SecDB</TH>";
echo "<TH>SecDB<BR>Edit</TH>";
echo "<TH>GroupDB</TH>";
echo "<TH>GroupDB<BR>Edit</TH>";
echo "<TH>Con</TH>";
echo "<TH>Con<BR>Edit</TH>";
echo "<TH>Con<BR>HR</TH>";
echo "<TH>IR</TH>";
echo "<TH>IR<BR>Enter</TH>";
echo "<TH>IR<BR>Edit</TH>";
echo "<TH>IR<BR>Edit Admin</TH>";
echo "<TH>IR<BR>Merge</TH>";
echo "<TH>IR<BR>Admin</TH>";
echo "<TH>Clinical<BR>DB</TH>";
echo "<TH>Clinical<BR>CCN<BR>Design</TH>";
echo "<TH>Clinical<BR>Therapist</TH>";
echo "<TH>Clinical<BR>Admin</TH>";

if ($perm_edit == "X")
{
	echo "<TD>";
	echo "";
	echo "</TD>";
}
echo "</TR>";


$jr2=0;
# Display the rows...
for ($jr=0; $jr < $rows; $jr++)
{
	if ($jr2 == 0) {$bgcolor=$bgcolor1;$jr2=1;} else {$bgcolor=$bgcolor2;$jr2=0;};
	echo "<TR BGCOLOR=$bgcolor>";
	echo "<TD>".fy_idlookup($conn,fy_getfield($fydb_type, $result_set, $jr, "loginid"),$fydb_type,$fydb_name)."</TD>";
	echo "<TD>".fy_xorblank(fy_getfield($fydb_type, $result_set, $jr, "makeuser"))."</TD>";
	echo "<TD>".fy_xorblank(fy_getfield($fydb_type, $result_set, $jr, "secdb"))."</TD>";
	echo "<TD>".fy_xorblank(fy_getfield($fydb_type, $result_set, $jr, "secdb_edit"))."</TD>";
	echo "<TD>".fy_xorblank(fy_getfield($fydb_type, $result_set, $jr, "groupdb"))."</TD>";
	echo "<TD>".fy_xorblank(fy_getfield($fydb_type, $result_set, $jr, "groupdb_edit"))."</TD>";
	echo "<TD>".fy_xorblank(fy_getfield($fydb_type, $result_set, $jr, "con"))."</TD>";
	echo "<TD>".fy_xorblank(fy_getfield($fydb_type, $result_set, $jr, "con_edit"))."</TD>";
	echo "<TD>".fy_xorblank(fy_getfield($fydb_type, $result_set, $jr, "con_hr"))."</TD>";
	echo "<TD>".fy_xorblank(fy_getfield($fydb_type, $result_set, $jr, "ir"))."</TD>";
	echo "<TD>".fy_xorblank(fy_getfield($fydb_type, $result_set, $jr, "ir_enter"))."</TD>";
	echo "<TD>".fy_xorblank(fy_getfield($fydb_type, $result_set, $jr, "ir_edit"))."</TD>";
	echo "<TD>".fy_xorblank(fy_getfield($fydb_type, $result_set, $jr, "ir_edit_admin"))."</TD>";
	echo "<TD>".fy_xorblank(fy_getfield($fydb_type, $result_set, $jr, "ir_merge"))."</TD>";
	echo "<TD>".fy_xorblank(fy_getfield($fydb_type, $result_set, $jr, "ir_admin"))."</TD>";
	echo "<TD>".fy_xorblank(fy_getfield($fydb_type, $result_set, $jr, "clinical_db"))."</TD>";
	echo "<TD>".fy_xorblank(fy_getfield($fydb_type, $result_set, $jr, "clinical_ccn"))."</TD>";
	echo "<TD>".fy_xorblank(fy_getfield($fydb_type, $result_set, $jr, "clinical_therapist"))."</TD>";
	echo "<TD>".fy_xorblank(fy_getfield($fydb_type, $result_set, $jr, "clinical_admin"))."</TD>";
	if ($perm_edit == "X")
	{
		echo "<TD>";
		echo "<A HREF=secdb_mod.php?fy_id=";
		echo fy_getfield($fydb_type, $result_set, $jr, "id");
		echo ">Modify</A>";
		echo "<BR>";
		echo "<A HREF=delete.php?v_sdb=secdb_edit&v_tbl=fy_secdb&v_id=";
		echo fy_getfield($fydb_type, $result_set, $jr, "id");
		echo "&v_back=secdb.php>";
		echo "Delete</A>";
		echo "</TD>";
	}
	echo "</TR>";
}

# End the table....
echo "</TABLE>";
echo "</TR></TD>";

if ($perm_edit == "X")
{
	fy_winprn("CENTER","","<A HREF=secdb_add.php>Add Entry</A>");
}

fy_winback("","main.php");

fy_endwindow("User: $cookie_user");
fy_endhtml();

?>
