<?php

include "freemed_yirc-vars.inc";
include "freemed_yirc-funcs.inc";

fy_cookiecheck($cookie_user);
fy_resetcookie($cookie_user, $cookie_id, $fy_cookietime);

# Check out $cookie_id with the secdb.  Make sure 'secdb_edit' = 'X'.
$conn=fy_makeconn($fydb_type, $fydb_host, $fydb_user, $fydb_name);
$sql = "SELECT * FROM fy_secdb WHERE loginid = '$cookie_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows > 0)
{
	$perm=fy_getfield($fydb_type, $result_set, 0, "secdb_edit");
} else {
	$perm = " ";
}

if ($perm != "X")
{
	fy_starthtml("Freemed-Yirc: Error","");
	fy_startwindow();
	fy_winprn("CENTER","","I'm sorry, but you don't have permission to edit the security database.");
	fy_winback("","main.php");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

# Make sure there are users to add security records for...
$sql = "SELECT * FROM fy_users";
$result_set1=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows1=fy_resultrows($fydb_type, $result_set1);
$sql = "SELECT * FROM fy_secdb";
$result_set2=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows2=fy_resultrows($fydb_type, $result_set2);
$tot_recs=0;
for ($jr1=0; $jr1 < $rows1; $jr1++)
{
	$ef=0;
	$ji1=fy_getfield($fydb_type, $result_set1, $jr1, "id");
	
	for ($jr2=0; $jr2 < $rows2; $jr2++)
	{
		$ji2=fy_getfield($fydb_type, $result_set2, $jr2, "loginid");
		if ($ji1 == $ji2)
		{
			$ef=1;
		}
	}
	if ($ef == 0)
	{
		$tot_recs++;
	}
}

if ($tot_recs == 0)
{
	fy_starthtml("Freemed-Yirc: Error","");
	fy_startwindow();
	fy_winprn("CENTER","","There are no users to create a new security record for.");
	fy_winback("","secdb.php");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}


fy_starthtml("Freemed-YiRC: Security Database","");
fy_startwindow();

# --- "Security Database" ---
fy_winprn("CENTER","3","<B>Add Entry to Security Database</B>");

#---Start Form---
echo "<FORM ACTION=secdb_add2.php METHOD=POST>";

#---loginid---
echo "<TR>";
echo "<TD ALIGN=CENTER COLSPAN=3>";
echo "Login: ";
echo "<SELECT NAME=gr_login>";

for ($jr1=0; $jr1 < $rows1; $jr1++)
{
	$ef=0;
	$ji1=fy_getfield($fydb_type, $result_set1, $jr1, "id");
	
	for ($jr2=0; $jr2 < $rows2; $jr2++)
	{
		$ji2=fy_getfield($fydb_type, $result_set2, $jr2, "loginid");
		if ($ji1 == $ji2)
		{
			$ef=1;
		}
	}
	if ($ef == 0)
	{
		echo "<OPTION VALUE=$ji1>";
		echo fy_idlookup($conn,$ji1,$fydb_type,$fydb_name);
	}
}

echo "</SELECT>";
echo "</TD>";
echo "</TR>";

fy_winprn("CENTER","2","<B>Admin</B>");

#---TopAdmin---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Top Admin?";
echo "</TD>";
echo "<TD>";
echo "[<A HREF=secdb_help.php?fy_id=topadmin TARGET=_new>?</A>]";
echo "</TD>";
echo "<TD>";
echo "<INPUT TYPE=checkbox NAME=gr_topadmin VALUE=X>";
echo "</TD>";
echo "</TR>";

#---MakeUser---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Make User?";
echo "</TD>";
echo "<TD>";
echo "[<A HREF=secdb_help.php?fy_id=makeuser TARGET=_new>?</A>]";
echo "</TD>";
echo "<TD>";
echo "<INPUT TYPE=checkbox NAME=gr_makeuser VALUE=X>";
echo "</TD>";
echo "</TR>";

#---SecDB---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "View Security DB?";
echo "</TD>";
echo "<TD>";
echo "[<A HREF=secdb_help.php?fy_id=secdb TARGET=_new>?</A>]";
echo "</TD>";
echo "<TD>";
echo "<INPUT TYPE=checkbox NAME=gr_secdb VALUE=X>";
echo "</TD>";
echo "</TR>";

#---SecDB_Edit---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Edit Security DB?";
echo "</TD>";
echo "<TD>";
echo "[<A HREF=secdb_help.php?fy_id=secdb_edit TARGET=_new>?</A>]";
echo "</TD>";
echo "<TD>";
echo "<INPUT TYPE=checkbox NAME=gr_secdb_edit VALUE=X>";
echo "</TD>";
echo "</TR>";

#---GroupDB---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "View Group DB?";
echo "</TD>";
echo "<TD>";
echo "[<A HREF=secdb_help.php?fy_id=groupdb TARGET=_new>?</A>]";
echo "</TD>";
echo "<TD>";
echo "<INPUT TYPE=checkbox NAME=gr_groupdb VALUE=X>";
echo "</TD>";
echo "</TR>";

#---GroupDB_Edit---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Edit Group DB?";
echo "</TD>";
echo "<TD>";
echo "[<A HREF=secdb_help.php?fy_id=groupdb_edit TARGET=_new>?</A>]";
echo "</TD>";
echo "<TD>";
echo "<INPUT TYPE=checkbox NAME=gr_groupdb_edit VALUE=X>";
echo "</TD>";
echo "</TR>";

fy_winprn("CENTER","2","<B>Con</B>");

#---Con---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "View Contact DB?";
echo "</TD>";
echo "<TD>";
echo "[<A HREF=secdb_help.php?fy_id=con TARGET=_new>?</A>]";
echo "</TD>";
echo "<TD>";
echo "<INPUT TYPE=checkbox NAME=gr_con VALUE=X>";
echo "</TD>";
echo "</TR>";

#---Con_Edit---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Edit Contact DB?";
echo "</TD>";
echo "<TD>";
echo "[<A HREF=secdb_help.php?fy_id=con_edit TARGET=_new>?</A>]";
echo "</TD>";
echo "<TD>";
echo "<INPUT TYPE=checkbox NAME=gr_con_edit VALUE=X>";
echo "</TD>";
echo "</TR>";

#---Con_HR---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Contact HR Priv?";
echo "</TD>";
echo "<TD>";
echo "[<A HREF=secdb_help.php?fy_id=con_hr TARGET=_new>?</A>]";
echo "</TD>";
echo "<TD>";
echo "<INPUT TYPE=checkbox NAME=gr_con_hr VALUE=X>";
echo "</TD>";
echo "</TR>";

fy_winprn("CENTER","2","<B>IR</B>");

#---IR---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "View IR DB?";
echo "</TD>";
echo "<TD>";
echo "[<A HREF=secdb_help.php?fy_id=ir TARGET=_new>?</A>]";
echo "</TD>";
echo "<TD>";
echo "<INPUT TYPE=checkbox NAME=gr_ir VALUE=X>";
echo "</TD>";
echo "</TR>";

#---IR_Enter---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Enter IRs?";
echo "</TD>";
echo "<TD>";
echo "[<A HREF=secdb_help.php?fy_id=ir_enter TARGET=_new>?</A>]";
echo "</TD>";
echo "<TD>";
echo "<INPUT TYPE=checkbox NAME=gr_ir_enter VALUE=X>";
echo "</TD>";
echo "</TR>";

#---IR_Edit---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Edit IR DB?";
echo "</TD>";
echo "<TD>";
echo "[<A HREF=secdb_help.php?fy_id=ir_edit TARGET=_new>?</A>]";
echo "</TD>";
echo "<TD>";
echo "<INPUT TYPE=checkbox NAME=gr_ir_edit VALUE=X>";
echo "</TD>";
echo "</TR>";

#---IR_Edit_Admin---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Edit Admin?";
echo "</TD>";
echo "<TD>";
echo "[<A HREF=secdb_help.php?fy_id=ir_edit_admin TARGET=_new>?</A>]";
echo "</TD>";
echo "<TD>";
echo "<INPUT TYPE=checkbox NAME=gr_ir_edit_admin VALUE=X>";
echo "</TD>";
echo "</TR>";

#---IR_Merge---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Merge IRs?";
echo "</TD>";
echo "<TD>";
echo "[<A HREF=secdb_help.php?fy_id=ir_merge TARGET=_new>?</A>]";
echo "</TD>";
echo "<TD>";
echo "<INPUT TYPE=checkbox NAME=gr_ir_merge VALUE=X>";
echo "</TD>";
echo "</TR>";

#---IR_Admin---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Admin Priv?";
echo "</TD>";
echo "<TD>";
echo "[<A HREF=secdb_help.php?fy_id=ir_admin TARGET=_new>?</A>]";
echo "</TD>";
echo "<TD>";
echo "<INPUT TYPE=checkbox NAME=gr_ir_admin VALUE=X>";
echo "</TD>";
echo "</TR>";

fy_winprn("CENTER","2","<B>Clincal/Therapist</B>");

#---Clinical_Therapist---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Clinical Therapist?";
echo "</TD>";
echo "<TD>";
echo "[<A HREF=secdb_help.php?fy_id=clinical_therapist TARGET=_new>?</A>]";
echo "</TD>";
echo "<TD>";
echo "<INPUT TYPE=checkbox NAME=gr_clinical_therapist VALUE=X>";
echo "</TD>";
echo "</TR>";

#---Clinical_DB---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Access Clinical DBs?";
echo "</TD>";
echo "<TD>";
echo "[<A HREF=secdb_help.php?fy_id=clinical_db TARGET=_new>?</A>]";
echo "</TD>";
echo "<TD>";
echo "<INPUT TYPE=checkbox NAME=gr_clinical_db VALUE=X>";
echo "</TD>";
echo "</TR>";

#---Clinical_CCN---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Modify Clinical<BR>Casenote Design";
echo "</TD>";
echo "<TD>";
echo "[<A HREF=secdb_help.php?fy_id=clinical_ccn TARGET=_new>?</A>]";
echo "</TD>";
echo "<TD>";
echo "<INPUT TYPE=checkbox NAME=gr_clinical_ccn VALUE=X>";
echo "</TD>";
echo "</TR>";

#---Clinical_Admin---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "CCN Admin?";
echo "</TD>";
echo "<TD>";
echo "[<A HREF=secdb_help.php?fy_id=clinical_admin TARGET=_new>?</A>]";
echo "</TD>";
echo "<TD>";
echo "<INPUT TYPE=checkbox NAME=gr_clinical_admin VALUE=X>";
echo "</TD>";
echo "</TR>";

# ---Submit & Reset---
echo "<TR><TD COLSPAN=3 ALIGN=CENTER>";
echo "<INPUT TYPE=SUBMIT VALUE=Enter>";
echo "<INPUT TYPE=RESET VALUE=Clear>";
echo "</TD></TR>";

# ---End Form---
echo "</FORM>";

fy_wincancel("3", "secdb.php");

fy_endwindow("User: $cookie_user");
fy_endhtml();

?>
