<?php

include "freemed_yirc-vars.inc";
include "freemed_yirc-funcs.inc";

fy_cookiecheck($cookie_user);
fy_resetcookie($cookie_user, $cookie_id, $fy_cookietime);

# Check out $cookie_id with the secdb.  Make sure 'secdb_edit' = 'X'.
$conn=fy_makeconn($fydb_type, $fydb_host, $fydb_user, $fydb_name);
$sql = "SELECT * FROM fy_secdb WHERE loginid = '$cookie_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows > 0)
{
	$perm=fy_getfield($fydb_type, $result_set, 0, "secdb_edit");
} else {
	$perm = " ";
}

if ($perm != "X")
{
	fy_starthtml("Freemed-Yirc: Error","");
	fy_startwindow();
	fy_winprn("CENTER","","I'm sorry, but you don't have permission to edit the security database.");
	fy_winback("", "secdb.php");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

fy_starthtml("Freemed-YiRC: Security Database","");
fy_startwindow();

fy_winprn("CENTER","3","<B>Modifying Entry from<BR>Security Database</B>");

$sql = "SELECT * FROM fy_secdb WHERE id = '$fy_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

#---Start Form---
echo "<FORM ACTION=secdb_mod2.php?fy_id=$fy_id METHOD=POST>";

#---Login---
echo "<TR>";
echo "<TD ALIGN=CENTER COLSPAN=3>";
echo "Login: ";
$loginid=fy_getfield($fydb_type, $result_set, 0, "loginid");
echo fy_idlookup($conn,$loginid,$fydb_type,$fydb_name);
echo "<INPUT TYPE=HIDDEN NAME=fy_id VALUE=$loginid>";
echo "</TD>";
echo "</TR>";

fy_winprn("CENTER","3","<B>Admin</B>");

#---TopAdmin---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Top Admin?";
echo "</TD>";
echo "<TD>";
echo "[<A HREF=secdb_help.php?fy_id=topadmin TARGET=_new>?</A>]";
echo "</TD>";
echo "<TD>";
$temp=trim(fy_getfield($fydb_type, $result_set, 0, "topadmin"));
if ($temp == "X")
{
	echo "<INPUT TYPE=radio NAME=gr_topadmin VALUE=\"\">No";
	echo "<INPUT TYPE=radio NAME=gr_topadmin VALUE=\"X\" CHECKED>Yes";
} else {
	echo "<INPUT TYPE=radio NAME=gr_topadmin VALUE=\"\" CHECKED>No";
	echo "<INPUT TYPE=radio NAME=gr_topadmin VALUE=\"X\">Yes";
}
echo "</TD>";
echo "</TR>";


#---MakeUser---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Make User?";
echo "</TD>";
echo "<TD>";
echo "[<A HREF=secdb_help.php?fy_id=makeuser TARGET=_new>?</A>]";
echo "</TD>";
echo "<TD>";
$temp=trim(fy_getfield($fydb_type, $result_set, 0, "makeuser"));
if ($temp == "X")
{
	echo "<INPUT TYPE=radio NAME=gr_makeuser VALUE=\"\">No";
	echo "<INPUT TYPE=radio NAME=gr_makeuser VALUE=\"X\" CHECKED>Yes";
} else {
	echo "<INPUT TYPE=radio NAME=gr_makeuser VALUE=\"\" CHECKED>No";
	echo "<INPUT TYPE=radio NAME=gr_makeuser VALUE=\"X\">Yes";
}
echo "</TD>";
echo "</TR>";

#---SecDB---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "View Security DB?";
echo "</TD>";
echo "<TD>";
echo "[<A HREF=secdb_help.php?fy_id=secdb TARGET=_new>?</A>]";
echo "</TD>";
echo "<TD>";
$temp=trim(fy_getfield($fydb_type, $result_set, 0, "secdb"));
if ($temp == "X")
{
	echo "<INPUT TYPE=radio NAME=gr_secdb VALUE=\"\">No";
	echo "<INPUT TYPE=radio NAME=gr_secdb VALUE=\"X\" CHECKED>Yes";
} else {
	echo "<INPUT TYPE=radio NAME=gr_secdb VALUE=\"\" CHECKED>No";
	echo "<INPUT TYPE=radio NAME=gr_secdb VALUE=\"X\">Yes";
}
echo "</TD>";
echo "</TR>";

#---SecDB_Edit---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Edit Security DB?";
echo "</TD>";
echo "<TD>";
echo "[<A HREF=secdb_help.php?fy_id=secdb_edit TARGET=_new>?</A>]";
echo "</TD>";
echo "<TD>";
$temp=trim(fy_getfield($fydb_type, $result_set, 0, "secdb_edit"));
if ($temp == "X")
{
	echo "<INPUT TYPE=radio NAME=gr_secdb_edit VALUE=\"\">No";
	echo "<INPUT TYPE=radio NAME=gr_secdb_edit VALUE=\"X\" CHECKED>Yes";
} else {
	echo "<INPUT TYPE=radio NAME=gr_secdb_edit VALUE=\"\" CHECKED>No";
	echo "<INPUT TYPE=radio NAME=gr_secdb_edit VALUE=\"X\">Yes";
}
echo "</TD>";
echo "</TR>";

#---GroupDB---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "View Group DB?";
echo "</TD>";
echo "<TD>";
echo "[<A HREF=secdb_help.php?fy_id=groupdb TARGET=_new>?</A>]";
echo "</TD>";
echo "<TD>";
$temp=trim(fy_getfield($fydb_type, $result_set, 0, "groupdb"));
if ($temp == "X")
{
	echo "<INPUT TYPE=radio NAME=gr_groupdb VALUE=\"\">No";
	echo "<INPUT TYPE=radio NAME=gr_groupdb VALUE=\"X\" CHECKED>Yes";
} else {
	echo "<INPUT TYPE=radio NAME=gr_groupdb VALUE=\"\" CHECKED>No";
	echo "<INPUT TYPE=radio NAME=gr_groupdb VALUE=\"X\">Yes";
}
echo "</TD>";
echo "</TR>";

#---GroupDB_Edit---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Edit Group DB?";
echo "</TD>";
echo "<TD>";
echo "[<A HREF=secdb_help.php?fy_id=groupdb_edit TARGET=_new>?</A>]";
echo "</TD>";
echo "<TD>";
$temp=trim(fy_getfield($fydb_type, $result_set, 0, "groupdb_edit"));
if ($temp == "X")
{
	echo "<INPUT TYPE=radio NAME=gr_groupdb_edit VALUE=\"\">No";
	echo "<INPUT TYPE=radio NAME=gr_groupdb_edit VALUE=\"X\" CHECKED>Yes";
} else {
	echo "<INPUT TYPE=radio NAME=gr_groupdb_edit VALUE=\"\" CHECKED>No";
	echo "<INPUT TYPE=radio NAME=gr_groupdb_edit VALUE=\"X\">Yes";
}
echo "</TD>";
echo "</TR>";

fy_winprn("CENTER","3","<B>Con</B>");

#---Con---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "View Contact DB?";
echo "</TD>";
echo "<TD>";
echo "[<A HREF=secdb_help.php?fy_id=con TARGET=_new>?</A>]";
echo "</TD>";
echo "<TD>";
$temp=trim(fy_getfield($fydb_type, $result_set, 0, "con"));
if ($temp == "X")
{
	echo "<INPUT TYPE=radio NAME=gr_con VALUE=\"\">No";
	echo "<INPUT TYPE=radio NAME=gr_con VALUE=\"X\" CHECKED>Yes";
} else {
	echo "<INPUT TYPE=radio NAME=gr_con VALUE=\"\" CHECKED>No";
	echo "<INPUT TYPE=radio NAME=gr_con VALUE=\"X\">Yes";
}
echo "</TD>";
echo "</TR>";

#---Con_Edit---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Edit Contact DB?";
echo "</TD>";
echo "<TD>";
echo "[<A HREF=secdb_help.php?fy_id=con_edit TARGET=_new>?</A>]";
echo "</TD>";
echo "<TD>";
$temp=trim(fy_getfield($fydb_type, $result_set, 0, "con_edit"));
if ($temp == "X")
{
	echo "<INPUT TYPE=radio NAME=gr_con_edit VALUE=\"\">No";
	echo "<INPUT TYPE=radio NAME=gr_con_edit VALUE=\"X\" CHECKED>Yes";
} else {
	echo "<INPUT TYPE=radio NAME=gr_con_edit VALUE=\"\" CHECKED>No";
	echo "<INPUT TYPE=radio NAME=gr_con_edit VALUE=\"X\">Yes";
}
echo "</TD>";
echo "</TR>";

#---Con_HR---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Contact HR Priv?";
echo "</TD>";
echo "<TD>";
echo "[<A HREF=secdb_help.php?fy_id=con_hr TARGET=_new>?</A>]";
echo "</TD>";
echo "<TD>";
$temp=trim(fy_getfield($fydb_type, $result_set, 0, "con_hr"));
if ($temp == "X")
{
	echo "<INPUT TYPE=radio NAME=gr_con_hr VALUE=\"\">No";
	echo "<INPUT TYPE=radio NAME=gr_con_hr VALUE=\"X\" CHECKED>Yes";
} else {
	echo "<INPUT TYPE=radio NAME=gr_con_hr VALUE=\"\" CHECKED>No";
	echo "<INPUT TYPE=radio NAME=gr_con_hr VALUE=\"X\">Yes";
}
echo "</TD>";
echo "</TR>";

fy_winprn("CENTER","3","<B>IR</B>");

#---IR---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "View IR DB?";
echo "</TD>";
echo "<TD>";
echo "[<A HREF=secdb_help.php?fy_id=ir TARGET=_new>?</A>]";
echo "</TD>";
echo "<TD>";
$temp=trim(fy_getfield($fydb_type, $result_set, 0, "ir"));
if ($temp == "X")
{
	echo "<INPUT TYPE=radio NAME=gr_ir VALUE=\"\">No";
	echo "<INPUT TYPE=radio NAME=gr_ir VALUE=\"X\" CHECKED>Yes";
} else {
	echo "<INPUT TYPE=radio NAME=gr_ir VALUE=\"\" CHECKED>No";
	echo "<INPUT TYPE=radio NAME=gr_ir VALUE=\"X\">Yes";
}
echo "</TD>";
echo "</TR>";

#---IR_Enter---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Enter IR?";
echo "</TD>";
echo "<TD>";
echo "[<A HREF=secdb_help.php?fy_id=ir_enter TARGET=_new>?</A>]";
echo "</TD>";
echo "<TD>";
$temp=trim(fy_getfield($fydb_type, $result_set, 0, "ir_enter"));
if ($temp == "X")
{
	echo "<INPUT TYPE=radio NAME=gr_ir_enter VALUE=\"\">No";
	echo "<INPUT TYPE=radio NAME=gr_ir_enter VALUE=\"X\" CHECKED>Yes";
} else {
	echo "<INPUT TYPE=radio NAME=gr_ir_enter VALUE=\"\" CHECKED>No";
	echo "<INPUT TYPE=radio NAME=gr_ir_enter VALUE=\"X\">Yes";
}
echo "</TD>";
echo "</TR>";

#---IR_Edit---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Edit IR DB?";
echo "</TD>";
echo "<TD>";
echo "[<A HREF=secdb_help.php?fy_id=ir_edit TARGET=_new>?</A>]";
echo "</TD>";
echo "<TD>";
$temp=trim(fy_getfield($fydb_type, $result_set, 0, "ir_edit"));
if ($temp == "X")
{
	echo "<INPUT TYPE=radio NAME=gr_ir_edit VALUE=\"\">No";
	echo "<INPUT TYPE=radio NAME=gr_ir_edit VALUE=\"X\" CHECKED>Yes";
} else {
	echo "<INPUT TYPE=radio NAME=gr_ir_edit VALUE=\"\" CHECKED>No";
	echo "<INPUT TYPE=radio NAME=gr_ir_edit VALUE=\"X\">Yes";
}
echo "</TD>";
echo "</TR>";

#---IR_Edit_Admin---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Edit Admin?";
echo "</TD>";
echo "<TD>";
echo "[<A HREF=secdb_help.php?fy_id=ir_edit_admin TARGET=_new>?</A>]";
echo "</TD>";
echo "<TD>";
$temp=trim(fy_getfield($fydb_type, $result_set, 0, "ir_edit_admin"));
if ($temp == "X")
{
	echo "<INPUT TYPE=radio NAME=gr_ir_edit_admin VALUE=\"\">No";
	echo "<INPUT TYPE=radio NAME=gr_ir_edit_admin VALUE=\"X\" CHECKED>Yes";
} else {
	echo "<INPUT TYPE=radio NAME=gr_ir_edit_admin VALUE=\"\" CHECKED>No";
	echo "<INPUT TYPE=radio NAME=gr_ir_edit_admin VALUE=\"X\">Yes";
}
echo "</TD>";
echo "</TR>";

#---IR_Merge---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Merge IRs?";
echo "</TD>";
echo "<TD>";
echo "[<A HREF=secdb_help.php?fy_id=ir_merge TARGET=_new>?</A>]";
echo "</TD>";
echo "<TD>";
$temp=trim(fy_getfield($fydb_type, $result_set, 0, "ir_merge"));
if ($temp == "X")
{
	echo "<INPUT TYPE=radio NAME=gr_ir_merge VALUE=\"\">No";
	echo "<INPUT TYPE=radio NAME=gr_ir_merge VALUE=\"X\" CHECKED>Yes";
} else {
	echo "<INPUT TYPE=radio NAME=gr_ir_merge VALUE=\"\" CHECKED>No";
	echo "<INPUT TYPE=radio NAME=gr_ir_merge VALUE=\"X\">Yes";
}
echo "</TD>";
echo "</TR>";

#---IR_Admin---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Admin Priv?";
echo "</TD>";
echo "<TD>";
echo "[<A HREF=secdb_help.php?fy_id=ir_admin TARGET=_new>?</A>]";
echo "</TD>";
echo "<TD>";
$temp=trim(fy_getfield($fydb_type, $result_set, 0, "ir_admin"));
if ($temp == "X")
{
	echo "<INPUT TYPE=radio NAME=gr_ir_admin VALUE=\"\">No";
	echo "<INPUT TYPE=radio NAME=gr_ir_admin VALUE=\"X\" CHECKED>Yes";
} else {
	echo "<INPUT TYPE=radio NAME=gr_ir_admin VALUE=\"\" CHECKED>No";
	echo "<INPUT TYPE=radio NAME=gr_ir_admin VALUE=\"X\">Yes";
}
echo "</TD>";
echo "</TR>";

fy_winprn("CENTER","3","<B>Clinical/Therapist</B>");

#---Clinical_Therapist---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Clinical Therapist?";
echo "</TD>";
echo "<TD>";
echo "[<A HREF=secdb_help.php?fy_id=clinical_therapist TARGET=_new>?</A>]";
echo "</TD>";
echo "<TD>";
$temp=trim(fy_getfield($fydb_type, $result_set, 0, "clinical_therapist"));
if ($temp == "X")
{
	echo "<INPUT TYPE=radio NAME=gr_clinical_therapist VALUE=\"\">No";
	echo "<INPUT TYPE=radio NAME=gr_clinical_therapist VALUE=\"X\" CHECKED>Yes";
} else {
	echo "<INPUT TYPE=radio NAME=gr_clinical_therapist VALUE=\"\" CHECKED>No";
	echo "<INPUT TYPE=radio NAME=gr_clinical_therapist VALUE=\"X\">Yes";
}
echo "</TD>";
echo "</TR>";

#---Clinical_DB---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Access Clinical DBs?";
echo "</TD>";
echo "<TD>";
echo "[<A HREF=secdb_help.php?fy_id=clinical_db TARGET=_new>?</A>]";
echo "</TD>";
echo "<TD>";
$temp=trim(fy_getfield($fydb_type, $result_set, 0, "clinical_db"));
if ($temp == "X")
{
	echo "<INPUT TYPE=radio NAME=gr_clinical_db VALUE=\"\">No";
	echo "<INPUT TYPE=radio NAME=gr_clinical_db VALUE=\"X\" CHECKED>Yes";
} else {
	echo "<INPUT TYPE=radio NAME=gr_clinical_db VALUE=\"\" CHECKED>No";
	echo "<INPUT TYPE=radio NAME=gr_clinical_db VALUE=\"X\">Yes";
}
echo "</TD>";
echo "</TR>";

#---Clinical_CCN---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Modify Clinical<BR>Casenote Design";
echo "</TD>";
echo "<TD>";
echo "[<A HREF=secdb_help.php?fy_id=clinical_ccn TARGET=_new>?</A>]";
echo "</TD>";
echo "<TD>";
$temp=trim(fy_getfield($fydb_type, $result_set, 0, "clinical_ccn"));
if ($temp == "X")
{
	echo "<INPUT TYPE=radio NAME=gr_clinical_ccn VALUE=\"\">No";
	echo "<INPUT TYPE=radio NAME=gr_clinical_ccn VALUE=\"X\" CHECKED>Yes";
} else {
	echo "<INPUT TYPE=radio NAME=gr_clinical_ccn VALUE=\"\" CHECKED>No";
	echo "<INPUT TYPE=radio NAME=gr_clinical_ccn VALUE=\"X\">Yes";
}
echo "</TD>";
echo "</TR>";

#---Clinical_Admin---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "CCN Admin? ";
echo "</TD>";
echo "<TD>";
echo "[<A HREF=secdb_help.php?fy_id=clinical_admin TARGET=_new>?</A>]";
echo "</TD>";
echo "<TD>";
$temp=trim(fy_getfield($fydb_type, $result_set, 0, "clinical_admin"));
if ($temp == "X")
{
	echo "<INPUT TYPE=radio NAME=gr_clinical_admin VALUE=\"\">No";
	echo "<INPUT TYPE=radio NAME=gr_clinical_admin VALUE=\"X\" CHECKED>Yes";
} else {
	echo "<INPUT TYPE=radio NAME=gr_clinical_admin VALUE=\"\" CHECKED>No";
	echo "<INPUT TYPE=radio NAME=gr_clinical_admin VALUE=\"X\">Yes";
}
echo "</TD>";
echo "</TR>";



# ---Submit & Reset---
echo "<TR><TD COLSPAN=3 ALIGN=CENTER>";
echo "<INPUT TYPE=SUBMIT VALUE=Enter>";
echo "<INPUT TYPE=RESET VALUE=Clear>";
echo "</TD></TR>";

# ---End Form---
echo "</FORM>";


# --- BLANK ---
fy_wincancel("3","secdb.php");


fy_endwindow("User: $cookie_user");
fy_endhtml();

?>
