<?php

include "freemed_yirc-vars.inc";
include "freemed_yirc-funcs.inc";

fy_cookiecheck($cookie_user);
fy_resetcookie($cookie_user, $cookie_id, $fy_cookietime);

fy_starthtml("Freemed-YiRC: Spell Check","");
fy_startwindow();

$conn=fy_makeconn($fydb_type, $fydb_host, $fydb_user, $fydb_name);
$sql = "SELECT * FROM $gr_table WHERE id = '$gr_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

$gr_temp=fy_getfield($fydb_type, $result_set, 0, $gr_field);

echo "<P ALIGN=CENTER><B>Freemed-YiRC Spell Checker</B></P>";
echo "<HR>";

	# Strip the slashes from $gr_temp
	$gr_temp=stripslashes($gr_temp);

	# Take all newlines(\n) and make them a fake string for easier detection...
	$gr_temp=ereg_replace("\n"," _*X*_ ",$gr_temp);

	# Put it in a array....
	$gr_temp2=explode(" ",$gr_temp);

	# Set the Number Of Errors to 0
	$noe=0;

	### Put the spell checked text on the screen....
	echo "<B>Spell Checked Text:</B><BR>";
	# For every word in the $gr_temp array...
	for ($jr1 = 0; $jr1 < count($gr_temp2); $jr1++)
	{
		# If it's one of our fake newlines, output an HTML <BR> element...
		if ($gr_temp2[$jr1] == "_*X*_")
		{
			echo "<BR>";
		} else {
	
			# Let's reset our errorflag...
			$ef=0;
			# Format the shell command string to be executed by exec...
			$docommand="echo \"".addslashes($gr_temp2[$jr1])."\" | ispell -a | grep -v \"@\" | grep -v \"\*\" | grep -v  \"\+\"";
			# Remove any previous entity of $AllOutput...
			unset($AllOutput);
			# Run the exec command, place all output into $AllOutput
			exec("$docommand", $AllOutput, $ReturnValue);
			# If more than 1 lines were returned, there was a spelling error
			# from ispell!!!
			if (count($AllOutput) > 1)
			{
				# Turn on the ErrorFlag
				$ef=1;
			}

			# Was there an error??? 
			if ($ef == 0)
			{
				# NO: Display the word normally...
				echo "$gr_temp2[$jr1] ";
			} else {
				# YES: Display the word as bold and in red!
				$spellerror[$noe] = $gr_temp2[$jr1];
				$spellerror2[$noe] = $jr1;
				echo "<A HREF=#err$noe>";
				echo "<B><FONT COLOR=FF0000>$gr_temp2[$jr1] [$noe]</FONT></B></A> ";
				$noe++;
			}
		}	
	}	
	echo "<BR><P>";
	
	# Now display JUST the errors..
	if (count($spellerror) > 0)
	{
		echo "<FORM ACTION=spell2_b.php?gr_table=$gr_table&gr_id=$gr_id&gr_field=$gr_field&gr_back=$gr_back METHOD=POST>";
		echo "<INPUT TYPE=HIDDEN NAME=gr_temp VALUE=\"$gr_temp\">";
		for ($jr1 = 0; $jr1 < count($spellerror); $jr1++)
		{
			# Get alternate spellings for the word....
			$docommand="echo \"".addslashes($spellerror[$jr1])."\" | ispell -a | grep -v \"@\" | grep -v \"*\" | grep -v  \"+\" | cut -d \":\" -f2 | tr -d \" \" | tr \",\" \" \"";
			# Make sure our arrays are emptied...
			unset($AllOutput2);
			unset($AllOutput3);
			# Execute the shell command $docommand
			exec("$docommand", $AllOutput2, $ReturnValue);
			# Turn the array into a string...
			$AllOutput3=implode($AllOutput2," ");
			# Now turn the string back into an array (space delimited)...
			$AllOutput4=explode(" ",$AllOutput3);
	
			# Test for punctuation at end of text... ('.','?','!',
			# and ','(comma))
			$tp=substr($spellerror[$jr1], strlen($spellerror[$jr1])-1, 1);
			if ($tp == ",") {$te = ",";};
			if ($tp == ".") {$te = ".";};
			if ($tp == "?") {$te = "?";};
			if ($tp == "!") {$te = "!";};
	
			# Just to make the HTML look neat...
			echo "\n";
			echo "<HR>";
			echo "<B>Word Errors:</B><BR>";
			echo "<B><FONT COLOR=FF0000>";
			echo "<A NAME=err$jr1>";
			echo "$spellerror[$jr1] [$jr1]";
			echo "</A>";
			echo "</FONT></B>";
			echo " --- ";
			echo "<INPUT TYPE=radio NAME=gr_$spellerror2[$jr1] VALUE=\"$spellerror[$jr1]\" CHECKED>$spellerror[$jr1] ";
			echo "<INPUT TYPE=radio NAME=gr_$spellerror2[$jr1] VALUE=\"_J_R_T_\">";
			echo "<INPUT TYPE=text NAME=gr2_$spellerror2[$jr1]>";
			for ($jr2 = 0; $jr2 < count($AllOutput4)-1; $jr2++)
			{
				echo "  ";
				echo "<INPUT TYPE=radio NAME=gr_$spellerror2[$jr1] VALUE=\"$AllOutput4[$jr2]$te\">$AllOutput4[$jr2]$te";
			}
		}
	} else {
		echo "<HR>";
		echo "NO SPELLING ERRORS FOUND!";
	}

	echo "<HR>";

	# ---Submit & Reset---
	echo "<H4 ALIGN=CENTER>";
	echo "<INPUT TYPE=SUBMIT VALUE=\"Preview Changes\">";
	echo "<INPUT TYPE=RESET VALUE=Clear>";
	echo "</H4>";
	
	echo "</FORM>";

if ($gr_back != "")
{
	$gr_back=ereg_replace("\|","&",$gr_back);
	echo "<P ALIGN=CENTER><A HREF=$gr_back>CANCEL</A></P>";
}

fy_endwindow("User: $cookie_user");
fy_endhtml();
	
?>
