<?php

include "freemed_yirc-vars.inc";
include "freemed_yirc-funcs.inc";

fy_cookiecheck($cookie_user);
fy_resetcookie($cookie_user, $cookie_id, $fy_cookietime);

# Make sure this user is a part of this group home...
$conn=fy_makeconn($fydb_type, $fydb_host, $fydb_user, $fydb_name);
$loginid=fy_conloginidlookup($conn, $cookie_id, $fydb_type, $fydb_name);
$sql="SELECT * FROM fy_con_groups WHERE fid='$loginid' AND group_id='$fy_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

# Make sure this user has 'clinical_therapist' permissions...
$sql="SELECT * FROM fy_secdb WHERE loginid='$cookie_id' AND clinical_therapist='X'";
$result_set2=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows2=fy_resultrows($fydb_type, $result_set2);

if ($rows < 1 OR $rows2 < 1)
{
	$meta="<META HTTP-EQUIV=REFRESH CONTENT=10;URL=logout.php>";
	fy_starthtml("Freemed-YiRC: No Permissions",$meta);
	fy_startwindow();
	fy_winprn("CENTER","","I'm sorry, but you have no permission to view this menu.");
	fy_winback("","main.php");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

$sql="SELECT * FROM fy_groupdb WHERE abbr='$fy_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$gh=fy_getfield($fydb_type, $result_set, 0, "shortname");
$type=trim(fy_getfield($fydb_type, $result_set, 0, "type"));

$gh_temp=UCWORDs($gh);
fy_starthtml("Freemed-YiRC: $gh_temp Clinical Casenote Menu","");
fy_startwindow();

echo "<TR><TD ALIGN=CENTER><B>";
echo STRTOUPPER("$gh<BR>Clinical Casenote<BR>Menu");
echo "</B></TD></TR>";

$sql="SELECT * FROM fy_clinical_forms ORDER BY nid";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows>0)
{

	echo "<TR><TD>";
	echo "<TABLE BORDER ALIGN=CENTER>";
	echo "<TR><TH>NID</TH><TH>Type</TH>";

	$jr2=0;

	for ($jr=0;$jr<$rows;$jr++)
	{
		if ($jr2 == 0) {$bgcolor=$bgcolor1;$jr2=1;} else {$bgcolor=$bgcolor2;$jr2=0;};
		echo "<TR BGCOLOR=$bgcolor>";
		echo "<TD>";
		$nid=fy_getfield($fydb_type, $result_set, $jr, "nid");
		echo "<B>".$nid."</B>";
		echo "</TD>";	
		echo "<TD>";
		$fy_fn=fy_getfield($fydb_type, $result_set, $jr, "formname");
		echo $fy_fn;
		$fy_fn2=ereg_replace(" ","_*X*_",$fy_fn);
		echo "</TD>";	

		echo "<TD>";
		echo "<A HREF=clinicalccn_list.php?fy_id=$fy_id&fy_nid=$nid>View<BR>Notes</A>";
		echo "</TD>";
		echo "<TD>";
		echo "<A HREF=clinicalccn_input.php?fy_id=$fy_id&fy_nid=$nid>New<BR>Note</A>";
		echo "</TD>";
		echo "</TR>";
	}

	echo "</TABLE>";
	echo "</TD></TR>";
} else {
	fy_winprn("CENTER","","<P><BR><B>There are currently no<BR>Clinical Casenote Forms<BR>in the System!</B><P><BR>");
}

fy_winback("","grouphome.php?fy_id=$fy_id");

fy_endwindow("User: $cookie_user");
fy_endhtml();

?>
