<?php

include "freemed_yirc-vars.inc";
include "freemed_yirc-funcs.inc";

fy_cookiecheck($cookie_user);
fy_resetcookie($cookie_user, $cookie_id, $fy_cookietime);

# Connect to the database & do query
$conn=fy_makeconn($fydb_type, $fydb_host, $fydb_user, $fydb_name);
$sql="SELECT * FROM fy_secdb WHERE loginid='$cookie_id' AND clinical_ccn='X'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows < 1)
{
	$meta="<META HTTP-EQUIV=REFRESH CONTENT=10;URL=logout.php>";
	fy_starthtml("Freemed-YiRC: No Permissions",$meta);
	fy_startwindow();
	fy_winprn("CENTER","","I'm sorry, but you have no permission to view this menu.");
	fy_winback("","main.php");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

# --- HANDLE IMAGE ADDITION ---
if ($gr_object_type == "image")
{
#------------------------------------------------------------------------------
#------------------------------------------------------------------------------
fy_starthtml("Freemed-YiRC: Clinical CCN Image Add","");
fy_startwindow();

fy_winprn("CENTER","","<B>Contact Database</B>");

fy_winprn("CENTER","","<B>Upload Picture for Clinical Casenote</B>");

fy_winprn("CENTER","","<BR><P>");

echo "<TR><TD ALIGN=CENTER>";
echo "<FORM ENCTYPE=multipart/form-data ACTION=clinicalccn_add_pic.php?gr_ordernumber=$gr_ordernumber&gr_type=$gr_type&gr_nid=$gr_nid METHOD=post>";
echo "<INPUT TYPE=hidden NAME=MAX_FILE_SIZE VALUE=1000000>";
echo "<INPUT NAME=UploadedFile TYPE=file><BR>";
echo "<INPUT TYPE=Submit VALUE=Upload>";
echo "</FORM>";
echo "</TD></TR>";

fy_wincancel("","clinicalccn_add_1.php?gr_ordernumber=$gr_ordernumber&gr_type=$gr_type&gr_nid=$gr_nid");

fy_endwindow("User: $cookie_user");
fy_endhtml();
exit;
#------------------------------------------------------------------------------
#------------------------------------------------------------------------------
}


# ---------- VERIFY INPUTTED DATA! ----------
$ef=0;
$errtext="";

# --- gr_object_type ---
if ($gr_object_type <> "stdfield" AND $gr_object_type <> "field" AND $gr_object_type <> "image" AND $gr_object_type <> "text" AND $gr_object_type <> "html")
{
	$ef=1;
	$errtext="<B>ERROR:</B> You did not select any options!!!<BR><P>";
}

# --- 'field' ---
if ($gr_object_type == "field")
{
	if ($gr_fieldname == "")
	{
		$ef=1;
		$errtext=$errtext."<B>ERROR:</B> You did not specify a field name<BR>in '<I>Field Name</I>'!!!<BR><P>";
	}

	if ($gr_formname == "")
	{
		$ef=1;
		$errtext=$errtext."<B>ERROR:</B> You did not specify a form name<BR>in '<I>Form Name</I>'!!!<BR><P>";
	}
	if ($gr_fieldtype == "character" AND $gr_length == "")
	{
		$ef=1;
		$errtext=$errtext."<B>ERROR:</B> You did not specify the field length<BR>in '<I>Field Length</I>'!!!<BR><P>";
	}
	if ($gr_fieldtype == "decimal")
	{
		if ($gr_declength == "" OR $gr_decprelength == "")
		{
			$ef=1;
			$errtext=$errtext."<B>ERROR:</B> You need to specify a decimal length<BR>and precision length in '<I>Field Length</I>'!!!<BR><P>";
		}
	} 
}
# --- 'text' ---
if ($gr_object_type == "text" AND $gr_text == "")
{
		$ef=1;
		$errtext=$errtext."<B>ERROR:</B> You did not specify any text<BR>in '<I>Text</I>'!!!<BR><P>";
}

# --- 'html' ---
if ($gr_object_type == "html" AND $gr_html == "custom" AND $gr_htmlother == "")
{
		$ef=1;
		$errtext=$errtext."<B>ERROR:</B> You did not specify any HTML<BR>in '<I>HTML Other</I>'!!!<BR><P>";
}

# --- 'stdfield' ---
if ($gr_object_type == "stdfield")
{
	$sql="SELECT * FROM fy_clinical_stdform WHERE id='$gr_stdfieldid'";
	$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
	$rows=fy_resultrows($fydb_type, $result_set);

	$gr_object_type="field";
	$gr_fieldname=fy_getfield($fydb_type, $result_set, $jr, "fieldname");
	$gr_formname=fy_getfield($fydb_type, $result_set, $jr, "formname");
	$gr_fieldtype=fy_getfield($fydb_type, $result_set, $jr, "type");
	$gr_length=fy_getfield($fydb_type, $result_set, $jr, "length");
	$gr_spell=fy_getfield($fydb_type, $result_set, $jr, "spell");
	if (fy_sessiontypelookup($conn, $gr_type, $fydb_type, $fydb_name)=="Group")
	{
		$gr_group=fy_getfield($fydb_type, $result_set, $jr, "groupsame");
	} else {
		$gr_group="";
	}
}

if ($ef <> 0)
{
	fy_starthtml("Freemed-YiRC: ERROR",$meta);
	fy_startwindow();
	fy_winprn("CENTER","",$errtext);
	fy_winprn("CENTER","","<BR><P>");
	fy_winprn("CENTER","","<B><BLINK>Please use your browser's <I>back</I> button</BLINK></B>");
	fy_winprn("CENTER","","<B><BLINK>to return to the forms designer.</BLINK></B>");
	fy_winprn("CENTER","","<BR><P>");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

if ($gr_object_type=="field")
{
	# IF THE CURRENT NEW OBJECT IS A FIELD, MAKE SURE IT ISN'T ALREADY USED!!!
	$sql="SELECT * FROM fy_clinical_formdata WHERE nid='$gr_nid' AND object_type='field' ORDER BY ordernumber";
	$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
	$rows=fy_resultrows($fydb_type, $result_set);

	$jr_ef=0;

	for ($jr=0;$jr<$rows;$jr++)
	{
		$jt_tfn=fy_getfield($fydb_type, $result_set, $jr, "fieldname");
		if ($jt_tfn == $gr_fieldname)
		{
			$jr_ef=1;
		}
	}
}

if ($jr_ef==1)
{
	fy_starthtml("Freemed-YiRC: Field Name '<I>".$gr_fieldname."</I>' already used in form!!!","");
	fy_startwindow();
	fy_winprn("CENTER","","The Field Name '<I>".$gr_fieldname."</I>' has already been used in this form!!!.");
	fy_winprn("CENTER","","<BR><P>");
	fy_winprn("CENTER","","<B><BLINK>Please use your browser's <I>back</I> button</BLINK></B>");
	fy_winprn("CENTER","","<B><BLINK>to return to the forms designer.</BLINK></B>");
	fy_winprn("CENTER","","<BR><P>");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}



fy_starthtml("Freemed-YiRC: Clinical Casenote Design Menu: Add Element Preview","");
fy_startwindow();

echo "<TR><TD ALIGN=CENTER><B>";
echo STRTOUPPER("Clinical Casenote<BR>Design Menu<BR>Add Element Preview");
echo "</B></TD></TR>";

# ------------------------------- FORM VIEW -------------------------------

fy_winprn("CENTER","","<HR SIZE=5>");

echo "<TR><TD>";
echo "<TABLE NOBORDER>";
echo "<TR><TD>";

$sql="SELECT * FROM fy_clinical_formdata WHERE nid='$gr_nid' ORDER BY ordernumber";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

for ($jr=0;$jr < $rows;$jr++)
{
	if (fy_getfield($fydb_type, $result_set, $jr, "object_type") == "image")
	{
		$tempimg=fy_getfield($fydb_type, $result_set, $jr, "imagename");
		echo "<IMG SRC=$tempimg>";
	}
	if (fy_getfield($fydb_type, $result_set, $jr, "object_type") == "text")
	{
		$temptxt=fy_getfield($fydb_type, $result_set, $jr, "object_text");
		if ($temptxt == "")
		{
			echo " ";
		} else {
			echo stripslashes($temptxt);
		}
	}
	if (fy_getfield($fydb_type, $result_set, $jr, "object_type") == "html")
	{
		$tempd=fy_getfield($fydb_type, $result_set, $jr, "object_html");
		$tempd1=ereg_replace("<","&lt;",$tempd);
		$tempd2=ereg_replace(">","&gt;",$tempd1);
		echo "<I><B>".$tempd2."</B></I>";
		echo $tempd;
	}
	if (fy_getfield($fydb_type, $result_set, $jr, "object_type") == "field")
	{
		$tempfn=fy_getfield($fydb_type, $result_set, $jr, "formname");

		if ($tempfn <> "")
		{
			echo $tempfn;
			echo ": ";
			$tempt=fy_getfield($fydb_type, $result_set, $jr, "type");

			if ($tempt == "character")
			{
				$templ=fy_getfield($fydb_type, $result_set, $jr, "length");
				for ($jr2=0;$jr2<$templ;$jr2++)
				{
					echo "X";
				}
			}
			if ($tempt == "date")
			{
				echo "MM/DD/YYYY";
			}
			if ($tempt == "time")
			{
				echo "HH:MM xM";
			}
			if ($tempt == "integer")
			{
				echo "NNNNNNNN";
			}
			if ($tempt == "decimal")
			{
				$templ=fy_getfield($fydb_type, $result_set, $jr, "length");
				$templ1=explode(",",$templ);
				$templ_dec=$templ1[0]-$templ1[1]-1;
				$templ_pre=$templ1[1];
				for ($jr2=0;$jr2<$templ_dec;$jr2++)
				{
					echo "N";
				}
				echo ".";
				for ($jr2=0;$jr2<$templ_pre;$jr2++)
				{
					echo "N";
				}
			}
			if ($tempt == "varchar")
			{
				echo "-variable-";
			}
		} else {
			echo "<I>[";
			echo fy_getfield($fydb_type, $result_set, $jr, "fieldname");
			echo "]</I>";
		}
	}
}

# --- Print new element for previewing purposes ---

if ($gr_object_type == "text")
{
	echo stripslashes($gr_text);
}
if ($gr_object_type == "html")
{
	if ($gr_html == "custom")
	{
		echo $gr_htmlother;
	} else {
		$tempd1=ereg_replace("<","&lt;",$gr_html);
		$tempd2=ereg_replace(">","&gt;",$tempd1);
		echo "<I><B>".$tempd2."</B></I>";
		echo $gr_html;
	}
}
if ($gr_object_type == "field")
{
	if ($gr_formname <> "")
	{

	echo "$gr_formname";
	echo ": ";
	$tempt=$gr_fieldtype;

		if ($tempt == "character")
		{
			for ($jr2=0;$jr2<$gr_length;$jr2++)
			{
				echo "X";
			}
		}
		if ($tempt == "date")
		{
			echo "MM/DD/YYYY";
		}
		if ($tempt == "time")
		{
			echo "HH:MM xM";
		}
		if ($tempt == "integer")
		{
			echo "NNNNNNNN";
		}
		if ($tempt == "decimal")
		{
			for ($jr2=0;$jr2<$gr_declength;$jr2++)
			{
				echo "N";
			}
			echo ".";
			for ($jr2=0;$jr2<$gr_decprelength;$jr2++)
			{
				echo "N";
			}
		}
		if ($tempt == "varchar")
		{
			echo "-variable-";
		}
	} else {
		echo "<I>[";
		echo "$gr_fieldname";
		echo "]</I>";	
	}
}


echo "</TD></TR>";
echo "</TABLE>";
echo "</TD></TR>";

fy_winprn("CENTER","","<HR SIZE=5>");

fy_winprn("CENTER","","<BLINK><B>If this preview is OK with you then hit NEXT, otherwise, use<BR> your browsers <I>BACK</I> button to return and modify your selection.</B></BLINK>");

echo "<TR><TD>";
echo "<FORM ACTION=clinicalccn_add_3.php?gr_type=$gr_type&gr_nid=$gr_nid&gr_form_name=$gr_form_name&gr_billable=$gr_billable&gr_ordernumber=$gr_ordernumber METHOD=post>";

echo "<INPUT TYPE=HIDDEN NAME=gr_object_type VALUE=\"$gr_object_type\">";
echo "<INPUT TYPE=HIDDEN NAME=gr_stdfieldid VALUE=\"$gr_stdfieldid\">";
echo "<INPUT TYPE=HIDDEN NAME=gr_fieldname VALUE=\"$gr_fieldname\">";
echo "<INPUT TYPE=HIDDEN NAME=gr_formname VALUE=\"$gr_formname\">";
echo "<INPUT TYPE=HIDDEN NAME=gr_fieldtype VALUE=\"$gr_fieldtype\">";
echo "<INPUT TYPE=HIDDEN NAME=gr_length VALUE=\"$gr_length\">";
echo "<INPUT TYPE=HIDDEN NAME=gr_declength VALUE=\"$gr_declength\">";
echo "<INPUT TYPE=HIDDEN NAME=gr_decprelength VALUE=\"$gr_decprelength\">";
echo "<INPUT TYPE=HIDDEN NAME=gr_spell VALUE=\"$gr_spell\">";
echo "<INPUT TYPE=HIDDEN NAME=gr_group VALUE=\"$gr_group\">";
echo "<INPUT TYPE=HIDDEN NAME=gr_text VALUE=\"$gr_text\">";
echo "<INPUT TYPE=HIDDEN NAME=gr_html VALUE=\"$gr_html\">";
echo "<INPUT TYPE=HIDDEN NAME=gr_htmlother VALUE=\"$gr_htmlother\">";

# ---Submit & Reset---
echo "<TR><TD COLSPAN=2 ALIGN=CENTER>";
echo "<INPUT TYPE=SUBMIT VALUE=Next>";
echo " ";
echo "<INPUT TYPE=RESET VALUE=Clear>";
echo "</TD></TR>";

# ---End Form---
echo "</FORM>";
echo "</TD></TR>";


fy_wincancel("","clinicalccn_del.php?fy_id=$gr_nid&fy_di=1");

fy_endwindow("User: $cookie_user");
fy_endhtml();

?>
