<?php

include "freemed_yirc-vars.inc";
include "freemed_yirc-funcs.inc";

fy_cookiecheck($cookie_user);
fy_resetcookie($cookie_user, $cookie_id, $fy_cookietime);

# Connect to the database & do query
$conn=fy_makeconn($fydb_type, $fydb_host, $fydb_user, $fydb_name);
$sql="SELECT * FROM fy_secdb WHERE loginid='$cookie_id' AND clinical_ccn='X'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows < 1)
{
	$meta="<META HTTP-EQUIV=REFRESH CONTENT=10;URL=logout.php>";
	fy_starthtml("Freemed-YiRC: No Permissions",$meta);
	fy_startwindow();
	fy_winprn("CENTER","","I'm sorry, but you have no permission to view this menu.");
	fy_winback("","main.php");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}


$sql="SELECT * FROM fy_clinical_forms WHERE nid='$fy_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows < 1)
{
	fy_starthtml("Freemed-YiRC: NID Doesn't Exist","");
	fy_startwindow();
	fy_winprn("CENTER","","<B>ERROR:</B> The <I>NID</I> selected<BR>does not exist!!!");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
} 

fy_starthtml("Freemed-YiRC: Clinical Casenote Design: Error-Checking","");
fy_startwindow();

echo "<TR><TD ALIGN=CENTER><B>";
echo STRTOUPPER("Clinical Casenote Design<BR>Error-Checking");
echo "</B></TD></TR>";

# ------------------------------- FORM VIEW -------------------------------

fy_winprn("CENTER","","<HR SIZE=5>");

$fy_st=STRTOLOWER(fy_sessiontypelookup2($conn,$fy_id,$fydb_type,$fydb_name));

if ($fy_st == "individual")
{
	$sql="SELECT * FROM fy_clinical_stdform WHERE std='X'";
} elseif ($fy_st == "group") {
	$sql="SELECT * FROM fy_clinical_stdform WHERE std='X' OR grouponly='X'";
}
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

$sql="SELECT * FROM fy_clinical_formdata WHERE nid='$fy_id' ORDER BY ordernumber";
$result_set2=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows2=fy_resultrows($fydb_type, $result_set2);

$fy_ok=0;

for ($jr=0;$jr < $rows;$jr++)
{
	$fy_temp1=0;

	for ($jr2=0;$jr2 < $rows2;$jr2++)
	{
		$fy_temp2=fy_getfield($fydb_type, $result_set2, $jr2, "object_type");
		if ($fy_temp2 == "field")
		{
			$fy_tempa=fy_getfield($fydb_type, $result_set, $jr, "fieldname");
			$fy_tempb=fy_getfield($fydb_type, $result_set2, $jr2, "fieldname");
			if ($fy_tempa == $fy_tempb)
			{
				$fy_temp1=1;
			}
		}
	}

	if ($fy_temp1 == 1 AND $fy_ok <> 1)
	{
		$fy_ok=0;
	} else {
		$fy_ok=1;
	}
}

if ($fy_ok == 1)
{
	fy_winprn("CENTER","","<B><BLINK><FONT COLOR=FF0000>ERROR</FONT></BLINK></B>");
	fy_winprn("CENTER","","<B>You <I>DID NOT</I> use all of the required fields<BR>in your Clinical CaseNote Design!!!</B>");
} else {
	fy_winprn("CENTER","","<B>Clinical CaseNote Design Passed Error-Check!</B>");
	fy_winprn("CENTER","","<B>Please click on the <I>NEXT</I> link below<BR>to continue.</B>");
}

fy_winprn("CENTER","","<HR SIZE=5>");

if ($fy_ok == 0)
{
	fy_winprn("CENTER","","<A HREF=clinicalccn_dosql.php?fy_id=$fy_id>NEXT</A>");

}

fy_wincancel("","clinicalccn_del.php?fy_id=$fy_id&fy_di=1");

fy_endwindow("User: $cookie_user");
fy_endhtml();

?>
