<?php

# I need to turn off some of the error reporting in case a user tries to 
# to something dumb like hit the 'RELOAD' button after a successful execution
# of the script... otherwise it will error saying that some 'id_seq' sequence
# already exists.. blah blah blah...  
# I'm JUST turning off the 'WARNING' errors, all the other errors
# (i.e. Parser errors, general errors, and notices) will still be displyed.
error_reporting(1|2|4|8|16|32);

include "freemed_yirc-vars.inc";
include "freemed_yirc-funcs.inc";

fy_cookiecheck($cookie_user);
fy_resetcookie($cookie_user, $cookie_id, $fy_cookietime);

# Connect to the database & do query
$conn=fy_makeconn($fydb_type, $fydb_host, $fydb_user, $fydb_name);
$sql="SELECT * FROM fy_secdb WHERE loginid='$cookie_id' AND clinical_ccn='X'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows < 1)
{
	$meta="<META HTTP-EQUIV=REFRESH CONTENT=10;URL=main.php>";
	fy_starthtml("Freemed-YiRC: No Permissions",$meta);
	fy_startwindow();
	fy_winprn("CENTER","","I'm sorry, but you have no permission to view this menu.");
	fy_winback("","main.php");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

if ($fy_id == "")
{
	fy_starthtml("Freemed-YiRC: No Input Data","");
	fy_startwindow();
	fy_winprn("CENTER","","I'm sorry, but you have not specified a NID!");
	fy_winback("","main.php");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

# Check to make sure this NID exists in fy_clinical_forms....
$sql="SELECT * FROM fy_clinical_forms where nid = '$fy_id'";
$result_set1=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows1=fy_resultrows($fydb_type, $result_set1);

# Check to make sure this NID has data in fy_clinical_formdata....
$sql="SELECT * FROM fy_clinical_formdata where nid = '$fy_id'";
$result_set2=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows2=fy_resultrows($fydb_type, $result_set2);

if ($rows1 == 0)
{
	fy_starthtml("Freemed-YiRC: Not Enough Data","");
	fy_startwindow();
	fy_winprn("CENTER","","I'm sorry, but I can't find that NID in the<BR>Clinical Casenote Forms Database!");
	fy_winback("","main.php");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

if ($rows2 == 0)
{
	fy_starthtml("Freemed-YiRC: Not Enough Data","");
	fy_startwindow();
	fy_winprn("CENTER","","I'm sorry, but I can't find a form for that<BR>NID in the Casenote Forms Structure Database!");
	fy_winback("","main.php");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

fy_starthtml("Freemed-YiRC: Clinical Casenote SQL Table Creation","");
fy_startwindow();

echo "<TR><TD ALIGN=CENTER><B>";
echo STRTOUPPER("Clinical Casenote<BR>SQL Table Creation");
echo "</B></TD></TR>";

fy_winprn("CENTER","","<B>Creating the SQL code to create your table:</B>");

fy_winprn("CENTER","","<P>");

fy_winprn("CENTER","","<HR>");

$fy_str="";
$fy_strAA="";
$fy_strBB="";

if ($fydb_type == "psql")
{
	$fy_strAA="drop table fy_clinicalnote_".$fy_id.";\n";
	$fy_strA="drop table fy_clinicalnote_".$fy_id;

	$fy_strBB="drop sequence fy_clinicalnote_".$fy_id."_id_seq;\n";
	$fy_strB="drop sequence fy_clinicalnote_".$fy_id."_id_seq";

	$fy_str .="create table fy_clinicalnote_".$fy_id." (\n";
	$fy_str .="     ID serial,\n";
} elseif ($fydb_type == "mysql") {
	$fy_str .="create table fy_clinicalnote_".$fy_id." (\n";
	$fy_str .="     ID int unsigned not null auto_increment,\n";
}

for ($jr=0; $jr < $rows2; $jr++)
{

	if (fy_getfield($fydb_type, $result_set2, $jr, "object_type")=="field")
	{
		$fy_fn=fy_getfield($fydb_type, $result_set2, $jr, "fieldname");
		$fy_ty=fy_getfield($fydb_type, $result_set2, $jr, "type");
		$fy_le=fy_getfield($fydb_type, $result_set2, $jr, "length");

		if ($fy_ty == "character" OR $fy_ty == "decimal")
		{
			$fy_str .="     ".$fy_fn." ".$fy_ty." (".$fy_le."),\n";
		}
		if ($fy_ty == "varchar")
		{
			if ($fydb_type == "psql")
			{
				$fy_str .="     ".$fy_fn." ".$fy_ty.",\n";
			} else {
				$fy_str .="     ".$fy_fn." ".$fy_ty." (255),\n";
			}
		}
		if ($fy_ty == "date" OR $fy_ty == "time" OR $fy_ty == "integer")
		{
			$fy_str .="     ".$fy_fn." ".$fy_ty.",\n";
		}
	}
}

$fy_str .="     PRIMARY KEY (ID)\n";
$fy_strC=$fy_str.")";
$fy_str .=");\n";

echo "<TR><TD>";
echo "<PRE>";
echo "$fy_strAA";
echo "$fy_strBB";
echo $fy_str;
echo "</PRE>";
echo "</TD></TR>";

fy_winprn("CENTER","","<HR>");

fy_winprn("CENTER","","<B>Done!</B>");

$fy_er=0;

# Open the file in the correct database SCHEMA directory...
if ($fydb_type == "psql")
{
	fy_winprn("CENTER","","<B>Opening the file DB/postgresql/makedb_ccn_".$fy_id.":</B>");
	$fy_sqlfile=fopen("DB/postgresql/makedb_ccn_".$fy_id, "w");
} elseif ($fydb_type == "mysql") {
	fy_winprn("CENTER","","<B>Opening the file DB/mysql/makedb_ccn_".$fy_id.":</B>");
	$fy_sqlfile=fopen("DB/mysql/makedb_ccn_".$fy_id, "w");
}

# Check to see if the FILE OPEN (fopen) command succeeded or failed.
if ($fy_sqlfile == 0)
{
	fy_winprn("CENTER","","<B><FONT COLOR=FF0000>ERROR!</FONT></B>");
	$fy_er=1;
} else {
	fy_winprn("CENTER","","<B>Success!</B>");
}



if ($fy_er == 0)
{
	fy_winprn("CENTER","","<B>Inserting SQL statements into file...</B>");
	if ($fydb_type == "psql")
	{
		$fy_er2a=fputs($fy_sqlfile, $fy_strAA);
		$fy_er2b=fputs($fy_sqlfile, $fy_strBB);
	} else {
		$fy_er2a=1;
		$fy_er2b=1;
	}

	$fy_er2c=fputs($fy_sqlfile, $fy_str);

	if ($fy_er2a == 0 OR $fy_er2b == 0 OR $fy_er2c == 0)
	{
		fy_winprn("CENTER","","<B><FONT COLOR=FF0000>ERROR!</FONT></B>");
		$fy_er=1;
	} else {
		fy_winprn("CENTER","","<B>Success!</B>");
	}

}

if ($fy_er == 0)
{
	fy_winprn("CENTER","","<B>Creating SQL Table...</B>");
	# We ONLY want to execute the final SQL TABLE CREATE statement, not
	# the first two...
	$sql=$fy_strC;
	$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
	if ($result_set < 0 OR $result_set == "")
	{
		fy_winprn("CENTER","","<B><FONT COLOR=FF0000>Failed!!!</FONT></B>");
		$fy_er=1;
	} else {
		fy_winprn("CENTER","","<B>Success!</B>");
	}
}

if ($fy_er == 0)
{
	# If there aren't any detectable errors, display so...
	fy_winprn("CENTER","","<BR><P>");
	fy_winprn("CENTER","","<B><BLINK>OPERATION COMPLETE<BR>NO ERRORS</B><BR></BLINK>");
	fy_winprn("CENTER","","<BR><P>");
} else {
	# If an error WAS detected, display so...
	fy_winprn("CENTER","","<BR><P>");
	fy_winprn("CENTER","","<B><BLINK><FONT COLOR=FF0000>OPERATION FAILED!!<BR>ERRORS WERE DETECTED!<BR></FONT></BLINK></B>");
	fy_winprn("CENTER","","<B><BLINK><FONT COLOR=FF0000>Please correct any<BR>errors and use your browsers<BR>'RELOAD' button to try again!<BR></FONT></BLINK></B>");
	fy_winprn("CENTER","","<BR><P>");
}


fy_winprn("CENTER","","<P>");

fy_winprn("CENTER","","<A HREF=clinicalccn.php>BACK TO MENU</A>");


fy_endwindow("User: $cookie_user");
fy_endhtml();

?>
