<?php

include "freemed_yirc-vars.inc";
include "freemed_yirc-funcs.inc";

fy_cookiecheck($cookie_user);
fy_resetcookie($cookie_user, $cookie_id, $fy_cookietime);

# Connect to the database & do query
$conn=fy_makeconn($fydb_type, $fydb_host, $fydb_user, $fydb_name);
$sql="SELECT * FROM fy_secdb WHERE loginid='$cookie_id' AND clinical_ccn='X'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows < 1)
{
	$meta="<META HTTP-EQUIV=REFRESH CONTENT=10;URL=logout.php>";
	fy_starthtml("Freemed-YiRC: No Permissions",$meta);
	fy_startwindow();
	fy_winprn("CENTER","","I'm sorry, but you have no permission to view this menu.");
	fy_winback("","main.php");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

$sql="SELECT * FROM fy_clinical_forms WHERE nid='$gr_nid'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows > 0)
{
	fy_starthtml("Freemed-YiRC: NID Already Exists","");
	fy_startwindow();
	fy_winprn("CENTER","","<B>ERROR:</B> The <I>NID</I> selected is<BR>already in use!!!");
	fy_winprn("CENTER","","<BR><P>");
	fy_winprn("CENTER","","<B><BLINK>Please use your browser's <I>back</I> button</BLINK></B>");
	fy_winprn("CENTER","","<B><BLINK>to return to the CCN Design form.</BLINK></B>");
	fy_winprn("CENTER","","<BR><P>");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
} 

if ($gr_type == "" OR $gr_form_title == "" OR $gr_nid == "")
{
	fy_starthtml("Freemed-YiRC: Bad Input Data","");
	fy_startwindow();
	fy_winprn("CENTER","","<B>ERROR:</B> You must enter a related service, form title, and NID!!!");
	fy_winprn("CENTER","","<BR><P>");
	fy_winprn("CENTER","","<B><BLINK>Please use your browser's <I>back</I> button</BLINK></B>");
	fy_winprn("CENTER","","<B><BLINK>to return to the Incident Report form.</BLINK></B>");
	fy_winprn("CENTER","","<BR><P>");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;

}

$meta="<META HTTP-EQUIV=REFRESH CONTENT=0;URL=clinicalccn_imp_4.php?gr_type=$gr_type&gr_nid=$gr_nid&gr_file=$gr_file>";
fy_starthtml("Freemed-YiRC: Clinical Casenote Design Menu: Add Form To DB","$meta");
fy_startwindow();

echo "<TR><TD ALIGN=CENTER><B>";
echo STRTOUPPER("Clinical Casenote<BR>Import Menu<BR>Add Form To DB");
echo "</B></TD></TR>";

$sql="INSERT INTO fy_clinical_forms (NID, formname, clinical_service, billable) VALUES ('$gr_nid', '$gr_form_title', '$gr_type', '$gr_billable')";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);

fy_endwindow("User: $cookie_user");
fy_endhtml();

?>
