<?php

include "freemed_yirc-vars.inc";
include "freemed_yirc-funcs.inc";

fy_cookiecheck($cookie_user);
fy_resetcookie($cookie_user, $cookie_id, $fy_cookietime);

# Check out $cookie_id with the secdb.  Make sure 'con' = 'X'.
$conn=fy_makeconn($fydb_type, $fydb_host, $fydb_user, $fydb_name);
$sql = "SELECT * FROM fy_secdb WHERE loginid = '$cookie_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows > 0)
{
	$perm=fy_getfield($fydb_type, $result_set, 0, "con");
	$perm_edit=fy_getfield($fydb_type, $result_set, 0, "con_edit");
	$perm_admin=fy_getfield($fydb_type, $result_set, 0, "topadmin");
} else {
	$perm = " ";
	$perm_edit = " ";
	$perm_admin = " ";
}

if ($perm != "X")
{
	fy_starthtml("Freemed-Yirc: Error","");
	fy_startwindow();
	fy_winprn("CENTER","","I'm sorry, but you don't have permission to enter the contact database.");
	fy_winback("","main.php");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

fy_starthtml("Freemed-YiRC: Contact Database","");
fy_startwindow();

fy_winprn("CENTER","","<B>Contact Database</B>");

# --- BLANK ---
fy_winprn("CENTER",""," ");


# Display the contents of the security database.
$sql = "SELECT * FROM fy_con";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

# Start the table...
echo "<TR><TD>";
echo "<TABLE BORDER>";

# Display the table fieldnames.

echo "<TR>";
echo "<TH ROWSPAN=2>Contact<BR>Type</TH>";
echo "<TH COLSPAN=4>Name</TH>";
echo "<TH COLSPAN=7 ROWSPAN=2>Contact Information</TH>";
echo "</TR>";
echo "<TR>";
echo "<TH>Nick</TH>";
echo "<TH>First</TH>";
echo "<TH>Middle</TH>";
echo "<TH>Last</TH>";
echo "</TR>";

# Display the rows...
$jr2=0;
for ($jr=0; $jr < $rows; $jr++)
{
	if ($jr2 == 0) {$bgcolor=$bgcolor1;$jr2=1;} else {$bgcolor=$bgcolor2;$jr2=0;};
	echo "<TR BGCOLOR=$bgcolor>";
	echo "<TD>";
	##echo fy_getfield($fydb_type, $result_set, $jr, "type");
	echo fy_textorblank(fy_getfield($fydb_type, $result_set, $jr, "type"));
	echo "</TD>";
	echo "<TD>";
	##echo fy_getfield($fydb_type, $result_set, $jr, "nickname");
	echo fy_textorblank(fy_getfield($fydb_type, $result_set, $jr, "nickname"));
	echo "</TD>";
	echo "<TD>";
	##echo fy_getfield($fydb_type, $result_set, $jr, "firstname");
	echo fy_textorblank(fy_getfield($fydb_type, $result_set, $jr, "firstname"));
	echo "</TD>";
	echo "<TD>";
	##echo fy_getfield($fydb_type, $result_set, $jr, "middlename");
	echo fy_textorblank(fy_getfield($fydb_type, $result_set, $jr, "middlename"));
	echo "</TD>";
	echo "<TD>";
	##echo fy_getfield($fydb_type, $result_set, $jr, "lastname");
	echo fy_textorblank(fy_getfield($fydb_type, $result_set, $jr, "lastname"));
	echo "</TD>";
	echo "<TD>";
	echo "<A HREF=con_viewgroups.php?fy_id=";
	echo fy_getfield($fydb_type, $result_set, $jr, "id");
	echo ">Groups</A>";
	echo "</TD>";
	echo "<TD>";
	echo "<A HREF=con_viewdesc.php?fy_id=";
	echo fy_getfield($fydb_type, $result_set, $jr, "id");
	echo ">Description</A>";
	echo "</TD>";
	echo "<TD>";
	echo "<A HREF=con_viewaddresses.php?fy_id=";
	echo fy_getfield($fydb_type, $result_set, $jr, "id");
	echo ">Addresses</A>";
	echo "</TD>";
	echo "<TD>";
	echo "<A HREF=con_viewnumbers.php?fy_id=";
	echo fy_getfield($fydb_type, $result_set, $jr, "id");
	echo ">Numbers</A>";
	echo "</TD>";
	echo "<TD>";
	echo "<A HREF=con_viewemails.php?fy_id=";
	echo fy_getfield($fydb_type, $result_set, $jr, "id");
	echo ">E-Mail<BR></A>";
	echo "</TD>";
	echo "<TD ALIGN=CENTER>";
	echo "<A HREF=con_viewnotes.php?fy_id=";
	echo fy_getfield($fydb_type, $result_set, $jr, "id");
	echo ">Notes</A>";
	
	if ($perm_admin == "X")
	{
		echo "<BR><A HREF=con_viewadminnotes.php?fy_id=";
		echo fy_getfield($fydb_type, $result_set, $jr, "id");
		echo ">Admin Notes</A>";
	}
	echo "</TD>";

	echo "<TD>";
	if (fy_getfield($fydb_type, $result_set, $jr, "type") == "Staff")
	{
		echo "<A HREF=con_stf.php?fy_id=";
		echo fy_getfield($fydb_type, $result_set, $jr, "id");
		echo ">Staff<BR>Info</A>";
	} elseif (fy_getfield($fydb_type, $result_set, $jr, "type") == "Resident") {
		echo "<A HREF=con_res.php?fy_id=";
		echo fy_getfield($fydb_type, $result_set, $jr, "id");
		echo ">Resident<BR>Info</A>";
	} else {
		echo " ";
	}
	
	echo "</TD>";

	
	if ($perm_edit == "X")
	{
		echo "<TD>";
		echo "<A HREF=con_mod.php?fy_id=";
		echo fy_getfield($fydb_type, $result_set, $jr, "id");
		echo ">Modify</A><BR>";
		echo "<A HREF=con_del.php?fy_id=";
		echo fy_getfield($fydb_type, $result_set, $jr, "id");
		echo ">Delete</A>";

		echo "</TD>";
	}
	echo "</TR>";
}

# End the table....
echo "</TABLE>";
echo "</TR></TD>";

if ($perm_edit == "X")
{
	fy_winprn("CENTER","","<A HREF=con_add.php>Add Contact</A>");
}

fy_winback("","main.php");

fy_endwindow("User: $cookie_user");
fy_endhtml();

?>
