<?php

include "freemed_yirc-vars.inc";
include "freemed_yirc-funcs.inc";

fy_cookiecheck($cookie_user);
fy_resetcookie($cookie_user, $cookie_id, $fy_cookietime);

# Check out $cookie_id with the secdb.  Make sure 'con' = 'X'.
$conn=fy_makeconn($fydb_type, $fydb_host, $fydb_user, $fydb_name);
$sql = "SELECT * FROM fy_secdb WHERE loginid = '$cookie_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows > 0)
{
	$perm=fy_getfield($fydb_type, $result_set, 0, "con");
	$perm_edit=fy_getfield($fydb_type, $result_set, 0, "con_edit");
} else {
	$perm = " ";
	$perm_edit = " ";
}

if ($perm != "X")
{
	fy_starthtml("Freemed-Yirc: Error","");
	fy_startwindow();
	fy_winprn("CENTER","","I'm sorry, but you don't have permission to enter the contact database.");
	fy_winback("","main.php");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

fy_starthtml("Freemed-YiRC: Contact Database","");
fy_startwindow();

fy_winprn("CENTER","","<B>Contact Database</B>");
echo "<TR><TD ALIGN=CENTER><B>";
echo "Resident info for ";
$con_name=fy_conidlookup($conn,$fy_id,$fydb_type,$fydb_name);
echo $con_name;
echo "</B></TD></TR>";

# --- BLANK ---
fy_winprn("CENTER",""," ");

# Is there a picture file for this contact???
# Check for GIF, then JPG, then PNG...
if (is_file("img/contacts/$fy_id.gif"))
{
	fy_winprn("CENTER","","<A HREF=/$fydb_dir/img/contacts/$fy_id.gif><IMG SRC=/$fydb_dir/img/contacts/$fy_id.gif ALT=\"Picture of $con_name\" HEIGHT=100 WIDTH=100></A>");
} elseif (is_file("img/contacts/$fy_id.jpg")) {
	fy_winprn("CENTER","","<A HREF=/$fydb_dir/img/contacts/$fy_id.jpg><IMG SRC=/$fydb_dir/img/contacts/$fy_id.jpg ALT=\"Picture of $con_name\" HEIGHT=100 WIDTH=100></A>");
} elseif (is_file("img/contacts/$fy_id.png")) {
	fy_winprn("CENTER","","<A HREF=/$fydb_dir/img/contacts/$fy_id.png><IMG SRC=/$fydb_dir/img/contacts/$fy_id.png ALT=\"Picture of $con_name\" HEIGHT=100 WIDTH=100></A>");
} else {
	fy_winprn("CENTER","","<I>No picture</I>");
	if ($perm_edit == "X")
	{
		fy_winprn("CENTER","","<A HREF=con_res_uploadpic.php?fy_id=$fy_id>Upload Picture</A>");
	}
}

# Start the table...
echo "<TR><TD ALIGN=CENTER>";
echo "<TABLE NOBORDER>";

fy_winprn("CENTER","2","<HR>");
fy_winprn("CENTER","2","<B><A NAME=demo>DEMOGRAPHICS</A></B>");

# Get data from fy_con_res
$sql = "SELECT * FROM fy_con_res WHERE fid = $fy_id";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);


if ($rows > 0)
{
	echo "<TR>";
	echo "<TH ALIGN=RIGHT>Status:</TH>";
	echo "<TD>";
	echo fy_getfield($fydb_type, $result_set, 0, "status");
	echo "</TD>";
	echo "</TR>";

	echo "<TR>";
	echo "<TH ALIGN=RIGHT>DOB:</TH>";
	echo "<TD>";
	$temp=fy_getfield($fydb_type, $result_set, 0, "dob");
	if ($temp <> "")
	{
		echo fy_getdate($fydb_type, $temp);
	}
	echo "</TD>";
	echo "</TR>";

	echo "<TR>";
	echo "<TH ALIGN=RIGHT>DOE:</TH>";
	echo "<TD>";
	$temp=fy_getfield($fydb_type, $result_set, 0, "doe");
	if ($temp <> "")
	{
		echo fy_getdate($fydb_type, $temp);
	}
	echo "</TD>";
	echo "</TR>";

	echo "<TR>";
	echo "<TH ALIGN=RIGHT>DOT:</TH>";
	echo "<TD>";
	$temp=fy_getfield($fydb_type, $result_set, 0, "dot");
	if ($temp <> "")
	{
		echo fy_getdate($fydb_type, $temp);
	}
	echo "</TD>";
	echo "</TR>";

	echo "<TR>";
	echo "<TH ALIGN=RIGHT>SSN:</TH>";
	echo "<TD>";
	echo fy_getfield($fydb_type, $result_set, 0, "ssn");
	echo "</TD>";
	echo "</TR>";

	echo "<TR>";
	echo "<TH ALIGN=RIGHT>Sex:</TH>";
	echo "<TD>";
	echo fy_getfield($fydb_type, $result_set, 0, "sex");
	echo "</TD>";
	echo "</TR>";

	echo "<TR>";
	echo "<TH ALIGN=RIGHT>Race:</TH>";
	echo "<TD>";
	echo fy_getfield($fydb_type, $result_set, 0, "race");
	echo "</TD>";
	echo "</TR>";
} else {
	fy_winprn("CENTER","2","<I>No Resident Info</I>");	
}

if ($perm_edit == "X")
{
	fy_winprn("CENTER","2","<A HREF=con_res_mod_demo.php?fy_id=$fy_id>Update</A>");
}

fy_winprn("CENTER","2","<HR>");
fy_winprn("CENTER","2","<B><A NAME=diag>DIAG CODES</A></B>");

# Get data from fy_con_res_diagcodes
$sql = "SELECT * FROM fy_con_res_diagcodes WHERE fid = $fy_id";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows > 0)
{
	echo "<TR>";
	echo "<TH ALIGN=LEFT>Code</TH>";
	echo "<TH ALIGN=LEFT>Description</TH>";
	echo "</TR>";
	for ($jr=0;$jr < $rows; $jr++)
	{
		echo "<TR>";
		$temp=fy_getfield($fydb_type, $result_set, $jr, "code");
		$temp2=fy_icd9abbrlookup($conn,$temp,$fydb_type,$fydb_name);
		echo "<TD ALIGN=LEFT>";
		echo $temp;
		echo "</TD>";
		echo "<TD ALIGN=LEFT>";
		echo $temp2;
		echo "</TD>";
		echo "</TR>";
	}
} else {
	fy_winprn("CENTER","2","<I>No Diag Code Info</I>");	
}

if ($perm_edit == "X")
{
	fy_winprn("CENTER","2","<A HREF=con_res_viewdiags.php?fy_id=$fy_id>Update</A>");
}

fy_winprn("CENTER","2","<HR>");
fy_winprn("CENTER","2","<B><A NAME=mb>MEDBILL PAYORS</A></B>");

# Get data from fy_con_res_mbpayors
$sql = "SELECT * FROM fy_con_res_mbpayors WHERE fid = $fy_id";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows > 0)
{
	echo "<TR>";
	echo "<TH ALIGN=LEFT>Payor<BR>Type</TH>";
	echo "<TH ALIGN=LEFT>Service<BR>Type</TH>";
	echo "</TR>";
	for ($jr=0;$jr < $rows; $jr++)
	{
		echo "<TR>";
		echo "<TD ALIGN=LEFT>";
		echo fy_getfield($fydb_type, $result_set, $jr, "payor_type");
		echo "</TD>";
		echo "<TD ALIGN=LEFT>";
		echo fy_getfield($fydb_type, $result_set, $jr, "service_type");
		echo "</TD>";
		echo "</TR>";
	}
} else {
	fy_winprn("CENTER","2","<I>No Medbill Payors</I>");	
}

if ($perm_edit == "X")
{
	fy_winprn("CENTER","2","<A HREF=con_res_viewmbpayors.php?fy_id=$fy_id>Update</A>");
}

fy_winprn("CENTER","2","<HR>");

# End the table....
echo "</TABLE>";
echo "</TR></TD>";

fy_winback("","con.php");

fy_endwindow("User: $cookie_user");
fy_endhtml();

?>
