<?php

include "freemed_yirc-vars.inc";
include "freemed_yirc-funcs.inc";

fy_cookiecheck($cookie_user);
fy_resetcookie($cookie_user, $cookie_id, $fy_cookietime);

# Check out $cookie_id with the secdb.  Make sure 'con' = 'X'.
$conn=fy_makeconn($fydb_type, $fydb_host, $fydb_user, $fydb_name);
$sql = "SELECT * FROM fy_secdb WHERE loginid = '$cookie_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows > 0)
{
	$perm=fy_getfield($fydb_type, $result_set, 0, "con");
	$perm_edit=fy_getfield($fydb_type, $result_set, 0, "con_edit");
} else {
	$perm = " ";
	$perm_edit = " ";
}

if ($perm != "X")
{
	fy_starthtml("Freemed-Yirc: Error","");
	fy_startwindow();
	fy_winprn("CENTER","","I'm sorry, but you don't have permission to enter the contact database.");
	fy_winback("","main.php");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

fy_starthtml("Freemed-YiRC: Contact Database","");
fy_startwindow();

fy_winprn("CENTER","","<B>Contact Database</B>");
echo "<TR><TD ALIGN=CENTER><B>";
echo "Diagnosis Codes for ";
echo fy_conidlookup($conn,$fy_id,$fydb_type,$fydb_name);
echo "</B></TD></TR>";

# --- BLANK ---
fy_winprn("CENTER",""," ");

# Display the contents of the security database.
$sql = "SELECT * FROM fy_con_res_diagcodes WHERE fid = $fy_id";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows > 0)
{

# Start the table...
echo "<TR><TD ALIGN=CENTER>";
echo "<TABLE BORDER>";

# Display the table fieldnames.
echo "<TR>";
echo "<TH>Code</TH>";
echo "<TH>Abbr</TH>";
echo "<TH>Description</TH>";
echo "</TR>";

# Display the rows...
for ($jr=0; $jr < $rows; $jr++)
{
	if ($jr2 == 0) {$bgcolor=$bgcolor1;$jr2=1;} else {$bgcolor=$bgcolor2;$jr2=0;};
	echo "<TR BGCOLOR=$bgcolor>";

	$temp=fy_getfield($fydb_type, $result_set, $jr, "code");
	echo "<TR BGCOLOR=$bgcolor>";
	echo "<TD>";
	echo $temp;
	echo "</TD>";
	echo "<TD>";
	echo fy_icd9abbrlookup($conn,$temp,$fydb_type,$fydb_name);
	echo "</TD>";
	echo "<TD>";
	echo fy_icd9descrlookup($conn,$temp,$fydb_type,$fydb_name);
	echo "</TD>";
	if ($perm_edit == "X")
	{
		echo "<TD>";
		echo "<A HREF=delete.php?v_sdb=con_edit&v_tbl=fy_con_res_diagcodes&v_id=";
		echo fy_getfield($fydb_type, $result_set, $jr, "id");
		echo "&v_back=con_res_viewdiags.php?fy_id=$fy_id>Delete</A>";
		echo "</TD>";
	}
	echo "</TR>";
}

# End the table....
echo "</TABLE>";
echo "</TR></TD>";

} else {
	fy_winprn("CENTER","","<I>No Diag Codes Listed</I>");
}

if ($perm_edit == "X")
{
	fy_winprn("CENTER","","<A HREF=con_res_diags_add.php?fy_id=$fy_id>Add Diag Codes</A>");
}

fy_winback("","con_res.php#diag?fy_id=$fy_id");

fy_endwindow("User: $cookie_user");
fy_endhtml();

?>
