<?php

include "freemed_yirc-vars.inc";
include "freemed_yirc-funcs.inc";

fy_cookiecheck($cookie_user);
fy_resetcookie($cookie_user, $cookie_id, $fy_cookietime);

# Check out $cookie_id with the secdb.  Make sure 'con' = 'X'.
$conn=fy_makeconn($fydb_type, $fydb_host, $fydb_user, $fydb_name);
$sql = "SELECT * FROM fy_secdb WHERE loginid = '$cookie_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows > 0)
{
	$perm=fy_getfield($fydb_type, $result_set, 0, "con");
	$perm_edit=fy_getfield($fydb_type, $result_set, 0, "con_edit");
} else {
	$perm = " ";
	$perm_edit = " ";
}

if ($perm != "X")
{
	fy_starthtml("Freemed-Yirc: Error","");
	fy_startwindow();
	fy_winprn("CENTER","","I'm sorry, but you don't have permission to enter the contact database.");
	fy_winback("","main.php");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

fy_starthtml("Freemed-YiRC: Contact Database","");
fy_startwindow();

fy_winprn("CENTER","","<B>Contact Database</B>");
echo "<TR><TD ALIGN=CENTER><B>";
echo "Staff info for ";
$con_name=fy_conidlookup($conn,$fy_id,$fydb_type,$fydb_name);
echo $con_name;
echo "</B></TD></TR>";

# --- BLANK ---
fy_winprn("CENTER",""," ");

# Is there a picture file for this contact???
# Check for GIF, then JPG, then PNG...
if (is_file("img/contacts/$fy_id.gif"))
{
	fy_winprn("CENTER","","<A HREF=/$fydb_dir/img/contacts/$fy_id.gif><IMG SRC=/$fydb_dir/img/contacts/$fy_id.gif ALT=\"Picture of $con_name\" HEIGHT=100 WIDTH=100></A>");
} elseif (is_file("img/contacts/$fy_id.jpg")) {
	fy_winprn("CENTER","","<A HREF=/$fydb_dir/img/contacts/$fy_id.jpg><IMG SRC=/$fydb_dir/img/contacts/$fy_id.jpg ALT=\"Picture of $con_name\" HEIGHT=100 WIDTH=100></A>");
} elseif (is_file("img/contacts/$fy_id.png")) {
	fy_winprn("CENTER","","<A HREF=/$fydb_dir/img/contacts/$fy_id.png><IMG SRC=/$fydb_dir/img/contacts/$fy_id.png ALT=\"Picture of $con_name\" HEIGHT=100 WIDTH=100></A>");
} else {
	fy_winprn("CENTER","","<I>No picture</I>");
	if ($perm_edit == "X")
	{
		fy_winprn("CENTER","","<A HREF=con_stf_uploadpic.php?fy_id=$fy_id>Upload Picture</A>");
	}
}


# --- BLANK ---
fy_winprn("CENTER",""," ");

# Start the table...
echo "<TR><TD ALIGN=CENTER>";
echo "<TABLE NOBORDER>";

fy_winprn("CENTER","2","<HR>");
fy_winprn("CENTER","2","<B><A NAME=demo>DEMOGRAPHICS</A></B>");

# Get data from fy_con_stf
$sql = "SELECT * FROM fy_con_stf WHERE fid = $fy_id";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);


if ($rows > 0)
{
	echo "<TR>";
	echo "<TH ALIGN=RIGHT>Job Type:</TH>";
	echo "<TD>";
	echo fy_getfield($fydb_type, $result_set, 0, "jobtype");
	echo "</TD>";
	echo "</TR>";

	echo "<TR>";
	echo "<TH ALIGN=RIGHT>Status:</TH>";
	echo "<TD>";
	echo fy_getfield($fydb_type, $result_set, 0, "status");
	echo "</TD>";
	echo "</TR>";

	echo "<TR>";
	echo "<TH ALIGN=RIGHT>DOB:</TH>";
	echo "<TD>";
	$temp=fy_getfield($fydb_type, $result_set, 0, "dob");
	if ($temp <> "")
	{
		echo fy_getdate($fydb_type, $temp);
	}
	echo "</TD>";
	echo "</TR>";

	echo "<TR>";
	echo "<TH ALIGN=RIGHT>DOH:</TH>";
	echo "<TD>";
	$temp_doh=fy_getfield($fydb_type, $result_set, 0, "doh");
	if ($temp_doh <> "")
	{
		echo fy_getdate($fydb_type, $temp_doh);
	}
	echo "</TD>";
	echo "</TR>";

	echo "<TR>";
	echo "<TH ALIGN=RIGHT>DOT:</TH>";
	echo "<TD>";
	$temp=fy_getfield($fydb_type, $result_set, 0, "dot");
	if ($temp <> "")
	{
		echo fy_getdate($fydb_type, $temp);
	}
	echo "</TD>";
	echo "</TR>";

	echo "<TR>";
	echo "<TH ALIGN=RIGHT>SSN:</TH>";
	echo "<TD>";
	echo fy_getfield($fydb_type, $result_set, 0, "ssn");
	echo "</TD>";
	echo "</TR>";

	echo "<TR>";
	echo "<TH ALIGN=RIGHT>Sex:</TH>";
	echo "<TD>";
	echo fy_getfield($fydb_type, $result_set, 0, "sex");
	echo "</TD>";
	echo "</TR>";

	echo "<TR>";
	echo "<TH ALIGN=RIGHT>Race:</TH>";
	echo "<TD>";
	echo fy_getfield($fydb_type, $result_set, 0, "race");
	echo "</TD>";
	echo "</TR>";
} else {
	fy_winprn("CENTER","2","<I>No Staff Info</I>");	
}

if ($perm_edit == "X")
{
	fy_winprn("CENTER","2","<A HREF=con_stf_mod_demo.php?fy_id=$fy_id>Update</A>");
}

fy_winprn("CENTER","2","<HR>");
fy_winprn("CENTER","2","<B><A NAME=acct>ACCOUNTING</A></B>");

# Get data from fy_con_stf_acct
$sql = "SELECT * FROM fy_con_stf_acct WHERE fid = $fy_id";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows > 0)
{

	echo "<TR>";
	echo "<TH ALIGN=RIGHT>Staff Type:</TH>";
	echo "<TD>";
	echo fy_getfield($fydb_type, $result_set, 0, "stafftype");
	echo "</TD>";
	echo "</TR>";

	echo "<TR>";
	echo "<TH ALIGN=RIGHT>Pay Type:</TH>";
	echo "<TD>";
	echo fy_getfield($fydb_type, $result_set, 0, "paytype");
	echo "</TD>";
	echo "</TR>";

	echo "<TR>";
	echo "<TH ALIGN=RIGHT>Pay Rate:</TH>";
	echo "<TD>";
	echo fy_getfield($fydb_type, $result_set, 0, "payrate");
	echo "</TD>";
	echo "</TR>";

	echo "<TR>";
	echo "<TH ALIGN=RIGHT>Account:</TH>";
	echo "<TD>";
	echo fy_getfield($fydb_type, $result_set, 0, "account");
	echo "</TD>";
	echo "</TR>";

	echo "<TR>";
	echo "<TH ALIGN=RIGHT>Account Desc.:</TH>";
	echo "<TD>";
	$temp=fy_getfield($fydb_type, $result_set, 0, "account");
	echo fy_acctlookup($conn,$temp,$fydb_type,$fydb_name);
	echo "</TD>";
	echo "</TR>";

	echo "<TR>";
	echo "<TH ALIGN=RIGHT>Code:</TH>";
	echo "<TD>";
	echo fy_getfield($fydb_type, $result_set, 0, "code");
	echo "</TD>";
	echo "</TR>";
} else {
	fy_winprn("CENTER","2","<I>No Accounting Info</I>");	
}

if ($perm_edit == "X")
{
	fy_winprn("CENTER","2","<A HREF=con_stf_mod_acct.php?fy_id=$fy_id>Update</A>");
}

fy_winprn("CENTER","2","<HR>");
fy_winprn("CENTER","2","<B><A NAME=train>TRAINING</A></B>");

# Get data from fy_con_stf_training
$sql = "SELECT * FROM fy_con_stf_training WHERE fid = $fy_id";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows > 0)
{
	echo "</TR>";
	echo "<TR>";
	echo "<TH ALIGN=RIGHT>First Aid :</TH>";
	echo "<TD><I>Expires</I> ";
	echo fy_getfield($fydb_type, $result_set, 0, "firstaid");
	echo "</TD>";
	echo "</TR>";

	echo "<TR>";
	echo "<TH ALIGN=RIGHT>Basic :</TH>";
	echo "<TD><I>Taken</I> ";
	echo fy_getfield($fydb_type, $result_set, 0, "basic");
	echo "</TD>";
	echo "</TR>";

	echo "<TR>";
	echo "<TH ALIGN=RIGHT>PCI :</TH>";
	echo "<TD><I>Taken</I> ";
	echo fy_getfield($fydb_type, $result_set, 0, "pci");
	echo "</TD>";
	echo "</TR>";

	echo "<TR>";
	echo "<TH ALIGN=RIGHT>LSCI :</TH>";
	echo "<TD><I>Taken</I> ";
	echo fy_getfield($fydb_type, $result_set, 0, "lsci");
	echo "</TD>";
	echo "</TR>";

	echo "<TR>";
	echo "<TH ALIGN=RIGHT>CPR :</TH>";
	echo "<TD><I>Expires</I> ";
	echo fy_getfield($fydb_type, $result_set, 0, "cpr");
	echo "</TD>";
	echo "</TR>";

	echo "<TR>";
	echo "<TH ALIGN=RIGHT>UniPre :</TH>";
	echo "<TD><I>Taken</I> ";
	echo fy_getfield($fydb_type, $result_set, 0, "unipre");
	echo "</TD>";
	echo "</TR>";

} else {
	fy_winprn("CENTER","2","<I>No Training Info</I>");	
}

if ($perm_edit == "X")
{
	fy_winprn("CENTER","2","<A HREF=con_stf_mod_train.php?fy_id=$fy_id>Update</A>");
}

fy_winprn("CENTER","2","<HR>");
fy_winprn("CENTER","2","<B><A NAME=tottrain>TOTAL</A><BR>TRAINING</B>");

$sql = "SELECT * FROM fy_con_stf_tottrain WHERE fid = $fy_id";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

# Get the current date & sort it out...
$temp_cur=date("m/d/Y");
$cur_m=substr($temp_cur, 0, 2);
$cur_d=substr($temp_cur, 3, 2);
$cur_y=substr($temp_cur, 6, 4);

if ($rows < 1)
{
	fy_winprn("CENTER","2","<I>No total training<BR>hours info</I>");	
} else {
	echo "<TR>";
	echo "<TH ALIGN=CENTER>Year<BR>Ending</TH><TH ALIGN=CENTER>Total<BR>Hours</TH>";
	echo "</TR>";
}

for ($jr=0;$jr < $rows; $jr++)
{
	$temp_ef=0;

	$temp_ye=fy_getfield($fydb_type, $result_set, $jr, "yearending");
	$ye_m=substr($temp_ye, 0, 2);
	$ye_d=substr($temp_ye, 3, 2);
	$ye_y=substr($temp_ye, 6, 4);

	if (($cur_y == $ye_y AND $cur_m <= $ye_m) OR ($cur_y == $ye_y-1))
	{	
		echo "<TR>";
		echo "<TD>";
		echo fy_getfield($fydb_type, $result_set, $jr, "yearending");
		echo "</TD>";
		echo "<TD ALIGN=CENTER>";
		echo fy_getfield($fydb_type, $result_set, $jr, "total");
		echo "</TD>";
		echo "</TR>";
	}
}

if ($perm_edit == "X")
{
	fy_winprn("CENTER","2","<A HREF=con_stf_viewtottrain.php?fy_id=$fy_id>Update</A>");
}

fy_winprn("CENTER","2","<HR>");
fy_winprn("CENTER","2","<B><A NAME=drvlic>DRIVERS</A></B>");
fy_winprn("CENTER","2","<B>LICENSE</B>");

# Get data from fy_con_stf_drvlic
$sql = "SELECT * FROM fy_con_stf_drvlic WHERE fid = $fy_id";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows > 0)
{
	echo "<TR>";
	echo "<TH ALIGN=RIGHT>State:</TH>";
	echo "<TD>";
	$temp=fy_getfield($fydb_type, $result_set, 0, "state");
	$temp2=fy_statelookup($conn, $temp, $fydb_type, $fydb_name);
	echo "$temp - $temp2";
	echo "</TD>";
	echo "</TR>";
	echo "<TR>";
	echo "<TH ALIGN=RIGHT>License No:</TH>";
	echo "<TD>";
	echo fy_getfield($fydb_type, $result_set, 0, "licenseno");
	echo "</TD>";
	echo "</TR>";
	echo "<TR>";
	echo "<TH ALIGN=RIGHT>Expires On:</TH>";
	echo "<TD>";
	echo fy_getdate($fydb_type, fy_getfield($fydb_type, $result_set, 0, "expdate"));
	echo "</TD>";
	echo "</TR>";
} else {
	fy_winprn("CENTER","2","<I>No Drivers License Info</I>");	
}

if ($perm_edit == "X")
{
	fy_winprn("CENTER","2","<A HREF=con_stf_mod_drv.php?fy_id=$fy_id>Update</A>");
}

fy_winprn("CENTER","2","<HR>");

# End the table....
echo "</TABLE>";
echo "</TR></TD>";

fy_winback("","con.php");

fy_endwindow("User: $cookie_user");
fy_endhtml();

?>
