<?php

include "freemed_yirc-vars.inc";
include "freemed_yirc-funcs.inc";

fy_cookiecheck($cookie_user);
fy_resetcookie($cookie_user, $cookie_id, $fy_cookietime);

# Check out $cookie_id with the secdb.  Make sure 'con_edit' = 'X'.
$conn=fy_makeconn($fydb_type, $fydb_host, $fydb_user, $fydb_name);
$sql = "SELECT * FROM fy_secdb WHERE loginid = '$cookie_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows > 0)
{
	$perm=fy_getfield($fydb_type, $result_set, 0, "con_edit");
} else {
	$perm = " ";
}

if ($perm != "X")
{
	fy_starthtml("Freemed-Yirc: Error","");
	fy_startwindow();
	fy_winprn("CENTER","","I'm sorry, but you don't have permission to edit the contact database.");
	fy_winback("","main.php");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

fy_starthtml("Freemed-Yirc: Verifying Entered Data","");
fy_startwindow();
fy_winprn("CENTER","","Verifying Entered Data...");

# ======= VERIFY USER ENTERED DATA =======

# Reset EXITFLAG
$ef=0;

#Pay Rate
if ($gr_payrate < 0 OR $gr_payrate == "")
{
	fy_winprn("CENTER","","<B>ERROR:</B> Invalid Rate entered in '<I>Pay Rate</I>'");
	$ef=1;
}

#Code
if ($gr_code < 0 OR $gr_code == "")
{
	fy_winprn("CENTER","","<B>ERROR:</B> Invalid Number entered in '<I>Code</I>'");
	$ef=1;
}


$sql = "SELECT * FROM fy_con_stf_acct WHERE fid = '$fy_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

# Insert values into database...
# We may be INSERTING or UPDATING depending on the circumstances!
if ($ef == 0)
{
	if ($rows > 0)
	{
		$sql = "UPDATE fy_con_stf_acct SET stafftype='$gr_stafftype', paytype='$gr_paytype', payrate='$gr_payrate', account='$gr_account', code='$gr_code' WHERE fid='$fy_id'";
	} else {
		$sql = "INSERT INTO fy_con_stf_acct (fid, stafftype, paytype, payrate, account, code) VALUES ('$fy_id', '$gr_stafftype','$gr_paytype','$gr_payrate','$gr_account','$gr_code')";
	}
	$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
	fy_winprn("CENTER","2","");
	fy_winprn("CENTER","2","<B>Done!</B>");
	fy_winprn("CENTER","","<BR><P>");
	fy_winback("", "con_stf.php#acct?fy_id=$fy_id");
} else {
	fy_winprn("CENTER","","<BR><P>");
	fy_winprn("CENTER","","<BLINK><B>Please use your browser's <I>back</I> button</B></BLINK>");
	fy_winprn("CENTER","","<BLINK><B>to return to the Incident Report form.</B></BLINK>");
	fy_winprn("CENTER","","<BR><P>");
}


fy_endwindow("User: $cookie_user");
fy_endhtml();

?>
