<?php

include "freemed_yirc-vars.inc";
include "freemed_yirc-funcs.inc";

fy_cookiecheck($cookie_user);
fy_resetcookie($cookie_user, $cookie_id, $fy_cookietime);

# Check out $cookie_id with the secdb.  Make sure 'con_edit' = 'X'.
$conn=fy_makeconn($fydb_type, $fydb_host, $fydb_user, $fydb_name);
$sql = "SELECT * FROM fy_secdb WHERE loginid = '$cookie_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows > 0)
{
	$perm=fy_getfield($fydb_type, $result_set, 0, "con_edit");
} else {
	$perm = " ";
}

if ($perm != "X")
{
	fy_starthtml("Freemed-Yirc: Error","");
	fy_startwindow();
	fy_winprn("CENTER","","I'm sorry, but you don't have permission to edit the contact database.");
	fy_winback("","main.php");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

fy_starthtml("Freemed-Yirc: Verifying Entered Data","");
fy_startwindow();
fy_winprn("CENTER","","Verifying Entered Data...");

# ======= VERIFY USER ENTERED DATA =======

# Reset EXITFLAG
$ef=0;
$ef2=0;

# First Aid 
if ($gr_firstaid_y <> "")
{
	if (!checkdate($gr_firstaid_m, $gr_firstaid_d, $gr_firstaid_y))
	{
		fy_winprn("CENTER","","<B>ERROR:</B> Invalid Date entered in '<I>First Aid</I>'");
		$ef=1;
	}
}

# Basic 
if ($gr_basic_y <> "")
{
	if (!checkdate($gr_basic_m, $gr_basic_d, $gr_basic_y))
	{
		fy_winprn("CENTER","","<B>ERROR:</B> Invalid Date entered in '<I>Basic</I>'");
		$ef=1;
	}
}

# PCI 
if ($gr_pci_y <> "")
{
	if (!checkdate($gr_pci_m, $gr_pci_d, $gr_pci_y))
	{
		fy_winprn("CENTER","","<B>ERROR:</B> Invalid Date entered in '<I>PCI</I>'");
		$ef=1;
	}
}

# LSCI
if ($gr_lsci_y <> "")
{
	if (!checkdate($gr_lsci_m, $gr_lsci_d, $gr_lsci_y))
	{
		fy_winprn("CENTER","","<B>ERROR:</B> Invalid Date entered in '<I>LSCI</I>'");
		$ef=1;
	}
}

# CPR
if ($gr_cpr_y <> "")
{
	if (!checkdate($gr_cpr_m, $gr_cpr_d, $gr_cpr_y))
	{
		fy_winprn("CENTER","","<B>ERROR:</B> Invalid Date entered in '<I>CPR</I>'");
		$ef=1;
	}
}

# UniPre
if ($gr_unipre_y <> "")
{
	if (!checkdate($gr_unipre_m, $gr_unipre_d, $gr_unipre_y))
	{
		fy_winprn("CENTER","","<B>ERROR:</B> Invalid Date entered in '<I>UniPre</I>'");
		$ef=1;
	}
}

if ($ef == 0)
{
	if ($gr_firstaid_y <> "")
	{$temp_firstaid="'".fy_putdate($fydb_type, $gr_firstaid_m, $gr_firstaid_d, $gr_firstaid_y)."'";}
	else {$temp_firstaid=null;}
	if ($gr_basic_y <> "")
	{$temp_basic="'".fy_putdate($fydb_type, $gr_basic_m, $gr_basic_d, $gr_basic_y)."'";}
	else {$temp_basic=null;}
	if ($gr_pci_y <> "")
	{$temp_pci="'".fy_putdate($fydb_type, $gr_pci_m, $gr_pci_d, $gr_pci_y)."'";}
	else {$temp_pci=null;}
	if ($gr_lsci_y <> "")
	{$temp_lsci="'".fy_putdate($fydb_type, $gr_lsci_m, $gr_lsci_d, $gr_lsci_y)."'";}
	else {$temp_lsci=null;}
	if ($gr_cpr_y <> "")
	{$temp_cpr="'".fy_putdate($fydb_type, $gr_cpr_m, $gr_cpr_d, $gr_cpr_y)."'";}
	else {$temp_cpr=null;}
	if ($gr_unipre_y <> "")
	{$temp_unipre="'".fy_putdate($fydb_type, $gr_unipre_m, $gr_unipre_d, $gr_unipre_y)."'";}
	else {$temp_unipre=null;}
}

$sql = "SELECT * FROM fy_con_stf_training WHERE fid = '$fy_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

# Insert values into database...
# We may be INSERTING or UPDATING depending on the circumstances!
if ($ef == 0)
{
	if ($rows > 0)
	{
		$sql = "UPDATE fy_con_stf_training SET firstaid=$temp_firstaid, basic=$temp_basic, pci=$temp_pci, lsci=$temp_lsci, cpr=$temp_cpr, unipre=$temp_unipre WHERE fid='$fy_id'";
	} else {
		$sql = "INSERT INTO fy_con_stf_training (fid, firstaid, basic,pci,lsci,cpr,unipre) VALUES ($fy_id, $temp_firstaid, $temp_basic, $temp_pci, $temp_lsci, $temp_cpr, $temp_unipre)";
	}
	$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
	fy_winprn("CENTER","2","<B>Done!</B>");
	fy_winprn("CENTER","","<BR><P>");
	fy_winback("", "con_stf.php#train?fy_id=$fy_id");
} else {
	fy_winprn("CENTER","","<BR><P>");
	fy_winprn("CENTER","","<BLINK><B>Please use your browser's <I>back</I> button</B></BLINK>");
	fy_winprn("CENTER","","<BLINK><B>to return to the Incident Report form.</B></BLINK>");
	fy_winprn("CENTER","","<BR><P>");
}


fy_endwindow("User: $cookie_user");
fy_endhtml();

?>
