<?php

include "freemed_yirc-vars.inc";
include "freemed_yirc-funcs.inc";

fy_cookiecheck($cookie_user);
fy_resetcookie($cookie_user, $cookie_id, $fy_cookietime);

# Check out $cookie_id with the secdb.  Make sure 'secdb' = 'X'.
$conn=fy_makeconn($fydb_type, $fydb_host, $fydb_user, $fydb_name);
$sql = "SELECT * FROM fy_secdb WHERE loginid = '$cookie_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);


if ($rows > 0)
{
	$perm=fy_getfield($fydb_type, $result_set, 0, "groupdb");
	$perm_edit=fy_getfield($fydb_type, $result_set, 0, "groupdb_edit");
} else {
	$perm = " ";
	$perm_edit = " ";
}

if ($perm != "X")
{
	fy_starthtml("Freemed-Yirc: Error","");
	fy_startwindow();
	fy_winprn("CENTER","","I'm sorry, but you don't have permission to enter the group database.");
	fy_winback("","main.php");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

fy_starthtml("Freemed-YiRC: Group Database","");
fy_startwindow();

# --- "Security Database" ---
fy_winprn("CENTER","","<B>Group Database</B>");

# --- BLANK ---
fy_winprn("CENTER",""," ");


# Display the contents of the security database.
$sql = "SELECT * FROM fy_groupdb";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

# Start the table...
echo "<TR><TD>";
echo "<TABLE BORDER>";

# Display the table fieldnames.
echo "<TR>";
echo "<TH>Group<BR>Abbr</TH>";
echo "<TH>Type</TH>";
echo "<TH>Short<BR>Name</TH>";
echo "<TH>Long<BR>Name</TH>";
echo "<TH>Num<BR>Code</TH>";
echo "<TH>Char<BR>Code</TH>";
echo "<TH>Street<BR>Address</TH>";
echo "<TH>City</TH>";
echo "<TH>State</TH>";
echo "<TH>Zip</TH>";
echo "<TH>Phone</TH>";
if ($perm_edit == "X")
{
	echo "<TH align=left>";
	echo " ";
	echo "</TH>";
}
echo "</TR>";

$jr2=0;

# Display the rows...
for ($jr=0; $jr < $rows; $jr++)
{
	if ($jr2 == 0) {$bgcolor=$bgcolor1;$jr2=1;} else {$bgcolor=$bgcolor2;$jr2=0;};
	echo "<TR BGCOLOR=$bgcolor>";
	echo "<TD>".fy_textorblank(fy_getfield($fydb_type, $result_set, $jr, "abbr"))."</TD>";
	echo "<TD>".fy_textorblank(fy_getfield($fydb_type, $result_set, $jr, "type"))."</TD>";
	echo "<TD>".fy_textorblank(fy_getfield($fydb_type, $result_set, $jr, "shortname"))."</TD>";
	echo "<TD>".fy_textorblank(fy_getfield($fydb_type, $result_set, $jr, "longname"))."</TD>";
	echo "<TD>".fy_textorblank(fy_getfield($fydb_type, $result_set, $jr, "numcode"))."</TD>";
	echo "<TD>".fy_textorblank(fy_getfield($fydb_type, $result_set, $jr, "charcode"))."</TD>";
	echo "<TD>".fy_textorblank(fy_getfield($fydb_type, $result_set, $jr, "streetaddress"))."</TD>";
	echo "<TD>".fy_textorblank(fy_getfield($fydb_type, $result_set, $jr, "city"))."</TD>";
	echo "<TD>".fy_textorblank(fy_getfield($fydb_type, $result_set, $jr, "state"))."</TD>";
	echo "<TD>".fy_textorblank(fy_getfield($fydb_type, $result_set, $jr, "zip"))."</TD>";
	echo "<TD>".fy_textorblank(fy_getfield($fydb_type, $result_set, $jr, "phone"))."</TD>";

	if ($perm_edit == "X")
	{
		echo "<TD>";
		echo "<A HREF=groupdb_mod.php?fy_id=";
		echo fy_getfield($fydb_type, $result_set, $jr, "ID");
		echo ">Modify</A>";
		echo "<BR>";
		echo "<A HREF=delete.php?v_sdb=groupdb_edit&v_tbl=fy_groupdb&v_id=";
		echo fy_getfield($fydb_type, $result_set, $jr, "ID");
		echo "&v_back=groupdb.php>";
		echo "Delete</A>";
		echo "</TD>";
	}

	echo "</TR>";
}

# End the table....
echo "</TABLE>";
echo "</TR></TD>";

if ($perm_edit == "X")
{
	fy_winprn("CENTER","","<A HREF=groupdb_add.php>Add Group</A>");
}

fy_winback("","main.php");

fy_endwindow("User: $cookie_user");
fy_endhtml();

?>
