<?php

include "freemed_yirc-vars.inc";
include "freemed_yirc-funcs.inc";

fy_cookiecheck($cookie_user);
fy_resetcookie($cookie_user, $cookie_id, $fy_cookietime);

# Check out $cookie_id with the secdb.  Make sure 'groupdb_edit' = 'X'.
$conn=fy_makeconn($fydb_type, $fydb_host, $fydb_user, $fydb_name);
$sql = "SELECT * FROM fy_secdb WHERE loginid = '$cookie_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows > 0)
{
	$perm=fy_getfield($fydb_type, $result_set, 0, "groupdb_edit");
} else {
	$perm = " ";
}

if ($perm != "X")
{
	fy_starthtml("Freemed-Yirc: Error","");
	fy_startwindow();
	fy_winprn("CENTER","","I'm sorry, but you don't have permission to edit the group database.");
	fy_winback("", "groupdb.php");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

fy_starthtml("Freemed-YiRC: Group Database","");
fy_startwindow();

fy_winprn("CENTER","2","<B>Modifying Group from Group Database</B>");

# Delete Group From Database...
$sql = "SELECT * FROM fy_groupdb WHERE id = '$fy_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

#---Start Form---
echo "<FORM ACTION=groupdb_mod2.php?fy_id=$fy_id METHOD=POST>";

#---ABBR---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "2 Letter Abbr.";
echo "</TD>";
echo "<TD>";
echo "<INPUT NAME=gr_abbr SIZE=2 MAXLENGTH=2 VALUE=\"";
echo trim(fy_getfield($fydb_type, $result_set, 0, "abbr"));
echo "\">";
echo "</TD>";
echo "</TR>";

#---TYPE---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Type:";
echo "</TD>";
echo "<TD>";
if (trim(fy_getfield($fydb_type, $result_set, 0, "type")) == "Home")
{
	echo "<SELECT NAME=gr_type>";
	echo "<OPTION DEFAULT>Home";
	echo "<OPTION>Other";
} else {
	echo "<SELECT NAME=gr_type>";
	echo "<OPTION DEFAULT>Other";
	echo "<OPTION>Home";
}

echo "</SELECT>";
echo "</TD>";
echo "</TR>";

#---Short Name---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Short Name";
echo "</TD>";
echo "<TD>";
echo "<INPUT NAME=gr_shortname SIZE=8 MAXLENGTH=8 VALUE=\"";
echo trim(fy_getfield($fydb_type, $result_set, 0, "shortname"));
echo "\">";
echo "</TD>";
echo "</TR>";

#---Long Name---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Long Name";
echo "</TD>";
echo "<TD>";
echo "<INPUT NAME=gr_longname SIZE=40 MAXLENGTH=40 VALUE=\"";
echo trim(fy_getfield($fydb_type, $result_set, 0, "longname"));
echo "\">";
echo "</TD>";
echo "</TR>";

#---Acct. Num. Code---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Acct. Num Code";
echo "</TD>";
echo "<TD>";
echo "<INPUT NAME=gr_acctnumcode SIZE=3 MAXLENGTH=3 VALUE=\"";
echo trim(fy_getfield($fydb_type, $result_set, 0, "numcode"));
echo "\">";
echo "</TD>";
echo "</TR>";

#---Acct. Char Code---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Acct. Char Code";
echo "</TD>";
echo "<TD>";
echo "<INPUT NAME=gr_acctcharcode SIZE=3 MAXLENGTH=3 VALUE=\"";
echo trim(fy_getfield($fydb_type, $result_set, 0, "charcode"));
echo "\">";
echo "</TD>";
echo "</TR>";

#---Address:---
echo "<TR>";
echo "<TD COLSPAN=2 ALIGN=LEFT>";
echo "<B>Address:</B>";
echo "</TD>";
echo "</TR>";

#---Street Address---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Street Address:";
echo "</TD>";
echo "<TD>";
echo "<INPUT NAME=gr_streetaddress SIZE=30 MAXLENGTH=30 VALUE=\"";
echo trim(fy_getfield($fydb_type, $result_set, 0, "streetaddress"));
echo "\">";
echo "</TD>";
echo "</TR>";

#---City---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "City:";
echo "</TD>";
echo "<TD>";
echo "<INPUT NAME=gr_city SIZE=15 MAXLENGTH=15 VALUE=\"";
echo trim(fy_getfield($fydb_type, $result_set, 0, "city"));
echo "\">";
echo "</TD>";
echo "</TR>";

#---State---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "State:";
echo "</TD>";
echo "<TD>";
echo "<SELECT NAME=gr_state>";
$type=trim(fy_getfield($fydb_type, $result_set, 0, "state"));
$type_b=fy_statelookup($conn, $type, $fydb_type, $fydb_name);
echo "<OPTION DEFAULT VALUE=$type>$type - $type_b";
# Get States from fy_states...
$sql = "SELECT * FROM fy_states";
$result_set2=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows2=fy_resultrows($fydb_type, $result_set2);
for ($jr=0;$jr < $rows2;$jr++)
{
	$type2=trim(fy_getfield($fydb_type, $result_set2, $jr, "abbr"));
	$type2_b=trim(fy_getfield($fydb_type, $result_set2, $jr, "state"));
	if ($type2 <> $type)
	{
		echo "<OPTION VALUE=$type2>$type2 - $type2_b";
	}
}
echo "</SELECT>";
echo "</TD>";
echo "</TR>";


#---ZIP---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "ZIP:";
echo "</TD>";
echo "<TD>";
echo "<INPUT NAME=gr_zip SIZE=10 MAXLENGTH=10 VALUE=\"";
echo trim(fy_getfield($fydb_type, $result_set, 0, "zip"));
echo "\">";
echo "</TD>";
echo "</TR>";

#---Phone---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Phone:";
echo "</TD>";
echo "<TD>";
echo "<INPUT NAME=gr_phone SIZE=10 MAXLENGTH=10 VALUE=\"";
echo trim(fy_getfield($fydb_type, $result_set, 0, "phone"));
echo "\">";
echo "</TD>";
echo "</TR>";

# ---Submit & Reset---
echo "<TR><TD COLSPAN=2 ALIGN=CENTER>";
echo "<INPUT TYPE=SUBMIT VALUE=Update>";
echo "<INPUT TYPE=RESET VALUE=Clear>";
echo "</TD></TR>";

# ---End Form---
echo "</FORM>";


# --- BLANK ---
fy_wincancel("2","groupdb.php");


fy_endwindow("User: $cookie_user");
fy_endhtml();

?>
