<?php

include "freemed_yirc-vars.inc";
include "freemed_yirc-funcs.inc";

fy_cookiecheck($cookie_user);
fy_resetcookie($cookie_user, $cookie_id, $fy_cookietime);

# Check out $cookie_id with the secdb.  Make sure 'ir' = 'X'.
$conn=fy_makeconn($fydb_type, $fydb_host, $fydb_user, $fydb_name);
$sql = "SELECT * FROM fy_secdb WHERE loginid = '$cookie_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows > 0)
{
	$perm=fy_getfield($fydb_type, $result_set, 0, "ir");
	$perm_enter=fy_getfield($fydb_type, $result_set, 0, "ir_enter");
	$perm_edit=fy_getfield($fydb_type, $result_set, 0, "ir_edit");
	$perm_merge=fy_getfield($fydb_type, $result_set, 0, "ir_merge");
	$perm_admin=fy_getfield($fydb_type, $result_set, 0, "ir_admin");
} else {
	$perm = " ";
	$perm_edit = " ";
	$perm_merge = " ";
	$perm_admin = " ";
}

if ($perm != "X")
{
	fy_starthtml("Freemed-Yirc: Error","");
	fy_startwindow();
	fy_winprn("CENTER","","I'm sorry, but you don't have permission to enter the Incident Report database.");
	fy_winback("","grouphome.php?fy_id=$fy_id");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

fy_starthtml("Freemed-YiRC: Incident Report Database","");
fy_startwindow();

fy_winprn("CENTER","","<B>Incident Report Database</B>");

# --- BLANK ---
fy_winprn("CENTER",""," ");


# Display the contents of the IR database.
if ($fy_id == "")
{
	if ($perm_admin=="X")
	{
		$sql = "SELECT * FROM fy_ir";
	} else {
		$sql = "SELECT * FROM fy_ir WHERE merged=NULL";
	}
} else {
	if ($perm_admin=="X")
	{
		$sql = "SELECT * FROM fy_ir WHERE group_home='$fy_id'";
	} else {
		$sql = "SELECT * FROM fy_ir WHERE group_home='$fy_id' AND merged=NULL";
	}
}
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows > 0)
{

# Start the table...
echo "<TR><TD>";
echo "<TABLE BORDER>";

# Display the table fieldnames.

echo "<TR>";
echo "<TH></TH>";
echo "<TH>Incident<BR>Date</TH>";
echo "<TH>Incident<BR>Time</TH>";
echo "<TH>Resident</TH>";
echo "<TH>Staff</TH>";
echo "<TH>Group<BR>Home</TH>";
if ($perm_merge == "X")
{
	echo "<TH>Merged</TH>";
}
echo "</TR>";

$jr2=0;
# Display the rows...
for ($jr=0; $jr < $rows; $jr++)
{
	if ($jr2 == 0) {$bgcolor=$bgcolor1;$jr2=1;} else {$bgcolor=$bgcolor2;$jr2=0;};
	echo "<TR BGCOLOR=$bgcolor>";
	echo "<TD>";
	echo "<A HREF=ir_view.php?fy_id=";
	echo fy_getfield($fydb_type, $result_set, $jr, "id");
	echo "&fy_gh=$fy_id>View</A><BR>";
	echo "</TD>";
	echo "<TD>";
	echo fy_getdate($fydb_type, fy_getfield($fydb_type, $result_set, $jr, "incident_date"));
	echo "</TD>";
	echo "<TD>";
	echo fy_gettime(fy_getfield($fydb_type, $result_set, $jr, "incident_time"));
	echo "</TD>";
	echo "<TD>";
	echo fy_getfield($fydb_type, $result_set, $jr, "resident");
	echo "</TD>";
	echo "<TD>";
	echo fy_getfield($fydb_type, $result_set, $jr, "staff");
	echo "</TD>";
	echo "<TD>";
	echo fy_getfield($fydb_type, $result_set, $jr, "group_home");
	echo "</TD>";
	if ($perm_merge == "X")
	{
		echo "<TD>";
		echo fy_getfield($fydb_type, $result_set, $jr, "merged");
		echo "</TD>";
	}
	if ($perm_edit == "X")
	{
		echo "<TD>";
		echo "<A HREF=ir_mod.php?fy_id=";
		echo fy_getfield($fydb_type, $result_set, $jr, "id");
		echo "&fy_gh=$fy_id>Modify</A><BR>";
		echo "<A HREF=ir_del.php?fy_id=";
		echo fy_getfield($fydb_type, $result_set, $jr, "id");
		echo "&fy_gh=$fy_id>Delete</A>";
		echo "</TD>";
	}
	if ($perm_admin == "X")
	{
		echo "<TD>";
		echo "<A HREF=ir_track.php?fy_id=";
		echo fy_getfield($fydb_type, $result_set, $jr, "id");
		echo "&fy_gh=$fy_id>Track</A><BR>";
		echo "</TD>";
	}
	if ($perm_merge == "X")
	{
		echo "<TD>";
		echo "<A HREF=ir_merge.php?fy_id=";
		echo fy_getfield($fydb_type, $result_set, $jr, "id");
		echo "&fy_gh=$fy_id>Merge</A><BR>";
		echo "</TD>";
	}
	echo "</TR>";
}

# End the table....
echo "</TABLE>";
echo "</TR></TD>";

} else {
	fy_winprn("CENTER","","<I>No Incident Reports</I>");
}

if ($perm_enter == "X")
{
	fy_winprn("CENTER","","<A HREF=ir_add.php?fy_id=$fy_id>Add Incident Report</A>");
}

fy_winback("","grouphome.php?fy_id=$fy_id");

fy_endwindow("User: $cookie_user");
fy_endhtml();

?>
