<?php

include "freemed_yirc-vars.inc";
include "freemed_yirc-funcs.inc";

fy_cookiecheck($cookie_user);
fy_resetcookie($cookie_user, $cookie_id, $fy_cookietime);

# Check out $cookie_id with the secdb.  Make sure 'ir_admin' = 'X'.
$conn=fy_makeconn($fydb_type, $fydb_host, $fydb_user, $fydb_name);
$sql = "SELECT * FROM fy_secdb WHERE loginid = '$cookie_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows > 0)
{
	$perm=fy_getfield($fydb_type, $result_set, 0, "ir_admin");
} else {
	$perm = " ";
}

if ($perm != "X")
{
	fy_starthtml("Freemed-Yirc: Error","");
	fy_startwindow();
	fy_winprn("CENTER","","I'm sorry, but you don't have permission to edit the Incident Report database.");
	fy_winback("","ir.php");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

fy_starthtml("Freemed-YiRC: Incident Report Database","");
fy_startwindow();

fy_winprn("CENTER","2","<B>Track Access to Incident Report</B>");

# Get the IR tracking data from fy_ir_track...
$sql = "SELECT * FROM fy_ir_track WHERE fid = '$fy_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows > 0 )
{
	echo "<TR><TD>";
	echo "<TABLE BORDER>";

	echo "<TR>";
	echo "<TH>Date</TH>";
	echo "<TH>Time</TH>";
	echo "<TH>Action</TH>";
	echo "<TH>Staff</TH>";
	echo "</TR>";

	$jr2=0;
	for ($jr=0;$jr<$rows;$jr++)
	{
		if ($jr2 == 0) {$bgcolor=$bgcolor1;$jr2=1;} else {$bgcolor=$bgcolor2;$jr2=0;};
		echo "<TR BGCOLOR=$bgcolor>";
		echo "<TD>";
		echo fy_getdate($fydb_type, fy_getfield($fydb_type, $result_set, $jr, "at_date"));
		echo "</TD>";
		echo "<TD>";
		$temp=fy_getfield($fydb_type, $result_set, $jr, "at_time");
		$temp2=substr($temp, 0, 2);
		$temp3=substr($temp, 3, 2);
		$temp4="AM";
		if ($temp2 == 12)
		{
			$temp4="PM";
			$temp2 = 12;
		}
		if ($temp2 == 0)
		{
			$temp2 = 12;
		}
		if ($temp2 > 12)
		{
			$temp4="PM";
			$temp2 = $temp2 - 12;
		}
		echo "$temp2:$temp3 $temp4";
		echo "</TD>";
		echo "<TD>";
		echo fy_getfield($fydb_type, $result_set, $jr, "action");
		echo "</TD>";
		echo "<TD>";
		echo fy_getfield($fydb_type, $result_set, $jr, "staff");
		echo "</TD>";
		echo "</TR>";
	}

	echo "</TABLE>";
	echo "</TD></TR>";
} else {
	fy_winprn("CENTER","2","<I>No Tracking Records for IR</I>");
}

fy_winback("2", "ir.php?fy_id=$fy_gh");

fy_endwindow("User: $cookie_user");
fy_endhtml();

?>
