<?php

include "freemed_yirc-vars.inc";
include "freemed_yirc-funcs.inc";

fy_cookiecheck($cookie_user);
fy_resetcookie($cookie_user, $cookie_id, $fy_cookietime);

# Check out $cookie_id with the secdb.  Make sure 'makeuser' = 'X'.
$conn=fy_makeconn($fydb_type, $fydb_host, $fydb_user, $fydb_name);
$sql = "SELECT * FROM fy_secdb WHERE loginid = '$cookie_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows > 0)
{
	$perm=fy_getfield($fydb_type, $result_set, 0, "makeuser");
} else {
	$perm = " ";
}


if ($perm != "X")
{
	fy_starthtml("Freemed-Yirc: Error","");
	fy_startwindow();
	fy_winprn("CENTER","","I'm sorry, but you don't have permission to create users.");
	fy_winback("","main.php");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

# Make sure there are contacts to add users for...
$sql = "SELECT * FROM fy_con WHERE loginid is null and type = 'Staff'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows <= 0)
{
	fy_starthtml("Freemed-Yirc: Error","");
	fy_startwindow();
	fy_winprn("CENTER","","There are no contacts to create a new user for.");
	fy_winback("","main.php");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

fy_starthtml("Freemed-YiRC: Create User","");
fy_startwindow();

# --- "Create User" ---
fy_winprn("CENTER","2","<B>Create User</B>");

# --- BLANK ---
fy_winprn("CENTER","2"," ");

# --- "Please enter login name & password for new user" ---
fy_winprn("CENTER","2","Please enter username & password for new user");

# --- Start Form ---
echo "<FORM ACTION=makeuser2.php METHOD=POST>";


# --- Contact & field ---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Contact: ";
echo "</TD>";
echo "<TD ALIGN=LEFT>";
echo "<SELECT NAME=gr_contact>";
for ($jr=0; $jr < $rows; $jr++)
{
	echo "<OPTION VALUE=";
	echo fy_getfield($fydb_type, $result_set, 0, "id");
	echo ">";
	echo fy_conidlookup($conn, fy_getfield($fydb_type, $result_set, 0, "id"), $fydb_type, $fydb_name);
}
echo "</SELECT>";
echo "</TD>";
echo "</TR>";

# --- Login & field ---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Username: ";
echo "</TD>";
echo "<TD ALIGN=LEFT>";
echo "<INPUT NAME=newlogin>";
echo "</TD>";
echo "</TR>";

# --- Password & field ---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Password: ";
echo "</TD>";
echo "<TD ALIGN=LEFT>";
echo "<INPUT NAME=newpassword TYPE=password>";
echo "</TD>";
echo "</TR>";

# --- Password2 & field ---
echo "<TR>";
echo "<TD ALIGN=RIGHT>";
echo "Password: ";
echo "</TD>";
echo "<TD ALIGN=LEFT>";
echo "<INPUT NAME=newpassword2 TYPE=password>";
echo "</TD>";
echo "</TR>";

# --- submit button ---
fy_winprn("CENTER","2","<INPUT TYPE=submit VALUE=\"Create User\">");
fy_wincancel("2","main.php");

# --- End Form ---
echo "</FORM>";

fy_endwindow("User: $cookie_user");
fy_endhtml();

?>
