<?php

include "freemed_yirc-vars.inc";
include "freemed_yirc-funcs.inc";

fy_cookiecheck($cookie_user);
fy_resetcookie($cookie_user, $cookie_id, $fy_cookietime);

# Check out $cookie_id with the secdb.  Make sure 'secdb_edit' = 'X'.
$conn=fy_makeconn($fydb_type, $fydb_host, $fydb_user, $fydb_name);
$sql = "SELECT * FROM fy_secdb WHERE loginid = '$cookie_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows > 0)
{
	$perm=fy_getfield($fydb_type, $result_set, 0, "secdb_edit");
} else {
	$perm = " ";
}

if ($perm != "X")
{
	fy_starthtml("Freemed-Yirc: Error","");
	fy_startwindow();
	fy_winprn("CENTER","","I'm sorry, but you don't have permission to edit the security database.");
	fy_winback("","main.php");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

$meta="<META HTTP-EQUIV=REFRESH CONTENT=0;URL=secdb.php>";
fy_starthtml("Freemed-YiRC: Security Database","$meta");
fy_startwindow();

# --- "Security Database" ---
fy_winprn("CENTER","2","<B>Updating Entry in the Security Database...</B>");

# Update values into database...
$sql = "UPDATE fy_secdb SET topadmin='$gr_topadmin', makeuser='$gr_makeuser', secdb='$gr_secdb', secdb_edit='$gr_secdb_edit', groupdb='$gr_groupdb', groupdb_edit='$gr_groupdb_edit', con='$gr_con', con_edit='$gr_con_edit', con_hr='$gr_con_hr', ir='$gr_ir', ir_enter='$gr_ir_enter', ir_edit='$gr_ir_edit', ir_edit_admin='$gr_ir_edit_admin', ir_merge='$gr_ir_merge', ir_admin='$gr_ir_admin', clinical_therapist='$gr_clinical_therapist', clinical_db='$gr_clinical_db', clinical_ccn='$gr_clinical_ccn', clinical_admin='$gr_clinical_admin' WHERE loginid = '$fy_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);

# --- BLANK ---
fy_winprn("CENTER","2","Done!");

fy_winback("", "secdb.php");

fy_endwindow("User: $cookie_user");
fy_endhtml();

?>
