<?php

include "freemed_yirc-vars.inc";
include "freemed_yirc-funcs.inc";

fy_cookiecheck($cookie_user);
fy_resetcookie($cookie_user, $cookie_id, $fy_cookietime);

# Check out $cookie_id with the secdb.  Make sure 'clinical_db' = 'X'.
$conn=fy_makeconn($fydb_type, $fydb_host, $fydb_user, $fydb_name);
$sql = "SELECT * FROM fy_secdb WHERE loginid = '$cookie_id'";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows > 0)
{
	$perm=fy_getfield($fydb_type, $result_set, 0, "clinical_db");
} else {
	$perm = " ";
}

if ($perm != "X")
{
	fy_starthtml("Freemed-Yirc: Error","");
	fy_startwindow();
	fy_winprn("CENTER","","I'm sorry, but you don't have permission to enter the clinical databases.");
	fy_winback("","main.php");
	fy_endwindow("User: $cookie_user");
	fy_endhtml();
	exit;
}

fy_starthtml("Freemed-YiRC: Clinical Databases","");
fy_startwindow();

fy_winprn("CENTER","","<B>Clinical Services Database</B>");

# --- BLANK ---
fy_winprn("CENTER",""," ");

# Display the contents of the security database.
$sql = "SELECT * FROM fy_clinical_services";
$result_set=fy_execsql($fydb_type, $fydb_name, $conn, $sql);
$rows=fy_resultrows($fydb_type, $result_set);

if ($rows > 0)
{

# Start the table...
echo "<TR><TD ALIGN=CENTER>";
echo "<TABLE BORDER>";

# Display the table fieldnames.
echo "<TR>";
echo "<TH>Service</TH>";
echo "<TH>Abbr</TH>";
echo "<TH>Type</TH>";
echo "<TH>Code</TH>";
echo "</TR>";

$jr2=0;
# Display the rows...
for ($jr=0; $jr < $rows; $jr++)
{
	if ($jr2 == 0) {$bgcolor=$bgcolor1;$jr2=1;} else {$bgcolor=$bgcolor2;$jr2=0;};
	echo "<TR BGCOLOR=$bgcolor>";
	echo "<TD>";
	echo fy_textorblank(fy_getfield($fydb_type, $result_set, $jr, "service"));
	echo "</TD>";
	echo "<TD>";
	echo fy_textorblank(fy_getfield($fydb_type, $result_set, $jr, "abbr"));
	echo "</TD>";
	echo "<TD>";
	echo fy_textorblank(fy_getfield($fydb_type, $result_set, $jr, "session_type"));
	echo "</TD>";
	echo "<TD>";
	echo fy_textorblank(fy_getfield($fydb_type, $result_set, $jr, "code"));
	echo "</TD>";
	echo "<TD>";
	$v_id=fy_getfield($fydb_type, $result_set, $jr, "id");
	echo "<A HREF=delete.php?v_sdb=clinical_db&v_tbl=fy_clinical_services&v_id=$v_id&v_back=servicesdb_view.php";
	echo ">Delete</A>";
	echo "</TD>";
	echo "</TR>";
}

# End the table....
echo "</TABLE>";
echo "</TR></TD>";

} else {
	fy_winprn("CENTER","","<I>No Clinical Services Listed</I>");
}

fy_winprn("CENTER","","<A HREF=servicesdb_add.php>Add Services</A>");

fy_winback("","clinicaldb.php");

fy_endwindow("User: $cookie_user");
fy_endhtml();

?>
